########################################################################
## Heterogeneous treatment effects >  Djibouti
## Version : 2
## author : Morgane Hoffmann and Elia Perennes
# Last version : 03/11/2023
#######################################################################


#-------------------------------------------------------
# 1.4 Tuning parameters for ML models
#-------------------------------------------------------

# In this section you can choose the tunning parameters for all methods. 
tune_param       <- list() # Start with empty list

# methodML : may be also repeatedcv resampling method for chosing tuning parameters. available options: boot, boot632, cv, LOOCV, LGOCV, repeatedcv, oob, none 
# tune :  number of elements per parameter in the grid. the grid size is tune^{number of tuning parameters}. 
# proces : pre-processing method
# select : optimality criteria for choosing tuning parameter in cross validation. available options: best, oneSE, tolerance
# cv: number of folds
# rep : number of iteration in repeated cross-validations, eg 2 if repeated CV

tune_param[["glmnet"]] <- list(methodML = 'repeatedcv',
                               tune = 200,
                               proces = 'range',
                               select = 'best',
                               cv = 2,
                               rep = 2)


tune_param[["glmnet_exp"]] <- list(methodML = 'repeatedcv',
                               tune = 200,
                               proces = 'range',
                               select = 'best',
                               cv = 2,
                               rep = 2)

tune_param[["gbm"]] <- list(methodML = 'cv',
                            tune = 20,
                            proces = c("center","scale"),
                            select = 'best',
                            cv = 2,
                            rep = NA)

tune_param[["xgbTree"]] <- list(methodML = 'cv',
                                tune = 10,
                                proces = c("center","scale"),
                                select = 'best',
                                cv = 2,
                                rep = NA,
                                nrounds = 300
                                # grid = expand.grid(nrounds = 300,
                                #                    eta = c(0.1, 0.05, 0.01),
                                #                    max_depth = c(2, 4, 6, 10),
                                #                    gamma = c(0.5,0.1,0),
                                #                    colsample_bytree = c(0.5, 0.8, 1),
                                #                    min_child_weight = c(1,3,5),
                                #                    subsample = c(0.5, 0.8, 1))
)

tune_param[["rf"]] <- list(methodML = 'cv',
                           tune = 100,
                           proces = "range",
                           select = 'best',
                           cv = 2,
                           rep = NA,
                           replace = TRUE,
                           num_trees = 500
                           # grid = expand.grid(
                           #   mtry = seq(2,length(controls)-3,2),
                           #   splitrule = c("variance","extratrees"),
                           #   min.node.size = c(2,5,10)
)


tune_param[["pcaNNet"]] <- list(methodML = 'cv',
                                tune = 20,
                                proces = c("range"),
                                select = 'best',
                                cv = 2,
                                rep = NA)


tune_param[["svmPoly"]] <- list(methodML = 'cv',
                                tune = 50,
                                proces = c("range"),
                                select = 'best',
                                cv = 2,
                                rep = NA)
