#########################################################
## Install all packages  
## Version : 1
## author : Morgane Hoffmann and Elia Perennes
# Last version : 03/11/2023
#########################################################

vec.pac <- c(
  "base",
  
  # Opening files
  'haven', 'writexl', 'readxl',
  
  # Path
  'here',
  
  # ML
  'caret', 'gbm', 'randomForest', 'rpart', 'grf', 'dplyr', 'fastDummies', 'glmnet',
  
  # Tests
  'multcomp',
  
  # Reg fixed effect
  'lfe',
  
  # Parallelization
  'doParallel', 'parallel',
  
  # Compute performance metrics
  'matrixStats', 'MLeval', 'MLmetrics',
  
  # Helpers
  'tibble', 'tidyr', 'data.table',
  
  # Visualization
  'rmarkdown', 'flextable', 'ggplot2', 'knitr', 'purrr'
)

# Function to check, install, and load packages
package.check <- function(packages) {
  for (pkg in packages) {
    if (!requireNamespace(pkg, quietly = TRUE)) {
      install.packages(pkg, dependencies = TRUE)
    }
    library(pkg, character.only = TRUE)
  }
}

# Manually load the Matrix package first to avoid conflicts
if (!requireNamespace("Matrix", quietly = TRUE)) {
  install.packages("Matrix", dependencies = TRUE)
}
library(Matrix)

# Load all other packages
package.check(vec.pac)
