* Indicators from EDAM 2017
*******************************************************************
use "$path\data_original\EDAM2017_Section_01-04_PUF.dta",clear
	gen adult = 1 					if inrange(q01_04_rec,16,98)
	gen age_adult = q01_04_rec 		if adult==1
	gen female = (q01_02==2) 		if adult==1
	gen maritalstatus = q01_13 		if adult ==1
	gen agemarriage = q01_14 		if adult ==1 	
	gen grade = q02_05 				if adult ==1
	* education
	gen iliterate 	= (q02_01 ==2) 				if adult ==1 
	gen ed_none 	= (q02_03 ==2) 				if adult ==1 
	replace q02_05=0 							if ed_none==1
	gen ed_higher 	= (inrange(q02_05,13,15)) 	if adult ==1 
	gen ed_g10p		= (inrange(q02_05,11,15)) 	if adult ==1 
	gen ed_pprim	= (inrange(q02_05,7,15)) 	if adult ==1 
	* employment status
	gen employed = (q04_01==1 | inrange(q04_02,1,7) | q04_04==1) if adult ==1
	gen worked_p7d= (q04_01==1 | inrange(q04_02,1,7)) if adult ==1
	gen unemployed = (q04_37==1 & employed ==0) if adult==1
	gen inactive = 1 - employed - unemployed if adult ==1
	gen work_self = inrange(q04_09,1,3) if adult ==1
	gen work_dep = inrange(q04_09,4,11) if adult ==1
	gen work_self_formal 	= (work_self ==1 & (q04_11==1 | q04_12 ==1 | q04_18 ==1)) if adult ==1
	gen work_self_informal 	= (work_self ==1 & (q04_11!=1 & q04_12!=1 & q04_18!=1)) if adult ==1 
	gen work_dep_formal 	= (work_dep ==1 & (q04_13==1 | q04_14==1 | q04_14==2 | q04_18==1)) if adult ==1
	gen work_dep_informal 	= (work_dep ==1 & (q04_13!=1 & q04_14!=1 & q04_14!=2 & q04_18!=1)) if adult ==1
	gen work_formal 		= (work_self_formal==1 | work_dep_formal==1) if adult ==1 
	gen work_informal 		= (work_self_informal==1 | work_dep_informal==1) if adult ==1
	gen work_self_1 		= (work_self==1 & q04_09==1) if adult ==1
	gen work_self_23 		= (work_self==1 & (q04_09==2 | q04_09==3)) if adult ==1  
	gen work_dep_45			= (work_self==1 & (q04_09==4 | q04_09==5)) if adult ==1
	gen work_dep_678 		= (work_self==1 & (q04_09==6 | q04_09==7 | q04_09==8)) if adult ==1
	gen metier = q04_08
	gen status = q04_09
	* Q22 23 24  
	gen income=q04_23
	gen frequency=q04_24
	gen weeklyhours=q04_22
	gen income_week = q04_23 if employed ==1
		replace income_week = q04_23 			if q04_23>=0 & q04_23!=. & q04_24==2
		replace income_week = (q04_23 / 4.3) 	if q04_23>=0 & q04_23!=. & q04_24==3
		replace income_week = (q04_23 / 12.9) 	if q04_23>=0 & q04_23!=. & q04_24==4
		replace income_week = (q04_23 / 25.8) 	if q04_23>=0 & q04_23!=. & q04_24==5
		* we need to make an hypohotesis for daily earnings
			* we assume: if <= 40 hours/week >> they work 5 days a week
			* we assume: if between 40 and 48 hours/week >> they work 6 days a week
			* we assume: if >= 48 hours/week >> they work 7 days a week
		replace income_week = (q04_23 * 5) if q04_23>=0 & q04_23!=. & q04_24==1 & q04_22 > 0 	& q04_22 <= 40
		replace income_week = (q04_23 * 6) if q04_23>=0 & q04_23!=. & q04_24==1 & q04_22 > 40 	& q04_22 <= 48
		replace income_week = (q04_23 * 7) if q04_23>=0 & q04_23!=. & q04_24==1 & q04_22 < 48 	& q04_22 !=.
	gen income_hour = income_week * 1000 / q04_22 if q04_22 > 0 & q04_22 !=.
** Djibouti City
keep if inrange(reg_arr, 11, 15)
** Adults 16+
keep if adult==1

* Outliers
replace income_hour=. if income_hour==0
sum income_hour [w=popwt1 ],det
replace income_week=. if income_hour>r(p90)
replace income_week=. if income_hour<r(p10)
replace income_hour=. if income_hour>r(p90)
replace income_hour=. if income_hour<r(p10)

keep popwt1 age_adult female iliterate ed* q02_05 q04_09 q04_16 inactive unemployed employed worked_p7d work_self work_dep work_formal work_informal work_self_formal work_self_informal work_dep_formal work_dep_informal work_self_1 work_self_23 work_dep_45 work_dep_678 weeklyhours income_week income_hour 
		
******************************************************************
gen public=q04_16==1 if q04_16~=.
******************************************************************

sum employed if female==1 [w=popwt1 ]
gen em_f_all=r(mean)
sum employed if female==1 & ed_none==1 [w=popwt1 ]
gen em_f_noed=r(mean)
sum employed if female==1 & ed_pprim==1 [w=popwt1 ]
gen em_f_pprim=r(mean)
sum employed if female==1 & ed_g10==1 [w=popwt1 ]
gen em_f_edss=r(mean)

sum public if female==1 & ed_pprim~=1 & employed==1 [w=popwt1 ]
gen em_f_npp_pub=r(mean)
sum public if female==1 & ed_pprim==1 & employed==1 [w=popwt1 ]
gen em_f_pp_pub=r(mean)

sum public if female==0 & ed_pprim~=1 & employed==1 [w=popwt1 ]
gen em_m_npp_pub=r(mean)
sum public if female==0 & ed_pprim==1 & employed==1 [w=popwt1 ]
gen em_m_pp_pub=r(mean)

sum public if employed==1 & ed_g10==1 [w=popwt1 ]
gen em_hied_pub=r(mean)

label variable em_f_all 	"Employed, female, all"
label variable em_f_noed 	"Employed, female, no ed"
label variable em_f_pprim 	"Employed, female, post prim"
label variable em_f_edss 	"Employed, female, SS or more"
label variable em_f_pp_pub	"% Em'd female w/post prim: public"
label variable em_f_npp_pub	"% Em'd female w/no more than prim: public"
label variable em_m_pp_pub	"% Em'd male w/post prim: public"
label variable em_m_npp_pub	"% Em'd male w/no more than prim: public"
label variable em_hied_pub	"% Em'd and high ed: public"
******************************************************************
sum income_hour [w=popwt1 ],det
gen p25all=r(p25)

sum income_hour if ed_pprim~=1 [w=popwt1 ],det
gen p25lessprim=r(p25)

sum income_hour if female==1 & ed_none==1 [w=popwt1 ],det
gen p25f_noed=r(p25)
gen p50f_noed=r(p50)
sum income_hour if female==1 & ed_none==0 [w=popwt1 ],det
gen p25f_educ=r(p25)
gen p50f_educ=r(p50)

sum income_hour if female==0 & ed_none==1 [w=popwt1 ],det
gen p25m_noed=r(p25)
gen p50m_noed=r(p50)
sum income_hour if female==0 & ed_none==0 [w=popwt1 ],det
gen p25m_educ=r(p25)
gen p50m_educ=r(p50)

label variable p25all 	"P25 wages, all"
label variable p25lessp	"P25 wages, those not more than primary"

label variable p25f_no 	"P25 wages, female no educ"
label variable p25f_ed 	"P25 wages, female some ed"
label variable p25m_noe "P25 wages, male no educ"
label variable p25m_edu "P25 wages, male ed"
label variable p50f_noe "P50 wages, female no educ"
label variable p50f_edu "P50 wages, female some ed"
label variable p50m_noe "P50 wages, male no educ"
label variable p50m_edu "P50 wages, male ed"
******************************************************************
sum income_hour if public~=1 [w=popwt1 ],det
gen p25priv=r(p25)
gen p50priv=r(p50)
label variable p25priv	"P25 wages, private sector"
label variable p50priv	"P50 wages, private sector"

					

preserve
pctile wpct30 = income_hour if public~=1 [w=popwt1 ],nq(10)
tempfile pctile30
keep wpct30
keep if _n==3
save `pctile30'
restore
merge using `pctile30'
drop _m

preserve
pctile wpct_40 = income_hour if female==1 & ed_none==1 [w=popwt1 ],nq(10)
tempfile pctile40
keep wpct_40
label var wpct_40 "Women no school wage 40th pctile"
keep if _n==4
save `pctile40'
restore
merge using `pctile40'

foreach var in em_f_all em_f_noed em_f_pprim em_f_edss em_f_npp_pub em_f_pp_pub em_m_npp_pub em_m_pp_pub em_hied_pub  {
			replace `var'=100*`var'
			replace `var'=round(`var',.1)
				}
				
foreach var in p25all p25lesspri p25f_noed p50f_noed p25f_educ p50f_educ p25m_noed p50m_noed p25m_educ p50m_educ p25priv p50priv wpct30 wpct_40{
			replace `var'=round(`var',1)
				}

keep if _n==1
keep p25* p50* em_* wpct*
save "$path\output\EDAM2017_labor",replace




