use "$path\data_analysis\endline_analysis", clear
***********************************************************************************
* TABLE 2 ATTRITION
	global end w_attrhh w_attrlabor m_attrhh m_attrlabor
	global endline end
	foreach group in $endline {
	preserve
	gen vars=""
	gen N=.
	gen space1=""
	gen n_control=.
	gen mean_control=.
	gen sd_control=.
	gen space2=""
	gen coef_treatment=.
	gen stars_treatment=""
	gen p_treatment=.
	gen se_treatment=.
	local i 0
	foreach var in $`group'  {
	local i=`i'+1
	local x : variable label `var'
	replace vars="`x'" if _n==`i'
	sum `var' if treatment==0
		replace n_control=r(N) if _n==`i'
		replace mean_control=r(mean) if _n==`i'
		replace sd_control=r(sd) if _n==`i'
	foreach x in treatment {
	xi: reg `var' `x' i.strata
	replace N=e(N) if _n==`i'
			replace coef_`x'=_b[`x'] if _n==`i' 
			replace se_`x'=_se[`x'] if _n==`i'
			test `x'=0 
			replace p_`x'= r(p) if _n==`i'
			replace stars_`x'="*" if r(p)<0.1 & r(p)>=0.05 & _n==`i'
			replace stars_`x'="**" if r(p)<0.05 & r(p)>=0.01 & _n==`i'
			replace stars_`x'="***" if r(p)<0.01 & _n==`i'
			replace stars_`x'=" " if r(p)>=0.1 & _n==`i'
			}
	}
	outsheet vars-se_treatment using "$path\output\Table2_`group'.txt"  if _n<150 , replace
	restore
	}
	
***************************************************************************************
* TABLE 1 BALANCE
#delimit ;
global balance 
	bs_eligible3 bs_members bs_enfant5 bs_enfant615 bs_adults bs_propscolarise615 bs_headmale bs_headage bs_headnoeduc bs_benefage bs_benefnoeduc 
	bs_wo_inactive bs_wo_unemployed bs_wo_employed
	bs_wo_daywork_rel bs_wo_self_rel bs_wo_salaried_rel 
	bs_members_shinactive bs_members_shunemployed bs_members_shemployed 
	bs_members_shdaywork_rel bs_members_shself_rel bs_members_shsalaried_rel 
	bs_income_labor bs_lincome_labor bs_income_nonlabor bs_transfer_extrahh
	bs_exppc_total bs_exppc_food bs_exppc_healthedu bs_exppc_other bs_lexppc_total bs_lexppc_food pmt_upper50
	bs_ichild_divers659 bs_child_animal659 bs_child_vitafood659 
	bs_iwoman_divers bs_woman_animal bs_woman_vitafood
	bs_ichild_divers659_10 bs_ichild_divers623_10 bs_iwoman_divers_10
	bs_notenoughfood bs_foodinsecurity
	bs_w_partdecision_index bs_w_tookdecision_index bs_index_mobility_fa ;
#delimit cr	
	gen all = 1
	set more off
	foreach group in all  {
	preserve
	gen vars=""
	gen N=.
	gen space1=""
	gen n_control=.
	gen mean_control=.
	gen sd_control=.
	gen space2=""
	gen coef_treatment=.
	gen stars_treatment=""
	gen p_treatment=.
	local i 0
	foreach var in $balance  {
	local i=`i'+1
	local x : variable label `var'
	replace vars="`x'" if _n==`i'
	sum `var' if `group'==1 & treatment==0
		replace n_control=r(N) if _n==`i'
		replace mean_control=r(mean) if _n==`i'
		replace sd_control=r(sd) if _n==`i'
	foreach x in treatment {
	xi: reg `var' `x' i.strata if `group'==1
	replace N=e(N) if _n==`i'
			replace coef_`x'=_b[`x'] if _n==`i' 
			test `x'=0 
			replace p_`x'= r(p) if _n==`i'
			replace stars_`x'="*" if r(p)<0.1 & r(p)>=0.05 & _n==`i'
			replace stars_`x'="**" if r(p)<0.05 & r(p)>=0.01 & _n==`i'
			replace stars_`x'="***" if r(p)<0.01 & _n==`i'
			replace stars_`x'=" " if r(p)>=0.1 & _n==`i'
		}
	}
	if "`group'"=="all"{
		outsheet vars-p_treatment using "$path\output\Table1_`group'.txt"  if _n<150 , replace
		}
		
	restore
	}
	
***************************************************************************************
* TABLE A3&A4 (Attrition) BALANCE 
* HH SURVEY
#delimit ;
global balance 
	bs_eligible3 bs_members bs_enfant5 bs_enfant615 bs_adults bs_propscolarise615 bs_headmale bs_headage bs_headnoeduc bs_benefage bs_benefnoeduc 
	bs_exppc_total bs_exppc_food bs_exppc_healthedu bs_exppc_other bs_lexppc_total bs_lexppc_food pmt_upper50
	bs_w_partdecision_index bs_w_tookdecision_index bs_index_mobility_fa ;
#delimit cr	
	gen w_hh = (w_attrhh==0)
	gen m_hh = (m_attrhh==0)
	foreach group in  w_hh m_hh {
	preserve
	gen vars=""
	gen N=.
	gen space1=""
	gen n_control=.
	gen mean_control=.
	gen sd_control=.
	gen space2=""
	gen coef_treatment=.
	gen stars_treatment=""
	gen p_treatment=.
	local i 0
	foreach var in $balance  {
	local i=`i'+1
	local x : variable label `var'
	replace vars="`x'" if _n==`i'
	sum `var' if `group'==1 & treatment==0
		replace n_control=r(N) if _n==`i'
		replace mean_control=r(mean) if _n==`i'
		replace sd_control=r(sd) if _n==`i'
	foreach x in treatment {
	xi: reg `var' `x' i.strata if `group'==1
	replace N=e(N) if _n==`i'
			replace coef_`x'=_b[`x'] if _n==`i' 
			test `x'=0 
			replace p_`x'= r(p) if _n==`i'
			replace stars_`x'="*" if r(p)<0.1 & r(p)>=0.05 & _n==`i'
			replace stars_`x'="**" if r(p)<0.05 & r(p)>=0.01 & _n==`i'
			replace stars_`x'="***" if r(p)<0.01 & _n==`i'
			replace stars_`x'=" " if r(p)>=0.1 & _n==`i'
		}
	}
		outsheet vars-p_treatment using "$path\output\TableA34_`group'.txt"  if _n<150 , replace
	restore
	}

		
***************************************************************************************
* TABLE A3&A4 (Attrition) BALANCE 
* WEEKLY LABOR SURVEY
#delimit ;
global balance 
	bs_wo_inactive bs_wo_unemployed bs_wo_employed
	bs_wo_daywork_rel bs_wo_self_rel bs_wo_salaried_rel 
	bs_members_shinactive bs_members_shunemployed bs_members_shemployed 
	bs_members_shdaywork_rel bs_members_shself_rel bs_members_shsalaried_rel 
	bs_income_labor bs_lincome_labor bs_income_nonlabor bs_transfer_extrahh;
#delimit cr	
	gen w_labor = (w_attrlabor==0)
	gen m_labor = (m_attrlabor==0)
	set more off
	foreach group in  w_labor m_labor {
	preserve
	gen vars=""
	gen N=.
	gen space1=""
	gen n_control=.
	gen mean_control=.
	gen sd_control=.
	gen space2=""
	gen coef_treatment=.
	gen stars_treatment=""
	gen p_treatment=.
	local i 0
	foreach var in $balance  {
	local i=`i'+1
	local x : variable label `var'
	replace vars="`x'" if _n==`i'
	sum `var' if `group'==1 & treatment==0
		replace n_control=r(N) if _n==`i'
		replace mean_control=r(mean) if _n==`i'
		replace sd_control=r(sd) if _n==`i'
	foreach x in treatment {
	xi: reg `var' `x' i.strata if `group'==1
	replace N=e(N) if _n==`i'
			replace coef_`x'=_b[`x'] if _n==`i' 
			test `x'=0 
			replace p_`x'= r(p) if _n==`i'
			replace stars_`x'="*" if r(p)<0.1 & r(p)>=0.05 & _n==`i'
			replace stars_`x'="**" if r(p)<0.05 & r(p)>=0.01 & _n==`i'
			replace stars_`x'="***" if r(p)<0.01 & _n==`i'
			replace stars_`x'=" " if r(p)>=0.1 & _n==`i'
		}
	}	
	outsheet vars-p_treatment using "$path\output\TableA34_`group'.txt"  if _n<150 , replace
	restore
	}

***************************************************************************************
* TABLE 2A3&A4 ATTRITION RATES (repates Table 2)
	global end w_attrhh w_attrlabor m_attrhh m_attrlabor
	global endline end
	foreach group in $endline {
	preserve
	gen vars=""
	gen N=.
	gen space1=""
	gen n_control=.
	gen mean_control=.
	gen sd_control=.
	gen space2=""
	gen coef_treatment=.
	gen stars_treatment=""
	gen p_treatment=.
	gen se_treatment=.
	local i 0
	foreach var in $`group'  {
	local i=`i'+1
	local x : variable label `var'
	replace vars="`x'" if _n==`i'
	sum `var' if treatment==0
		replace n_control=r(N) if _n==`i'
		replace mean_control=r(mean) if _n==`i'
		replace sd_control=r(sd) if _n==`i'
	foreach x in treatment {
	xi: reg `var' `x' i.strata
	replace N=e(N) if _n==`i'
			replace coef_`x'=_b[`x'] if _n==`i' 
			replace se_`x'=_se[`x'] if _n==`i'
			test `x'=0 
			replace p_`x'= r(p) if _n==`i'
			replace stars_`x'="*" if r(p)<0.1 & r(p)>=0.05 & _n==`i'
			replace stars_`x'="**" if r(p)<0.05 & r(p)>=0.01 & _n==`i'
			replace stars_`x'="***" if r(p)<0.01 & _n==`i'
			replace stars_`x'=" " if r(p)>=0.1 & _n==`i'
			}
	}
	outsheet vars-se_treatment using "$path\output\TableA34_attrition.txt"  if _n<150 , replace
	restore
	}
***************************************************************************************
* TABLES 4-9, A5
* Controls
	* Main regressions
#delimit ;
global controls 
	bs_members bs_enfant5 bs_enfant615 bs_headmale bs_headage bs_benefage bs_wo_employed bs_wo_unemployed
	bs_members_shinactive bs_members_shunemployed bs_members_shdaywork_rel 
	bs_top20_exppc_food bs_members_d bs_enfant5_d bs_enfant615_d bs_headmale_d bs_headage_d bs_benefage_d 
	 bs_wo_employed_d bs_wo_unemployed_d bs_members_shinactive_d  bs_members_shunemployed_d  
	bs_members_shdaywork_rel_d bs_top20_exppc_food_d ;
#delimit cr
	foreach var in $controls {
		gen `var'_d= (`var'==.)
		replace `var'=0 if `var'_d==1
		}
#delimit ; 
global able4 
		w123w_mean_inactive w123w_mean_unemployed w123w_mean_employed 
		w123w_mean_employed_daywork w123w_mean_employed_salaried w123w_mean_employed_selfempl w123w_mean_employed_gw  
		w123w_mean_hoursworked
		w123w_willlookjob_6m 
		w123oth_mean_inactive_sh w123oth_mean_unemployed_sh w123oth_mean_worked_sh 
		w123oth_mean_daywork_sh w123oth_mean_salaried_sh w123oth_mean_self_sh w123oth_mean_gov_sh 
		w123oth_mean_hoursworked
		w123m_mean_inactive w123m_mean_unemployed w123m_mean_employed 
		w123m_mean_employed_daywork w123m_mean_employed_salaried w123m_mean_employed_selfempl w123m_mean_employed_gw  
		w123m_mean_hoursworked;		
				
global able5 timewo_own_w timewo_study_w timewo_chores_w timewo_care_w timewo_work_w timewo_social_w timewo_other_w 
               timeman_own_m timeman_study_m timeman_chores_m timeman_care_m timeman_work_m timeman_social_m timeman_other_m 
			   timeychbs_benef_w timeychbs_adultwo_w timeychbs_girl_w timeychbs_neighbor_w timeychbs_manadult_w timeychbs_other_w;

global able6 w123_mean_income_total w123w_mean_remun w123oth_mean_income_labor w123m_mean_remun otherincome_w123 otherincomeamt_w123
			 intrahhcash_wh_w123 intrahhcash_wh_amt_w123  
			 intrahhcash_hw_w123 intrahhcash_hw_amt_w123;
			 
global able7 	exppc_total exppc_durables exppc_nondurables exppc_food lexppc_total lexppc_durables lexppc_nondurables lexppc_food
				assetindex 
				hh_anysavings_insurance
				loan_grocery_w123 loan_grocery_amt_w123 loan_w123 loan_reimb_whousing ;
				
global able8 exp_husband_clothes exp_woman_clothes exp_adultmen_khat_tabac w_partdecision_index w_tookdecision_index ;
global able9  w_selfesteem w_mentalhealth m_selfesteem m_mentalhealth;
global ableA5 pnc3 pnc4 breastfeed_exclusive_659 breastfeed_exclusive_06 breastfeed_continued
				ichild_divers659_ychcurrent child_animal659_ychcurrent child_vitafood659_ychcurrent
				ichild_divers623_ychcurrent child_animal623_ychcurrent child_vitafood623_ychcurrent 
				ichild_divers2459_ychcurrent child_animal2459_ychcurrent child_vitafood2459_ychcurrent
				iwoman_divers woman_animal woman_vitafood
				ichild_divers659_10 ichild_divers623_10 iwoman_divers_10
				notenoughfood foodinsecurity foodCoping;
#delimit cr
global main_tables able4 able5 able6 able7 able8 able9 ableA5
* NOTE: The draft PRWP version had a slightly different specification for Table 9 self-esteem outcomes which has been corrected here 10/4/2024
foreach group in $main_tables {
preserve
gen vars=""
gen space1=" "
gen N=.
gen space2=" "
gen n_control=.
gen mean_control=""
gen sd_control=""
gen space3=" "
gen coef_treatment=""
gen stars_treatment=""
gen p_treatment=.
gen se_treatment=.
local i 1
foreach var in $`group'  {
*** we use variable labels ******
local x : variable label `var'
replace vars="`x'" if _n==`i'
	sum `var' if treatment==0
		replace n_control=r(N) if _n==`i'
		replace mean_control=string(round(r(mean),.001)) if _n==`i'
		replace mean_control="0" + mean_control if (substr(mean_control,1,1)=="." | substr(mean_control,1,2)=="-.") &  _n==`i'
		replace sd_control=string(round(r(sd),.001)) if _n==`i'
		replace sd_control="0" + sd_control if (substr(sd_control,1,1)=="." | substr(sd_control,1,2)=="-.") &  _n==`i'
		replace mean_control=subinstr(mean_control,"0-","-0",.) if _n==`i'
		*replace sd_control="["+sd_control+"]" if _n==`i' 
	foreach x in treatment {
	xi: reg `var' `x' ${controls} i.strata i.endline_n
		replace N=e(N) if _n==`i'
			*replace coef_`x'=_b[`x'] if _n==`i' 
			replace coef_`x'=string(round(_b[`x'],.001)) if _n==`i'
			replace coef_`x'="0"+coef_`x' if (substr(coef_`x',1,1)=="." | substr(coef_`x',1,2)=="-.") &  _n==`i'
			replace coef_`x'=subinstr(coef_`x',"0-","-0",.) if _n==`i'
			replace se_`x'=_se[`x'] if _n==`i'
			test `x'=0 
			replace p_`x'= r(p) if _n==`i'
			replace stars_`x'="*" if r(p)<0.1 & r(p)>=0.05 & _n==`i'
			replace stars_`x'="**" if r(p)<0.05 & r(p)>=0.01 & _n==`i'
			replace stars_`x'="***" if r(p)<0.01 & _n==`i'
    		replace stars_`x'=" " if r(p)>=0.1 & _n==`i'
			}
	
		local i=`i'+ 1
			}
	outsheet vars-se_treatment using "$path\output\T`group'_end.txt"  if _n<150 , replace
	restore
	}

	
