use "$path\data_analysis\midline_analysis.dta", clear

********************************************************************************
********************************************************************************
#delimit ;
global controls 
	bs_members bs_enfant5 bs_enfant615 bs_headmale bs_headage bs_benefage  
	bs_wo_employed bs_wo_unemployed
	bs_members_shinactive bs_members_shunemployed bs_members_shdaywork_rel 
	bs_quint5_exppc_food
	bs_members_d bs_enfant5_d bs_enfant615_d bs_headmale_d bs_headage_d bs_benefage_d 
	bs_wo_employed_d bs_wo_unemployed_d
	bs_members_shinactive_d bs_members_shunemployed_d bs_members_shdaywork_rel_d
	bs_quint5_exppc_food_d ;
#delimit cr

	foreach var in $controls {
		gen `var'_d= (`var'==.)
		replace `var'=0 if `var'_d==1
		}

global work w123w_mean_employed w123m_mean_employed
lab var w123w_mean_employed "Woman"
lab var w123m_mean_employed "Husband"
	
global timeusew timewo_own_w13  timewo_chores_w13 timewo_care_w13 timewo_work_w13 timewo_social_w13 timewo_other_w13 
lab var timewo_own_w13 "personal"
lab var timewo_chores_w13 "chores"
lab var timewo_work_w13 "work"
lab var timewo_care_w13 "care"
lab var timewo_social_w13 "social"
lab var timewo_other_w13 "other"

global income  w123_mean_income_total w123w_mean_remun  w123oth_mean_income_labor  otherincomeamt_w123
lab var w123_mean_income_total	"total income"
lab var w123w_mean_remun "woman labor income"
lab var w123oth_mean_income_labor "other members labor income"
lab var otherincomeamt_w123 "other income"
**************************************************************************

local rownames ""
mata: estw = J(0,3,.)
  foreach var in $work 			{
  	        xi: reg `var' treatment ${controls} i.strata i.followup_n 
            mata: estw = estw \ st_matrix("r(table)")'[1, (1,5,6)]
            local rownames `rownames' `var'
    }
	
mata: st_matrix("estw", estw)
matrix rownames estw = `rownames'
matrix colnames estw = HZ LL UL

#delimit ;
coefplot matrix(estw[,1]), ci((estw[,2] estw[,3]) ) xline(0, lpattern(dash) lcolor(black))
coeflabels(, notick labgap(5)) title(female labor supply, box bexpand size(medium))
   recast(bar) barwidth(0.25) finten(60) citop  ciopt(recast(rcap)) title(Midline, size(small));
#delimit cr
graph save "$path\output\temp_f2mid.gph", replace

********************************************************************************
local rownames ""
mata: estw = J(0,3,.)
  foreach var in $timeusew 			{
  	        xi: reg `var' treatment ${controls} i.strata i.followup_n 
            mata: estw = estw \ st_matrix("r(table)")'[1, (1,5,6)]
            local rownames `rownames' `var'
    }
	
mata: st_matrix("estw", estw)
matrix rownames estw = `rownames'
matrix colnames estw = HZ LL UL

#delimit ;
coefplot matrix(estw[,1]), ci((estw[,2] estw[,3]) ) xline(0, lpattern(dash) lcolor(black))
coeflabels(, notick labgap(5)) title(female labor supply, box bexpand size(medium))
   recast(bar) barwidth(0.25) finten(60) citop  ciopt(recast(rcap)) title(Midline: Women's time use, size(small));
#delimit cr
graph save "$path\output\figure3.gph", replace

********************************************************************************
local rownames ""
mata: estw = J(0,3,.)
  foreach var in $income 			{
  	        xi: reg `var' treatment ${controls} i.strata i.followup_n 
            mata: estw = estw \ st_matrix("r(table)")'[1, (1,5,6)]
            local rownames `rownames' `var'
    }
	
mata: st_matrix("estw", estw)
matrix rownames estw = `rownames'
matrix colnames estw = HZ LL UL

#delimit ;
coefplot matrix(estw[,1]), ci((estw[,2] estw[,3]) ) xline(0, lpattern(dash) lcolor(black))
coeflabels(, notick labgap(5)) title(female labor supply, box bexpand size(medium))
   recast(bar) barwidth(0.25) finten(60) citop  ciopt(recast(rcap)) title(Midline: Household income, size(small));
#delimit cr
graph save "$path\output\figure4.gph", replace
********************************************************************************
********************************************************************************
use "$path\data_analysis\endline_analysis.dta", clear

#delimit ;
global controls 
	bs_members bs_enfant5 bs_enfant615 bs_headmale bs_headage bs_benefage  
	bs_wo_employed bs_wo_unemployed
	bs_members_shinactive bs_members_shunemployed bs_members_shdaywork_rel 
	bs_quint5_exppc_food
	bs_members_d bs_enfant5_d bs_enfant615_d bs_headmale_d bs_headage_d bs_benefage_d 
	bs_wo_employed_d bs_wo_unemployed_d
	bs_members_shinactive_d bs_members_shunemployed_d bs_members_shdaywork_rel_d
	bs_quint5_exppc_food_d ;
#delimit cr

	foreach var in $controls {
		gen `var'_d= (`var'==.)
		replace `var'=0 if `var'_d==1
		}

global work w123w_mean_employed w123m_mean_employed
lab var w123w_mean_employed "Woman"
lab var w123m_mean_employed "Husband"
	
local rownames ""
mata: estw = J(0,3,.)
  foreach var in $work 			{
  	        xi: reg `var' treatment ${controls} i.strata i.endline_n 
            mata: estw = estw \ st_matrix("r(table)")'[1, (1,5,6)]
            local rownames `rownames' `var'
    }
	
mata: st_matrix("estw", estw)
matrix rownames estw = `rownames'
matrix colnames estw = HZ LL UL

#delimit ;
coefplot matrix(estw[,1]), ci((estw[,2] estw[,3]) ) xline(0, lpattern(dash) lcolor(black))
coeflabels(, notick labgap(5)) title(female labor supply, box bexpand size(medium))
   recast(bar) barwidth(0.25) finten(60) citop  ciopt(recast(rcap)) title(Endline, size(small));
#delimit cr
graph save "$path\output\temp_f2end.gph", replace
********************************************************************************
********************************************************************************

gr combine "$path\output\temp_f2mid.gph" "$path\output\temp_f2end.gph" , row(1) ycommon xcommon title(Employment status, size(medium)) 
graph save "$path\output\figure2.gph" , replace


