#delimit ;
use "$path\data_original\dji_endline.dta", clear;
* merge DESIGN DATA;
	rename id6 id8;
	sort id8;
	merge 1:1 id8 using "$path\data_original\designdata.dta";
		assert _merge==3;
		assert rsite==w_id1;
		assert rfoyer==w_id2;
		drop _merge;
		preserve;
* merge BASELINE data;
use "$path\data_original\dji_baseline.dta", clear;
keep id8 interviewdatenum- timeman_other wo_employed-members_shother_rel w_gaveopinion_1- w_partdecisionoth_index wtakesdecisions_1- wtakesdecisions_10 index_womendecision_std index_womendecision_fa index_noneedpermission_std index_goesalone_std index_mobility_fa w_selfesteem- m_depression a2_* a3_* a4_* a5_* a6a_* a6b_*;
			foreach var of varlist a2_0- a6b_15 interviewdatenum-timeman_other wo_employed-m_depression {;
				rename `var' bs_`var';
				};
				drop bs_group_1-bs_treatment;
		* homogeneize baseline and endline member IDs;
		local j 16;
		foreach i in 15 14 13 12 11 10 9 8 7 6 5 4 3 2 1 0 {;
		foreach var in bs_a2 bs_a3 bs_a4 bs_a5 bs_a6a bs_a6b bs_agemonths {;
			rename `var'_`i' `var'_`j';
			};
			local j = `j'-1;
			};
				sort id8;
			save "$path\data_analysis\temp\baseline.dta", replace;
		restore;	
	merge 1:1 id8 using "$path\data_analysis\temp\baseline.dta"; 	
		tab _merge;
		assert _merge==3;
		drop _merge;
		preserve;
*  merge MIDLINE DATA;
use "$path\data_analysis\midline_analysis.dta", clear;
		keep id8 w2_id9_code- pk_partfoyer_enf;
		foreach var of varlist w2_id9_code- pk_partfoyer_enf {;
			rename `var' f_`var';
			};
			sort id8;
		save "$path\data_analysis\temp\endline_outcomes.dta", replace;
		restore;	
merge 1:1 id8 using "$path\data_analysis\temp\endline_outcomes.dta"; 	
		assert _merge==3;
		drop _merge;
		

*********************************************************************************************************************;
* PREPARE ANALYSIS VARS;

* cleaning of hours worked Women;
	
	replace w1w_f33	=7 if id8==	20561	;
	replace w1w_f31	=5 if id8==	20456	;
	replace w1w_f31	=5 if id8==	20789	;
	replace w1w_f33	=5 if id8==	21180	;
	replace w1w_f33	=6 if id8==	20263	;
	replace w2w_f34	=8 if id8==	23219	;
	replace w3w_f34	=18 if id8==21253	;
	replace w3w_f32	=12 if id8==23263	;
	replace w3w_f34	=7 if id8==	21180	;
	replace w3w_f34	=5 if id8==	20415	;
	replace w3w_f37	=6 if id8==	21603	;
	replace w3w_f34	=5 if id8==	21590	;
	replace w3w_f35	=9 if id8==	20898	;
	replace w3w_f32	=6 if id8==	22469	;
	replace w3w_f32	=5 if id8==	12095	;
	replace w3w_f33	=5 if id8==	21526	;
	replace w3w_f35	=5 if id8==	22475	;
	replace w3w_f36	=6 if id8==	21603	;
	replace w3w_f33	=5 if id8==	21590	;
	* We clean remmuneration for self-employment - Women;
	replace w1w_f7 = 	2700 	if id8==22400	;
	replace	w1w_f6	=	4900	if id8==22583	;	
	replace	w1w_f7	=	19600	if id8==22583	;	
	replace	w1w_f6	=	3500	if id8==22367	;	
	replace	w1w_f7	=	14000	if id8==22367	;
	replace	w1w_f6	=	1500	if id8==19689	;	
	replace	w1w_f7	=	6000	if id8==19689	;
	replace	w1w_f6	=	2100	if id8==21644	;	
	replace	w1w_f7	=	8400	if id8==21644	;
	replace	w1w_f6	=	5300	if id8==22917	;	
	replace	w1w_f7	=	21200	if id8==22917	;
	replace	w1w_f7	=	8000	if id8==20709	;
	replace	w1w_f7	=	15000	if id8==21110	;
	replace	w1w_f44_fdj	=	300	if id8==21347	;							
	replace	w1w_f45_fdj	=	800	if id8==19946	;							
	replace	w1w_f42_fdj	=	3000	if id8==22479;							
	replace	w1w_f42_fdj	=	1000	if id8==21351;							
	replace	w1w_f44_fdj	=	10000	if id8==21253;							
	replace	w1w_f45_fdj	=	300	if id8==13616	;							
	replace	w1w_f7	=	2500	if id8==22656	;							
	replace	w1w_f7	=	4200	if id8==13845	;							
	replace	w1w_f7	=	4200	if id8==19643	;	
	replace	w1w_f6	=	1400	if id8==19643	;
	replace	w1w_f7	=	6900	if id8==22487	;							
	replace	w1w_f7	=	5850	if id8==22674	;							
	
	replace	w2w_f7	=	8400	if id8==19946	;							
	replace	w2w_f7	=	38000	if id8==21715	;							
	replace	w2w_f7	=	9800	if id8==20640	;							
	replace	w2w_f7	=	16800	if id8==20698	;							
	replace	w2w_f7	=	7200	if id8==21110	;							
	replace	w2w_f7	=	8400	if id8==21644	;							
	replace	w2w_f7	=	14000	if id8==22474	;							
	replace	w2w_f46_fdj	=	200	if id8==19617	;							
	replace	w2w_f42_fdj	=	300	if id8==21585	;							
	replace	w2w_f43_fdj	=	0	if id8==13033	;							
	
	replace	w3w_f7	=	30000	if id8==19850	;							
	replace	w3w_f7	=	21000	if id8==22944	;							
	replace	w3w_f7	=	9800	if id8==20640	;							
	replace	w3w_f7	=	6000	if id8==21110	;							
	replace	w3w_f7	=	14000	if id8==22474	;							
	replace	w3w_f41_fdj	=	500	if id8==23284	;							
	replace	w3w_f7	=	6000	if id8==11284	;							
	replace	w3w_f7	=	10360	if id8==23168	;	
	replace	w3w_f6	=	2590	if id8==23168	;
	* clean hours worked - Men;
	replace 	w1m_f33	=	10	if id8==	20072	;	
	replace 	w1m_f35	=	12	if id8==	19781	;	
	replace 	w1m_f31	=	12	if id8==	20557	;	
	replace 	w1m_f34	=	15	if id8==	20105	;	
	replace 	w1m_f34	=	8	if id8==	22454	;	
	replace 	w1m_f34	=	8	if id8==	22538	;	
	replace 	w1m_f34	=	8	if id8==	23284	;	
	replace 	w1m_f32	=	8	if id8==	19874	;	
	foreach i of numlist 1/7 {;
		replace w1m_f3`i'=20 if id8==22984;
		replace w1m_f3`i'=20 if id8==22362;
		};
	replace 	w2m_f31	=	12	if id8==	21529	;														
	replace 	w2m_f34	=	12	if id8==	21662	;														
	replace 	w2m_f32	=	12	if id8==	22438	;														
	replace 	w2m_f32	=	5	if id8==	20704	;														
	replace 	w2m_f37	=	4	if id8==	21542	;														
	foreach i of numlist 1/4 6 7 {;
		replace w2m_f3`i'=9	if id8==	22427	;
		};													
	foreach i of numlist 2/7 {;
		replace w2m_f3`i'=20 if id8==22984;													
		};
	foreach i of numlist 1/7 {;
		replace w2m_f3`i'=20	if id8==22667	;
		replace w2m_f3`i'=11	if id8==20618	;
		};
	replace 	w3m_f36	=	5	if id8==	20418	;	
	replace 	w3m_f35	=	5	if id8==	20418	;	
	replace 	w3m_f33	=	5	if id8==	20418	;
	replace 	w3m_f31	=	10	if id8==	19882	;														
	replace 	w3m_f32	=	.	if id8==	21847	;														
	replace 	w3m_f32	=	12	if id8==	11704	;														
	replace 	w3m_f35	=	6	if id8==	21128	;														
	replace 	w3m_f32	=	12	if id8==	23221	;														
	replace 	w3m_f36	=	9	if id8==	22551	;														
	replace 	w3m_f33	=	10	if id8==	20898	;														
	replace 	w3m_f33	=	8	if id8==	22437	;		
	
	foreach i of numlist 1/7 {;
		replace w3m_f3`i'=20 if id8==12836;													
		replace w3m_f3`i'=20 if id8==22667;
		};
	foreach i of numlist 1/6 {;
		replace w3m_f3`i'=20 if id8==22984;			
		};
		
	* We clean remmuneration - Men;

	replace	w1m_f7	=	90000	if id8==	21733;							
	replace	w1m_f7	=	750000	if id8==	20292;							
	replace	w1m_f6	=	10500	if id8==	22917;	
	replace	w1m_f7	=	42000	if id8==	22917;
	replace	w1m_f45_fdj	=1000	if id8==	20898;							
	replace	w2m_f43_fdj	=4000	if id8==	21723;	
	replace	w2m_f7	=	112000	if id8==	21723;
	replace	w2m_f47_fdj	=400	if id8==	21542;							
	replace	w2m_f46_fdj	=1000	if id8==	21445;							

	replace	w2m_f8=. if id8==19593;
	replace	w2m_f9=. if id8==19593;

	
	* We replace by missing outliers od other income;
	replace w1w_fs7_fdj=. if id8==21270;
	replace w1w_fs5_fdj=. if id8==20840;
	replace w3w_fs5_fdj=. if id8==19983;
	
	
* Woman Endline Employment Diaries: Interview date & date last contribution to tontine & insurance;
	foreach week in w1 w2 w3 {;
		* Interview Date;
			gen `week'w_interviewdate = substr(`week'w_id11, 1, 10);
				replace `week'w_interviewdate = subinstr(`week'w_interviewdate," 1","",.);
				replace `week'w_interviewdate = subinstr(`week'w_interviewdate," ","",.);
				replace `week'w_interviewdate = subinstr(`week'w_interviewdate,".","",.);
		
			gen `week'w_interviewdatenum = date(`week'w_interviewdate,"MDY",2015);
			
			gen `week'w_interviewday = dow(`week'w_interviewdatenum);
				label var `week'w_interviewdate "Interview date beneficiary `week'";
				label var `week'w_interviewdatenum "Date of `week' interview beneficiary (numeric)";
				label var `week'w_interviewday "Day of the week the interview took place, beneficiary"; 
						
		* Tontine & insurance;
			gen `week'_date_deposit_tontine = substr(`week'w_fs45, 1, 10);
				replace `week'_date_deposit_tontine = subinstr(`week'_date_deposit_tontine," 1","",.);
				replace `week'_date_deposit_tontine = subinstr(`week'_date_deposit_tontine,".","",.);
				replace `week'_date_deposit_tontine = subinstr(`week'_date_deposit_tontine," ","",.);
	
			gen `week'_date_deposit_insurance = substr(`week'w_fs50, 1, 10);
				replace `week'_date_deposit_insurance = subinstr(`week'_date_deposit_insurance," 1","",.);
				replace `week'_date_deposit_insurance = subinstr(`week'_date_deposit_insurance,".","",.);
				replace `week'_date_deposit_insurance = subinstr(`week'_date_deposit_insurance," ","",.);
	
				*date last insurance debit: 0 hh, var `week'w_fs53 has then a byte format;
	
		foreach group in deposit_tontine deposit_insurance {;
			gen `week'_date_`group'_num = date(`week'_date_`group',"MDY",2014);
			
			label var `week'_date_`group' "Date of last `group' - `week'";
			label var `week'_date_`group'_num "Numeric date of last `group' - `week'";
			};
	};
	
	order w*w_interviewdate w*w_interviewdatenum w*w_interviewday w*_date_deposit_tontine w*_date_deposit_tontine_num w*_date_deposit_insurance w*_date_deposit_insurance_num, after(f_pk_partfoyer_enf);
		
* Woman Endline: interview date;
			replace w_id111="5/25/2015 12:00:00 AM" if w_id111=="5/25/2023 12:00:00 AM";
			
		foreach visit of numlist 1/10 {;
			gen datetemp`visit' = substr(w_id11`visit', 1, 10);
			};
					
			foreach visit of numlist 1/10 {;
			replace datetemp`visit' = subinstr(datetemp`visit',".","",.);
			replace datetemp`visit' = subinstr(datetemp`visit'," 1","",.);			
			};
			
			* we create interview date;
			gen w_interviewdate = datetemp1;
			foreach visit of numlist 2/10 {;
				replace w_interviewdate = datetemp`visit' if datetemp`visit'!="" & w_id12`visit'==1;
				};
			codebook w_interviewdate;
			label var w_interviewdate "Interview date";
			
			gen w_interviewmonth = substr(w_interviewdate, 1, 2);
				replace w_interviewmonth = subinstr(w_interviewmonth,"/","",.);
						destring w_interviewmonth, replace;
						* we group months for wich we have a few observations;
						replace w_interviewmonth=3 if (w_interviewmonth==2 | w_interviewmonth==4) & endline_n==1;
						replace w_interviewmonth=2 if w_interviewmonth==3 & endline_n==4;
						replace w_interviewmonth=10 if w_interviewmonth==11 & endline_n==3;
						
				label var w_interviewmonth "Month the interview took place";		
						
			gen w_interviewdatenum = date(w_interviewdate,"MDY", 2020);
				codebook w_interviewdatenum ;
				label var w_interviewdatenum  "Date of woman endline interview (numeric)";
			
			gen w_interviewday = dow(w_interviewdatenum);
				label var w_interviewday "Day of the week the interview took place";
				
				drop datetemp*;
	
	* Woman endline: we identify empty questionnaires;
	egen miss_roster = rowmiss(w_h0_nouv w_h0_check w_rep_tm w_benef_check w_rep_check w_h7_* w_h7_nouv_* w_h7_raison_* w_h3_* w_h6_mois_* w_h6_anne_* w_h8_* w_h9_* w_h10a_* w_h10b_*);
		replace miss_roster = 0 if miss_ros < 269;
		replace miss_roster = 1 if miss_ros == 269;
		label var miss_roster "1 if roster data missing in woman endline survey"; 
			
	egen miss_indic = rowmiss(w_l0e-w_c7f_10);
		replace miss_indic = 0 if miss_indic<80 | miss_indic==85;
		replace miss_indic = 1 if miss_indic == 80 | miss_indic > 85;
		label var miss_indic "1 if health indicators data missing in woman endline survey"; 
		
		* Expenses: modules on expenses over the past 12 months were included starting in endline A2 (they are missing in endline A1);
	
	egen missexpenses1=rowmiss(w_e1-w_e923);
		tab missexpenses1 if endline_n==1;
		tab missexpenses1 if endline_n!=1;

	egen missexpenses2=rowmiss(w_e940-w_o984);
		tab missexpenses2 if endline_n==1;
		tab missexpenses2 if endline_n!=1;
	
	tab missexpenses1 missexpenses2 if endline_n!=1;
	
	gen miss_expenses = (missexpenses1>100);
		label var miss_expenses "1 if data on expenses missing in woman endline survey"; 
		
	gen miss_expenses12 = (missexpenses2==31 | missexpenses2==32);
		label var miss_expenses12 "1 if data on expenses in last 12 months missing in woman endline survey"; 
		
		drop missexpenses1 missexpenses2;
		
	egen miss_durables = rowmiss(w_bd*);
		replace miss_durables = 0 if miss_durables < 190;
		replace miss_durables = 1 if miss_durables >= 190;
		label var miss_durables "1 if data on durables missing in woman endline survey"; 
		
	egen miss_decisions = rowmiss(w_i1_1- w_i3_10);
		replace miss_decisions = 0 if miss_decisions < 27;
		replace miss_decisions = 1 if miss_decisions >= 27;
		label var miss_decisions "1 if data on bargaining power missing in woman endline survey"; 
	
	egen miss_time = rowmiss(w_lp_0- w_la2_19);
		replace miss_time = 0 if miss_time  < 80;
		replace miss_time = 1 if miss_time  >= 80;
		label var miss_time "1 if data on time use missing in woman endline survey"; 
		
	egen miss_know = rowmiss(w_o1- w_o332);
		replace miss_know = 0 if miss_know  < 46;
		replace miss_know = 1 if miss_know  >= 46;
		label var miss_know "1 if data on program knowledge missing in woman endline survey"; 
		
		replace w_at0_spec = "" if w_at0_spec==".";
		replace w_at3 = "" if w_at3==".";
		
	egen miss_laboract = rowmiss(w_at0- w_at6);
		replace miss_laboract = 0 if miss_laboract  < 21;
		replace miss_laboract = 1 if miss_laboract  >= 21;
		label var miss_laboract "1 if data on labor activation missing in woman endline survey"; 
		
	egen miss_carnet = rowmiss(w_cs1- w_sc20_sc);
		replace miss_carnet = 0 if miss_carnet < 45;
		replace miss_carnet = 1 if miss_carnet >= 45;
		label var miss_carnet "1 if data on health books missing in woman endline survey"; 
		
	egen miss_weight = rowmiss(w_poids1_* w_poids2_* w_poids3_*);
		replace miss_weight = 0 if miss_weight < 66;
		replace miss_weight = 1 if miss_weight >= 66;
		label var miss_weight "1 if data on weight missing in woman endline survey"; 
		
	egen miss_total = rowtotal (miss_roster miss_indic miss_expenses miss_durables miss_decisions miss_time miss_know miss_laboract miss_carnet miss_weight);
		label var miss_total "number of missing sections in woman endline survey"; 
	
	gen w_missinterview = 0;
		replace w_missinterview = 1 if miss_total==10; 
		label var w_missinterview "1 if non reponse to woman endline survey"; 
	
	* Woman Endline: visit result;
			gen w_visitresult = w_id121 ;
			foreach visit of numlist 2/10 {;
				replace w_visitresult = w_id12`visit' if inrange(w_id12`visit', 1,8);
				};
				replace w_visitresult=1 if id8==22488;
				replace w_visitresult=8 if w_visitresult==.; 
				
				codebook w_visitresult;
				label var w_visitresult "Visit result";
	
	tab w_visitresult w_missinterview;
	
		  
	* Man Endline: we identify empty questionnaires; 
		
	egen mmiss_expenses=rowmiss(m_he1_f-m_he41);		
		replace mmiss_expenses=0 if mmiss_expenses<69;
		replace mmiss_expenses=1 if mmiss_expenses>=69;
		label var mmiss_expenses "1 if expense data from man quest is missing";
		
	egen mmiss_pers = rowmiss(m_k1_1 - m_sm5);
		replace mmiss_pers = 0 if mmiss_pers < 15;
		replace mmiss_pers = 1 if mmiss_pers >= 15;
		label var mmiss_pers "1 if data on personality traits missing in man endline survey"; 
	
	egen mmiss_time = rowmiss(m_lp_0 - m_ls_19);
		replace mmiss_time = 0 if mmiss_time  < 37;
		replace mmiss_time = 1 if mmiss_time  >= 37;
		label var mmiss_time "1 if data on time use missing in man endline survey"; 
	
				
	egen mmiss_laboract = rowmiss(m_at0- m_at6);
		replace mmiss_laboract = 0 if mmiss_laboract < 17 | mmiss_laboract==18 ;
		replace mmiss_laboract = 1 if mmiss_laboract  == 19 | mmiss_laboract  == 17 ;
		label var mmiss_laboract "1 if data on labor activation missing in woman endline survey"; 		
	
	egen mmiss_total = rowtotal (mmiss_expenses mmiss_pers mmiss_time mmiss_laboract);
		tab mmiss_total; 
		label var mmiss_total "number of missing sections in man endline survey"; 
	
	gen m_missinterview = 0;
		replace m_missinterview = 1 if mmiss_total==4; 
		label var m_missinterview "1 if non reponse to man endline survey"; 
	
	
	* Some data cleaning;
	*edit if w_visitresult==1 & w_missinterview==1;
		replace w_visitresult=8 if w_visitresult==1 & w_missinterview==1;  
		replace w_res=. if id8==19908 | id8==21831 | id8==21832; 
		
			assert miss_total==10 if w_visitresult>1 & w_res==1;
			replace w_res=. if w_visitresult>1 & w_res==1;
		
			assert miss_total!=10 if w_visitresult==1 & w_missinterview==0;
		
			assert miss_total==10 if w_visitresult>1 & w_missinterview==1;
		
		
				replace w_res=2 if w_res==1 & w_missinterview==0 & inrange(miss_total, 1, 9);
				replace w_res=1 if w_res==2 & w_missinterview==0 & miss_total==0; 
				replace w_res=1 if w_res==. & w_missinterview==0 & miss_total==0;
				replace w_res=2 if w_res==. & w_missinterview==0 & inrange(miss_total, 1, 9);
			
				replace w_res=. if w_res==2 & w_missinterview==1 & miss_total==10;
		
	* Woman Endline: interview result;
			gen w_interviewresult = w_res ;
				codebook w_interviewresult;
				label var w_interviewresult "Interview result";
				
	* Time in months between baseline and endline interview;
			gen w_months_bs_end= (w_interviewdatenum - bs_interviewdatenum) / 30.33;
				label var w_months_bs_end "Time in months between baseline and woman endline interview";  
	
	* Time in months between followup and endline interview;
		gen w_months_fu_end = (w_interviewdatenum - f_w2_interviewdatenum) / 30.33; 
				label var w_months_fu_end "Time in months between follow-up (week 2) and woman endline interview";  
				
				
	* Age in months of youngest child at endline based on BASELINE data; 	
			gen end_agemonths_ych_bs = int(bs_agemonths_ych + w_months_bs_end);
				label var end_agemonths_ych_bs "BS: Age in months of youngest child at endline";  

********************
* Some data cleaning: weight;
replace w_poids1_2=64.60 if w_poids1_2==6460;
replace w_poids2_2=64.60 if w_poids2_2==6460;
replace w_poids3_2=64.70 if w_poids3_2==6470;

replace w_poids2_2=73.5 if w_poids2_2==735;

replace w_poids1_1=61.90 if w_poids1_1==6190;
replace w_poids2_1=61.80 if w_poids2_1==6180;
replace w_poids3_1=61.80 if w_poids3_1==6180;

replace w_poids1_2=44.00 if w_poids1_2==4400;
replace w_poids2_2=43.90 if w_poids2_2==4390;
replace w_poids3_2=43.90 if w_poids3_2==4390;

replace w_poids3_2=88.9 if w_poids3_2==889;

replace w_poids1_2=72.5 if w_poids1_2==725;
replace w_poids2_2=72.5 if w_poids2_2==725;
replace w_poids3_2=72.5 if w_poids3_2==725;

replace w_poids3_2=94 if w_poids3_2==940;

**************************************;
	* We continue with the woman hh survey;

* ROSTER; 

	* HH Members at Endline survey;
		* We count the number of members declared in endline survey - woman questionnaire;
			gen w_nmembers = 0 if w_missinterview==0;
			foreach i of numlist 1/22 {;
				replace w_nmembers = w_nmembers + 1 if w_h7_`i'==1;
				};			
				* we turn to missing hh with 0 members; 
				replace w_nmembers=. if w_nmembers==0;
			label var w_nmembers "number of HH members - woman endline survey"; 
			* By age group;
			* children 0-5;
			gen enfant5 = 0 if w_missinterview==0;
				foreach i of numlist 1/22 {;
					replace enfant5 = enfant5 + 1 if w_h7_`i'==1 & w_h5_`i'>=0 & w_h5_`i'<6 ;
					};			
					label var enfant5 "number of HH members 0-5 years old - woman endline survey"; 
			* children 6-15;
			gen enfant615 = 0 if w_missinterview==0;
				foreach i of numlist 1/22 {;
					replace enfant615 = enfant615 + 1 if w_h7_`i'==1 & w_h5_`i'>=6 & w_h5_`i'<16 ;
					};			
					label var enfant615 "number of HH members 6-15 years old - woman endline survey"; 
			* adults (>15 years old);
			gen adults = 0 if w_missinterview==0;
				foreach i of numlist 1/22 {;
					replace adults = adults + 1 if w_h7_`i'==1 & ((w_h5_`i'>=16 & w_h5_`i'!=.) | w_h5_`i'<0);
					};			
					label var adults "number of HH members >15 years old - woman endline survey"; 
* Age in years and in months of youngest child at endline based on ENDLINE data;
					
			* We create a variable for the age in month and then we identify the one of the youngest child;
				foreach i of numlist 1/22 {;
				gen temp_monthbirth`i' = string(w_h6_mois_`i') if inrange(w_h6_mois_`i', 1, 12);
					
				gen temp_yearbirth`i' = .;
					
					local j 2015;
					foreach y of numlist 1/7 {;  
					replace temp_yearbirth`i' = `j' if w_h6_anne_`i'== `y' ;
					local j = `j' - 1;
					};
					tostring temp_yearbirth`i', replace; 
					replace temp_yearbirth`i'="" if temp_yearbirth`i'=="."; 
					
					gen end_datebirth`i' = "1-" + temp_monthbirth`i' + "-" + temp_yearbirth`i' if temp_monthbirth`i'!="" & temp_yearbirth`i'!=""; 
					drop temp_monthbirth`i' temp_yearbirth`i'; 
			
					gen end_datebirth`i'_num = date(end_datebirth`i',"DMY", 2020);
			
					gen end_agemonths`i' = (w_interviewdatenum - end_datebirth`i'_num) / 30.33 ;
									
					};
			
			* Youngest Child (the one declared at baseline for wich we have data on food diversity);
			gen end_agemonths_ych_end = .;
			foreach i of numlist 1/22 {;
				replace end_agemonths_ych_end=end_agemonths`i' if end_agemonths`i'>=0 & end_agemonths`i'!=. & w_c2b==`i';
				};
				*replace end_agemonths_ych_end  = int(end_agemonths_ych_end); 
			
			gen end_ageyears_ych = .;
			foreach i of numlist 1/22 {;
				replace end_ageyears_ych=w_h5_`i' if w_h5_`i'>=0 & w_h5_`i'!=. & w_c2b==`i';
				};
				
			replace end_agemonths_ych_end = end_ageyears_ych * 12 if end_agemonths_ych_end==. & end_ageyears_ych!=.;  	
			
			label var end_agemonths_ych_end "END: Age in months of youngest child at endline";  
			label var end_ageyears_ych "END: Age in months of youngest child at endline"; 
			
			
			* New Youngest Child (a newborn declared at follow-up or endline for wich we have data on food diversity);
			gen end_agemonths_ych2_end = .;
			foreach i of numlist 1/22 {;
				replace end_agemonths_ych2_end=end_agemonths`i' if end_agemonths`i'>=0 & end_agemonths`i'!=. & w_l0f==`i';
				};
				*replace end_agemonths_ych2_end = int(end_agemonths_ych2_end); 
			
			gen end_ageyears_ych2 = .;
			foreach i of numlist 1/22 {;
				replace end_ageyears_ych2=w_h5_`i' if w_h5_`i'>=0 & w_h5_`i'!=. & w_l0f==`i';
				};
			
			replace end_agemonths_ych2_end = end_ageyears_ych2 * 12 if end_agemonths_ych2_end==. & end_ageyears_ych2!=.;
			
			* Age of the youngest child for wich we have diet diversity data at endline;
			gen end_agemonths_ych_min = end_agemonths_ych_end;
				replace end_agemonths_ych_min = end_agemonths_ych2_end if end_agemonths_ych2_end < end_agemonths_ych_end;  
										
			* Youngest Child in the HH (for this child we will have data on weight);
			gen id_hhych = .;
			gen end_agemonths_hhych = .;
			gen end_ageyears_hhych= .;
			foreach i of numlist 1/22 {;
				replace end_agemonths_hhych=end_agemonths`i' if end_agemonths`i'>=0 & end_agemonths`i'!=. & (end_agemonths`i'<end_agemonths_hhych);
				replace id_hhych = `i' if  end_agemonths`i'<end_agemonths_hhych;
				replace end_ageyears_hhych=w_h5_`i' if w_h5_`i'>=0 & w_h5_`i'!=. & w_h5_`i'<end_ageyears_hhych ;
				};
				
				*replace end_agemonths_hhych = int(end_agemonths_hhych); 
				replace end_agemonths_hhych  = end_ageyears_hhych * 12 if end_agemonths_hhych ==. & end_ageyears_hhych!=.;
				
	
	
	* Age in months of children at follow-up based on ENDLINE data;
			gen f_child02m = 0;				
			foreach i of numlist 1/22 {;
				gen f_agemonths`i'  = end_agemonths`i' - w_months_fu_end;
				replace f_agemonths`i' = . if f_agemonths`i'<0;
				
				replace f_child02m = 1 if inrange(f_agemonths`i', 0, 2);
				};
				label var f_child02m "Indicator for baby 0-2 months old at followup";
			
			gen f_himo_ineligible = (f_pk_pregnant3t==1 | f_child02m);
				label var f_himo_ineligible "Indicator for pregnant woman 3rd trimester of baby 0-2 months at follow-up";
***************************************;
***************************************;
* EXPENSES: 30 LAST DAYS;
		
	* We analyze food declared with weekly vs monthly recall (in endline we do not have anymore the daily recall);
			forval i=1/24 {;
				gen temp_foodweek`i'= .;
				replace temp_foodweek`i'=(w_e`i'_s) if w_e`i'_s >= 0 & w_e`i'_s!=. & (w_e`i'==1 | w_e`i'==2); 
				replace temp_foodweek`i' = temp_foodweek`i' / bs_members; 
				};
							
			forval i=1/24 {;
				gen temp_foodmonth`i'= .;
				replace temp_foodmonth`i'=(w_e`i'_m)/4.3 if w_e`i'_m >= 0 & w_e`i'_m!=. & w_e`i'==3; 
				replace temp_foodmonth`i' = temp_foodmonth`i' / bs_members; 
				};
				sum temp_foodweek* temp_foodmonth*; 
				* the relationship between weekly and monthly recall of expenses seems ok;
				
				* FD TBD: check outliers by expense variable;
				
				drop temp_foodweek* temp_foodmonth*; 
					
	* Food expenditures last 30 days;
		gen exp_food=0 if miss_expenses==0;
			forval i=1/24 {;
				replace exp_food=exp_food + (w_e`i'_s * 4.3)   if w_e`i'_s >= 0 & w_e`i'_s!=. & (w_e`i'==1 | w_e`i'==2);
				replace exp_food=exp_food +  w_e`i'_m         if w_e`i'_m >= 0 & w_e`i'_m!=. & w_e`i'==3;
				};
				
			* we add e25 and e26 (other food expenditures);
			forval i=25/26 {;
				replace exp_food=exp_food + (w_e`i'_s * 4.3)  if w_e`i'_s >= 0 & w_e`i'_s!=. & (w_e`i'==1 | w_e`i'==2);
				replace exp_food=exp_food +  w_e`i'_m         if w_e`i'_m >= 0 & w_e`i'_m!=. & w_e`i'==3;
				};
	
			sum exp_food, detail;
			lab var exp_food "HH food expenditures last 30 days";
			
			replace exp_food=. if exp_food==0;
			
	* Health expenditures last 30 days;
		gen exp_health=0 if miss_expenses==0;
			foreach i of numlist 71/75 91/95 {;
				replace exp_health=exp_health + w_e`i' if w_e`i'!=. & w_e`i' >= 0;
				};
			lab var exp_health "HH health expenditures last 30 days";
	* Education expenditures last 30 days;
		gen exp_education=0 if miss_expenses==0;
			foreach i of numlist 76/79 710/711 96/99 910{;
				replace exp_education=exp_education + w_e`i' if w_e`i'!=. & w_e`i' >= 0;
				};
		* we condition on children 6-15;
		replace exp_education=. if bs_enfant615==0;
		lab var exp_education "HH education expenditures last 30 days";
	* Clothes and shoes last 30 days;
		gen exp_clothes = 0 if miss_expenses==0;
			foreach i of numlist 911/916 918 {;
			replace exp_clothes = exp_clothes + w_e`i' if w_e`i'!=. & w_e`i' >= 0;
			};
			lab var exp_clothes "HH clothes & shoes expenditures last 30 days";
	* Celebrations & Religious;
		gen exp_festivals = 0 if miss_expenses==0;
			foreach i of numlist 920/923 {;
			replace exp_festivals = exp_festivals + w_e`i' if w_e`i'!=. & w_e`i' >= 0;
			};
			lab var exp_festivals "HH celebration & religious expenditures last 30 days";
	* Leisure (from man questionnaire);
		gen exp_leisure = 0 if miss_expenses==0 & mmiss_expenses==0 ;
			foreach i of numlist 1/17 {;
			replace exp_leisure = exp_leisure + m_he`i'_s * 4.3 if m_he`i'_s!=. & m_he`i'_s >= 0;
			replace exp_leisure = exp_leisure + m_he`i'_m if m_he`i'_m!=. & m_he`i'_m >= 0;
			};
			replace exp_leisure = exp_leisure + m_he18 if m_he18!=. & m_he18 >= 0; 
			lab var exp_leisure "HH expenditures in khat, tobacco, drinks&meals outside & entertainment last 30 days";		
	* Other expenditures;
		gen exp_other = 0 if miss_expenses==0;
		* Lodging, utilities, comm, etc. expenditures index last 30 days;
		foreach i of numlist 81/87 {;
			replace exp_other = exp_other + w_e`i' if w_e`i'!=. & w_e`i' >= 0;
			};
		
		* Hygiene expenditures last 30 days;
		foreach i in 88 89 810 {;
			replace exp_other = exp_other + w_e`i' if w_e`i'!=. & w_e`i' >= 0;
			};

		* Travel;
		foreach i in 919 {;
			replace exp_other = exp_other + w_e`i' if w_e`i'!=. & w_e`i' >= 0;
			};

		* Transport (from man questionnaire);
		foreach i of numlist 19/22 {;
			replace exp_other = exp_other + m_he`i' if m_he`i'!=. & m_he`i' >= 0;
			};
		/* woman quest */ replace exp_other = exp_other + w_e919 if w_e919!=. & w_e919 >= 0;
			
		* House maintenance (from man questionnaire);
		foreach i of numlist 23/26 {;
			replace exp_other = exp_other + m_he`i' if m_he`i'!=. & m_he`i' >= 0;
			};
		
		* Other;
		foreach i in 917 918b {;
			replace exp_other = exp_other + w_e`i' if w_e`i'!=. & w_e`i' >= 0;
			};

	
			sum exp_other, detail;
			lab var exp_other "HH other expenses (lodging, transport/travel, hygiene prod)";

	* Sum of NON-DURABLES;
	gen exp_nondurables = 0 if miss_expenses==0;
	
	foreach exptype in food health education clothes festivals leisure other {;
		replace exp_nondurables = exp_nondurables + exp_`exptype' if exp_`exptype'!=.;
		};
	
		lab var exp_nondurables "HH expenditures in non-durables last 30 days";	
		
	* Sum DURABLES;
	gen exp_durables = 0 if miss_expenses==0;
		foreach i of numlist 1/29 38 {;
			replace exp_durables = exp_durables + w_bd3_`i' if w_bd3_`i'!=. & w_bd3_`i' >= 0;
			};
	
		lab var exp_durables "HH expenditures in durable goods last 30 days";	
	
	* TOTAL EXPENDITURES;
	gen exp_total = exp_nondurables;
		replace exp_total = exp_total + exp_durables if exp_durables!=.;
		lab var exp_total "HH total expenditures last 30 days";	
		
	
	foreach var in exp_health exp_education exp_clothes exp_festivals exp_leisure exp_other exp_nondurables exp_durables exp_total {;
		replace `var'=. if exp_food==.;
		};
		
		
	* BUDGET SHARES;
		foreach exptype in food health education clothes festivals leisure other nondurables durables {;
			gen share_`exptype' = exp_`exptype' / exp_total;
				label var share_`exptype' "Share of `exptype' expenses in total expenditures";
			};
		
	* PER CAPITA expenditures;
		foreach exptype in food health education clothes festivals leisure other nondurables durables total {;
		gen exppc_`exptype' = exp_`exptype' / w_nmembers;
			label var exppc_`exptype' "Per capita HH expenditures in `exptype' last 30 days";
		};

	
	* Investment in productive assets;
		gen inv_assets = 0 if miss_expenses==0;
		foreach i of numlist 30/37 {;
			replace inv_assets = inv_assets + w_bd3_`i' if w_bd3_`i'!=. & w_bd3_`i' >= 0;
			};
	
		lab var inv_assets "HH expenditures in land and livestock last 30 days";		

		
****************************************************;
*** EXPENSES: 12 DERNIERS MOIS - endline 2 to 4;
***************************************************;
* We compute monthly expenses declared for a 12-month recall period and we adapt teh rest (endline 1 to missing);
	* Food;
	gen exp_food12 = exp_food if endline_n!=1;
	* Health expenditures last 12 months;
		gen exp_health12=0 if miss_expenses12==0 & endline_n!=1;
			foreach i of numlist 940/944 {;
				replace exp_health12=exp_health12 + (w_e`i'/12) if w_e`i'!=. & w_e`i' >= 0;
				};
			lab var exp_health12 "Monthly HH health expenditures - 12 month recall period";
	* Education expenditures last 12 months;
		gen exp_education12=0 if miss_expenses12==0 & endline_n!=1;
			foreach i of numlist 951/961{;
				replace exp_education12=exp_education12 + (w_o`i'/12) if w_o`i'!=. & w_o`i' >= 0;
				};
		* we condition on children 6-15;
		replace exp_education12=. if enfant615==0;
		lab var exp_education12 "Monthly HH education expenditures - 12 month recall period";
	* Clothes and shoes;
		gen exp_clothes12 = 0 if miss_expenses12==0 & endline_n!=1;
			foreach i of numlist 970/977 {;
			replace exp_clothes12 = exp_clothes12 + (w_o`i'/12) if w_o`i'!=. & w_o`i' >= 0;
			};
			replace exp_clothes12 = exp_clothes12 + (w_e978/12) if w_e978!=. & w_e978 >= 0;
			lab var exp_clothes12 "Monthly HH clothes & shoes expenditures - 12 month recall period";

		
	* Celebrations & Religious;
		gen exp_festivals12 = 0 if miss_expenses12==0 & endline_n!=1;
			foreach i of numlist 980/984 {;
			replace exp_festivals12 = exp_festivals12 + (w_o`i'/12) if w_o`i'!=. & w_o`i' >= 0;
			};
	
			sum exp_festivals12, detail;
			lab var exp_festivals12 "Monthly HH celebration & religious expenditures - 12 month recall period";

	* We turn the rest of expense categories to missing for endline 1;
		foreach exptype in leisure other {;
			gen exp_`exptype'12 = exp_`exptype' if endline_n!=1;
			};
	
	* Sum of NON-DURABLES;
		gen exp_nondurables12 = 0 if miss_expenses12==0 & endline_n!=1;
	
		foreach exptype in food12 health12 education12 clothes12 festivals12 leisure12 other12 {;
			replace exp_nondurables12 = exp_nondurables12 + exp_`exptype' if exp_`exptype'!=.;
			};	
		
		lab var exp_nondurables12 "HH expenditures in non-durables last 30 days - 12 months recall some items";	
	
	
	* DURABLES;
		
	gen exp_durables12 = 0 if miss_expenses12==0 & endline_n!=1;
		foreach i of numlist 1/29 38 {;
			replace exp_durables12 = exp_durables12 + (w_bd5_`i'/12) if w_bd5_`i'!=. & w_bd5_`i' >= 0;
			};
		label var exp_durables12 "Monthly HH expenditures in home durables - 12 month recal period";
		
		
	gen inv_assets12 = 0 if miss_expenses12==0 & endline_n!=1;
		foreach i of numlist 30/37 {;
			replace inv_assets12 = inv_assets12 + (w_bd5_`i'/12) if w_bd5_`i'!=. & w_bd5_`i' >= 0;
			};		
		label var inv_assets12 "Monthly HH expenditures in livestock & land - 12 month recall period";

	gen bought_durables12 = 0 if miss_expenses12==0 & endline_n!=1;
		foreach i of numlist 1/29 38 {;
			replace bought_durables12 = 1 if w_bd4_`i'==1;
			};
		label var bought_durables12 "1 if the HH bought home durables in the last 12 months";
	
	gen bought_prodassets12 = 0 if miss_expenses12==0 & endline_n!=1;
		foreach i of numlist 30/37 {;
			replace bought_prodassets12 = 1 if w_bd4_`i'==1;
			};
		label var bought_prodassets12 "1 if the HH bought livestock & land in the last 12 months";
		
	* TOTAL EXPENDITURES;
	gen exp_total12 = exp_nondurables12;
		replace exp_total12 = exp_total12 + exp_durables12 if exp_durables12!=.;
		lab var exp_total12 "HH total expenditures last 30 days - 12 month recall period some items";	
		
	
	foreach var in exp_health12 exp_education12 exp_clothes12 exp_festivals12 exp_leisure12 exp_other12 exp_nondurables12 exp_durables12 exp_total12 {;
		replace `var'=. if exp_food12==.;
		};	
		
		
	* BUDGET SHARES;
		foreach exptype in food12 health12 education12 clothes12 festivals12 leisure12 other12 nondurables12 durables12 {;
			gen share_`exptype' = exp_`exptype' / exp_total12;
				label var share_`exptype' "Share of `exptype' expenses in total expenditures - 12 month recall period";
			};
		
	* PER CAPITA expenditures;
		foreach exptype in food health education clothes festivals leisure other nondurables durables total {;
		gen exppc_`exptype'12 = exp_`exptype'12 / w_nmembers;
			label var exppc_`exptype'12 "Monthly per capita HH expenditures in `exptype' - 12 month recall";
		};
	
		
		
	****************************;
	** EXPENSES ROBUSTNESS; 
	
	* ln;
	foreach var in exp_food exp_nondurables exp_total exp_food12 exp_nondurables12 exp_total12 exppc_food exppc_nondurables exppc_durables exppc_total {;
		gen l`var' = ln(`var');
		};
	label var lexp_food "ln of HH food expenditures last 30 days";
	label var lexp_nondurables "ln of HH expenditures in non durables last 30 days";
	label var lexp_total "ln of HH total expenditures last 30 days";
	
	label var lexp_food12 "ln of HH food monthly expenditures - 12m recall";
	label var lexp_nondurables12 "ln of HH monthly expenditures in non durables - 12m recall";
	label var lexp_total12 "ln of HH total monthly expenditures - 12m recall";
	
	label var lexppc_food "ln of HH food per capita expenditures last 30 days";
	label var lexppc_nondurables "ln of HH per capita expenditures in non durables last 30 days";
	label var lexppc_total "ln of HH total per capita expenditures last 30 days";
	
	
	* We topcode top 0.5 of expenditure data;
		foreach var in 	exp_food exp_health exp_education exp_clothes exp_festivals exp_leisure exp_other exp_durables
						exp_food12 exp_health12 exp_education12 exp_clothes12 exp_festivals12 exp_leisure12 exp_other12 exp_durables12 {;
			gen tr05_`var'=`var';
			_pctile `var', p(99.5);
			replace tr05_`var'=r(r1) if `var'>r(r1) & `var'!=.;
			};
			
			* for food we also trim the bottom 0.5%;
			foreach var in exp_food exp_food12 {; 
			_pctile `var', p(0.5);
			replace tr05_`var'=r(r1) if `var'<r(r1) & `var'>=0;
			};
		
			
		gen tr05_exp_nondurables = 0 if exp_nondurables!=.;
			foreach exptype in food health education clothes festivals leisure other {;
				replace tr05_exp_nondurables = tr05_exp_nondurables + tr05_exp_`exptype' if tr05_exp_`exptype'!=.;
				};
		
		gen tr05_exp_nondurables12 = 0 if exp_nondurables12!=.;
			foreach exptype in food12 health12 education12 clothes12 festivals12 leisure12 other12 {;
				replace tr05_exp_nondurables12 = tr05_exp_nondurables12 + tr05_exp_`exptype' if tr05_exp_`exptype'!=.;
				};
		
		gen tr05_exp_total = tr05_exp_nondurables;
			replace tr05_exp_total = tr05_exp_total + tr05_exp_durables if tr05_exp_durables!=.;	
	
		gen tr05_exp_total12 = tr05_exp_nondurables12;
			replace tr05_exp_total12 = tr05_exp_total12 + tr05_exp_durables12 if tr05_exp_durables12!=.;
		
		foreach group in food health education clothes festivals leisure other durables nondurables total {;
			lab var tr05_exp_`group' "HH `group' expenditures last 30 days - 0.5% topcoded";
			lab var tr05_exp_`group'12 "Monthly HH `group' expenditures - 12 month recall - 0.5% topcoded";
			};
	
		* We topcode top 1 of expenditure data;
		foreach var in 	exp_food exp_health exp_education exp_clothes exp_festivals exp_leisure exp_other exp_durables
						exp_food12 exp_health12 exp_education12 exp_clothes12 exp_festivals12 exp_leisure12 exp_other12 exp_durables12 {;
			gen tr1_`var'=`var';
			_pctile `var', p(99);
			replace tr1_`var'=r(r1) if `var'>r(r1) & `var'!=.;
			};
			
			* for food we also trim the bottom 1%;
			foreach var in exp_food exp_food12 {; 
			_pctile `var', p(1);
			replace tr1_`var'=r(r1) if `var'<r(r1) & `var'>=0;
			};
		
			
		gen tr1_exp_nondurables = 0 if exp_nondurables!=.;
			foreach exptype in food health education clothes festivals leisure other {;
				replace tr1_exp_nondurables = tr1_exp_nondurables + tr1_exp_`exptype' if tr1_exp_`exptype'!=.;
				};
		
		gen tr1_exp_nondurables12 = 0 if exp_nondurables12!=.;
			foreach exptype in food12 health12 education12 clothes12 festivals12 leisure12 other12 {;
				replace tr1_exp_nondurables12 = tr1_exp_nondurables12 + tr1_exp_`exptype' if tr1_exp_`exptype'!=.;
				};
		
		gen tr1_exp_total = tr1_exp_nondurables;
			replace tr1_exp_total = tr1_exp_total + tr1_exp_durables if tr1_exp_durables!=.;	
	
		gen tr1_exp_total12 = tr1_exp_nondurables12;
			replace tr1_exp_total12 = tr1_exp_total12 + tr1_exp_durables12 if tr1_exp_durables12!=.;
		
		foreach group in food health education clothes festivals leisure other durables nondurables total {;
			lab var tr1_exp_`group' "HH `group' expenditures last 30 days - 1% topcoded";
			lab var tr1_exp_`group'12 "Monthly HH `group' expenditures - 12 month recall - 1% topcoded";
			};
	
	* We topcode top 5% of expenditure data;
		foreach var in 	exp_food exp_health exp_education exp_clothes exp_festivals exp_leisure exp_other exp_durables {;
			gen tr5_`var'=`var';
			_pctile `var', p(95);
			replace tr5_`var'=r(r1) if `var'>r(r1) & `var'!=.;
			};
			
			* for food we also trim the bottom 5%;
			foreach var in exp_food {; 
			_pctile `var', p(5);
			replace tr5_`var'=r(r1) if `var'<r(r1) & `var'>=0;
			};
		
			
		gen tr5_exp_nondurables = 0 if exp_nondurables!=.;
			foreach exptype in food health education clothes festivals leisure other {;
				replace tr5_exp_nondurables = tr5_exp_nondurables + tr5_exp_`exptype' if tr5_exp_`exptype'!=.;
				};
				
		gen tr5_exp_total = tr5_exp_nondurables;
			replace tr5_exp_total = tr5_exp_total + tr5_exp_durables if tr5_exp_durables!=.;	
	
		
		foreach group in food health education clothes festivals leisure other durables nondurables total {;
			lab var tr5_exp_`group' "HH `group' expenditures last 30 days - 5% topcoded";
			};
				
	* BUDGET SHARES;
		foreach exptype in food health education clothes festivals leisure other nondurables durables {;
			gen tr05_share_`exptype' = tr05_exp_`exptype' / tr05_exp_total;
				label var tr05_share_`exptype' "Share of `exptype' expenses in total expenditures - 0.5% topcoded";
			gen tr1_share_`exptype' = tr1_exp_`exptype' / tr1_exp_total;
				label var tr1_share_`exptype' "Share of `exptype' expenses in total expenditures - 1% topcoded";	
			gen tr5_share_`exptype' = tr5_exp_`exptype' / tr5_exp_total;
				label var tr5_share_`exptype' "Share of `exptype' expenses in total expenditures - 5% topcoded";	
				
			gen tr05_share_`exptype'12 = tr05_exp_`exptype'12 / tr05_exp_total12;
				label var tr05_share_`exptype'12 "Share of `exptype' monthly expenses in total expenditures - 12m recall- 0.5% topcoded";	
			gen tr1_share_`exptype'12 = tr1_exp_`exptype'12 / tr1_exp_total12;
				label var tr1_share_`exptype'12 "Share of `exptype' monthly expenses in total expenditures - 12m recall - 1% topcoded";	
				};
		
	* PER CAPITA expenditures;
		foreach exptype in food health education clothes festivals leisure other nondurables durables total {;
		gen tr05_exppc_`exptype' = tr05_exp_`exptype' / w_nmembers;
			label var tr05_exppc_`exptype' "Per capita HH expenditures in `exptype' last 30 days - 0.5% topcoded";
		gen tr1_exppc_`exptype' = tr1_exp_`exptype' / w_nmembers;
			label var tr1_exppc_`exptype' "Per capita HH expenditures in `exptype' last 30 days - 1% topcoded";	
		gen tr5_exppc_`exptype' = tr5_exp_`exptype' / w_nmembers;
			label var tr5_exppc_`exptype' "Per capita HH expenditures in `exptype' last 30 days - 5% topcoded";
			
		gen tr05_exppc_`exptype'12 = tr05_exp_`exptype'12 / w_nmembers;
			label var tr05_exppc_`exptype'12 "Per capita HH monthly expenditures in `exptype' - 12m recall - 0.5% topcoded";
		gen tr1_exppc_`exptype'12 = tr1_exp_`exptype'12 / w_nmembers;
			label var tr1_exppc_`exptype'12 "Per capita HH monthly expenditures in `exptype' - 12m recall - 1% topcoded";		
		};
		
	* ln of per capita expenses, top coded;	
		foreach var in tr05_exppc_total tr05_exppc_nondurables tr05_exppc_food tr1_exppc_total tr1_exppc_nondurables tr1_exppc_food tr5_exppc_total tr5_exppc_nondurables tr5_exppc_food {;
			gen l`var' = ln(`var');
			};	
			
			label var ltr05_exppc_total "ln of HH total per capita expenditures last 30 days - 0.5% topcoded";
			label var ltr05_exppc_nondurables "ln of HH per capita expenditures in non durables last 30 days - 0.5% topcoded";
			label var ltr05_exppc_food "ln of HH food per capita expenditures last 30 days - 0.5% topcoded";			
			
			label var ltr1_exppc_total "ln of HH total per capita expenditures last 30 days - 1% topcoded";
			label var ltr1_exppc_nondurables "ln of HH per capita expenditures in non durables last 30 days - 1% topcoded";
			label var ltr1_exppc_food "ln of HH food per capita expenditures last 30 days - 1% topcoded";
	 
			label var ltr5_exppc_total "ln of HH total per capita expenditures last 30 days - 5% topcoded";
			label var ltr5_exppc_nondurables "ln of HH per capita expenditures in non durables last 30 days - 5% topcoded";
			label var ltr5_exppc_food "ln of HH food per capita expenditures last 30 days - 5% topcoded";
	 	

***********************************************;
** Private woman and man expenditures: clothes;  

 	* Expenditures in FDJ;
	gen exp_husband_clothes=0 if miss_expenses==0;
			replace exp_husband = exp_husband + w_e911 if w_e911!=. & w_e911 >= 0;
			label var exp_husband "Expenses in clothes for husband in last 30 days";
			
	gen exp_woman_clothes=0 if miss_expenses==0;
			replace exp_woman = exp_woman + w_e912 if w_e912 !=. & w_e912 >= 0;
			label var exp_woman_clothes "Expenses in clothes for benef in last 30 days";	
			
	gen exp_adultmen_clothes=0 if miss_expenses==0;
			replace exp_adultmen_clothes = exp_adultmen_clothes + w_e913 if w_e913!=. & w_e913 >= 0;
			label var exp_adultmen_clothes "Expenses in clothes for other adult men in last 30 days";
			
	gen exp_adultwomen_clothes=0 if miss_expenses==0;
		replace exp_adultwomen_clothes = exp_adultwomen_clothes + w_e914 if w_e914!=. & w_e914 >= 0;
			label var exp_adultwomen_clothes "Expenses in clothes for other adult women in last 30 days";  
			
	gen exp_children_clothes=0 if miss_expenses==0;
			foreach i in e915 e916 {;
				replace exp_children_clothes=exp_children_clothes + w_`i' if w_`i'!=. & w_`i' >= 0;
				};
				label var exp_children_clothes "Expenses in clothes for children in last 30 days";	
			
	gen exp_husband_khat_tabac = 0 if mmiss_expenses==0;
			foreach i in he1 he3 {;
				replace exp_husband_khat_tabac = exp_husband_khat_tabac + (m_`i'_s * 4.3) if m_`i'_s !=. & m_`i'_s >= 0;
				replace exp_husband_khat_tabac = exp_husband_khat_tabac + m_`i'_m if m_`i'_m !=. & m_`i'_m >= 0;
				};	
				label var exp_husband_khat_tabac "Expenses in khat & tobacco for husband in last 30 days";	
	
	gen exp_adultmen_khat_tabac = 0 if mmiss_expenses==0;
			foreach i in he1 he3 he2 he4 {;
				replace exp_adultmen_khat_tabac = exp_adultmen_khat_tabac + (m_`i'_s * 4.3) if m_`i'_s !=. & m_`i'_s >= 0;
				replace exp_adultmen_khat_tabac = exp_adultmen_khat_tabac + m_`i'_m if m_`i'_m !=. & m_`i'_m >= 0;
				};	
				label var exp_adultmen_khat_tabac "Expenses in khat & tobacco for other adult men in last 30 days";	
	
	gen exp_woman_haircare = 0 if miss_expenses==0;
			replace exp_woman_haircare = exp_woman_haircare + w_e917 if w_e917!=. & w_e917 >= 0;
			label var exp_woman_haircare "Expenses in hairstyle, hair cuts, etc. for the beneficiary in last 30 days";	
	
	* Share of private expenditures in FDJ;
	foreach var in husband_clothes woman_clothes children_clothes adultmen_clothes adultwomen_clothes husband_khat_tabac adultmen_khat_tabac woman_haircare {;
		gen sh_exp_`var' = exp_`var' / exp_total ;
		label var sh_exp_`var' "Share of `var' expenses in total expenditures";	
		};
		


********************************************;
** Ownership of home durable assets: index;

	* create dummies for all home durables in the questionnaire in BD; 
	foreach i of numlist 1/29 {;
			gen asset_`i' =0 if miss_durables==0;
			replace asset_`i' = 1 if w_bd1_`i'==1;
			};
	
	* create a simple index;
	pca asset_1-asset_29, factor(1);
		predict score;
		matrix e= r(scoef)';
		svmat e, name(coef); 
		matrix list e;
	foreach i of numlist 1(1)29 {;
		scalar define xcoef`i'=coef`i';
		};
	foreach j of numlist 1(1)29 {;
		sum asset_`j', detail;
		scalar xa = r(mean); 
		scalar xb = r(sd); 
		gen score_`j'=xcoef`j'*(asset_`j'-xa)/xb;
		scalar drop xa xb;
		};
	egen assetindex=rsum(score_1-score_29);  
		drop asset_1-asset_29 coef1- coef29 score score_1-score_29;

	label var assetindex "Index of home durable assets";
	

***********************;
* Labor Supply;
* Women;
	*** Employment;
	* Employment PER DAY (temp);
	* Employed at all;
		forval week=1/3 { /* Looping over weeks */;	
		forval day=1/7 { /* Looping over days */;
			gen w`week'w_employed_`day'=0 if w`week'w_f1`day'_0!=.;
			lab var w`week'w_employed_`day' "Employed week `week', day `day'";
			forval mult=0/8 { /* Looping over multiple responses */;
			replace w`week'w_employed_`day'=1 if w`week'w_f1`day'_`mult'>0 & w`week'w_f1`day'_`mult'<=9 & w`week'w_f1`day'_`mult' != .;
			};
			};
		* Generating missing dummy;
		gen w`week'w_missing= missing(w`week'w_f17_0, w`week'w_f16_0, w`week'w_f15_0, w`week'w_f14_0, w`week'w_f13_0, w`week'w_f12_0, w`week'w_f11_0);
			replace w`week'w_missing=1 if w`week'w_f17_0==0 & w`week'w_f16_0==0 & w`week'w_f15_0==0 & w`week'w_f14_0==0 & w`week'w_f13_0==0 & w`week'w_f12_0==0 & w`week'w_f11_0==0 & (w`week'w_fs0==1 | w`week'w_fs0==.) /* correcting for inconsistent answers */;  
			};

	* Employed in day work;
		forval week=1/3 { /* Looping over weeks */;	
		forval day=1/7 { /* Looping over days */;
			gen w`week'w_employed_daywork_`day'=0 if w`week'w_f1`day'_0!=.;
			forval mult=0/8 { /* Looping over multiple responses */;
			replace w`week'w_employed_daywork_`day'=1 if w`week'w_f1`day'_`mult'==6 | w`week'w_f1`day'_`mult'==8;
			};
			};
			};
	
	* Salaried;
		forval week=1/3 { /* Looping over weeks */;	
		forval day=1/7 { /* Looping over days */;
			gen w`week'w_employed_salaried_`day'=0 if w`week'w_f1`day'_0!=.;
			forval mult=0/8 { /* Looping over multiple responses */;
			replace w`week'w_employed_salaried_`day'=1 if w`week'w_f1`day'_`mult'==4 | w`week'w_f1`day'_`mult'==5;
			};
			};
			};
			
	* Self-employed;
		forval week=1/3 { /* Looping over weeks */;	
		forval day=1/7 { /* Looping over days */;
			gen w`week'w_employed_selfempl_`day'=0 if w`week'w_f1`day'_0!=.;
			forval mult=0/8 { /* Looping over multiple responses */;
			replace w`week'w_employed_selfempl_`day'=1 if w`week'w_f1`day'_`mult'==1 | w`week'w_f1`day'_`mult'==3 | w`week'w_f1`day'_`mult'==2;
			};
			};
			};	
	
	* Government works;
		forval week=1/3 { /* Looping over weeks */;	
		forval day=1/7 { /* Looping over days */;
			gen w`week'w_employed_gw_`day'=0 if w`week'w_f1`day'_0!=.;
			forval mult=0/8 { /* Looping over multiple responses */;
			replace w`week'w_employed_gw_`day'=1 if w`week'w_f1`day'_`mult'==7;
			};
			};
			};	

	* HIMO;
		forval week=1/3 { /* Looping over weeks */;	
		forval day=1/7 { /* Looping over days */;
			gen w`week'w_employed_himo_`day'=0 if w`week'w_f1`day'_0!=.;
			forval mult=0/8 { /* Looping over multiple responses */;
			replace w`week'w_employed_himo_`day'=1 if w`week'w_f1`day'_`mult'==7 & w`week'w_f1`day'_himo==1;
			};
			};
			};	
			
	* Other employement;
		** Only unpaid apprenticeship;
		forval week=1/3 { /* Looping over weeks */;	
		forval day=1/7 { /* Looping over days */;
			gen w`week'w_employed_other_`day'=0 if w`week'w_f1`day'_0!=.;
			forval mult=0/8 { /* Looping over multiple responses */;
			replace w`week'w_employed_other_`day'=1 if w`week'w_f1`day'_`mult'==9;
			};
			};
			};	

			
* Employment per week: number of days and dummy for each type of employment;

	foreach x in employed employed_daywork employed_salaried employed_selfempl employed_gw employed_himo employed_other {;
	forval week=1/3 {;
		egen w`week'w_`x'_ndays=rsum(w`week'w_`x'_1-w`week'w_`x'_7);
			replace w`week'w_`x'_ndays = . if w`week'w_missing==1;
			label var w`week'w_`x'_ndays "Number of days woman was `x' in week `week'";
			
		gen w`week'w_`x' = 0 if w`week'w_`x'_ndays!=.;
			replace w`week'w_`x' = 1 if inrange(w`week'w_`x'_ndays, 1, 7); 
			label var w`week'w_`x' "1 if woman `x' in week `week'";
		
		drop w`week'w_`x'_1-w`week'w_`x'_7;
		};
		};

* Unemployment per week;
	tab1 w*_fs0, m;
	tab1 w*_fs2, m;
	

forval week=1/3 {;
	gen w`week'w_unemployed=.;
		replace w`week'w_unemployed=1 if w`week'w_employed==0 & w`week'w_fs0==2 & w`week'w_fs2==1;
		lab var w`week'w_unemployed "1 if woman unemployed in week `week'";
		replace w`week'w_unemployed=0 if w`week'w_employed==1 | (w`week'w_employed==0 & w`week'w_fs2==2);
		};

* Inactive per week;
	forval week=1/3 {;
	gen w`week'w_inactive=.;
		replace w`week'w_inactive=1 if w`week'w_employed==0 & w`week'w_fs0==2 & w`week'w_fs2==2;
		lab var w`week'w_inactive "1 if woman inactive in week `week'";
		replace w`week'w_inactive=0 if w`week'w_employed==1 | w`week'w_unemployed==1;
		};		
	
		
* Average employment & unemployment over 3 weeks: number of days and dummy for each type of employment;

foreach x in employed employed_daywork employed_salaried employed_selfempl employed_gw employed_himo employed_other unemployed inactive{;
	egen w123w_mean_`x' = rowmean(w1w_`x' w2w_`x' w3w_`x');
		lab var w123w_mean_`x' "Average woman `x' status: week 1 to 3";
		};

foreach x in employed employed_daywork employed_salaried employed_selfempl employed_gw employed_himo employed_other{;
	egen w123w_mean_`x'_n = rowmean(w1w_`x'_ndays w2w_`x'_ndays w3w_`x'_ndays);
		lab var w123w_mean_`x'_n "Average number of days woman was `x': week 1 to 3";
		};		
	
*** Hours worked;
	* Per week;
	forval week=1/3 { /* Looping over weeks */;
			gen w`week'w_hoursworked=0;
			lab var w`week'w_hoursworked "Hours worked by woman in week `week'";
	forval day=1/7 { /* Looping over days */;
			replace w`week'w_f3`day' = . if w`week'w_f3`day'==-88;
			replace w`week'w_hoursworked = w`week'w_hoursworked + w`week'w_f3`day' if w`week'w_f3`day' > 0 & w`week'w_f3`day'!=. ;
			};
			egen w`week'w_missing_hours=rowmiss(w`week'w_f3*);
			replace w`week'w_hoursworked = . if w`week'w_hoursworked==0 & (w`week'w_missing == 1 | (w`week'w_missing_hours==7 & w`week'w_employed==1));
			};
			
			sum w1w_hoursworked w2w_hoursworked w3w_hoursworked;
			assert w1w_hoursworked<=140 | w1w_hoursworked==.;
			assert w2w_hoursworked<=140 | w2w_hoursworked==.;
			assert w3w_hoursworked<=140 | w3w_hoursworked==.;
			
			tab w1w_hoursworked w1w_employed, miss;
			tab w2w_hoursworked w2w_employed, miss;
			tab w3w_hoursworked w3w_employed, miss;
									
			drop w1w_missing_hours w2w_missing_hours w3w_missing_hours;
						
				
	* Average over 3 weeks;
		egen w123w_mean_hoursworked = rowmean(w1w_hoursworked w2w_hoursworked w3w_hoursworked);
			lab var w123w_mean_hoursworked "Average hours worked by woman over week 1 to 3";
		
		gen w123w_mean_hoursworked_cond = w123w_mean_hoursworked if w123w_mean_employed>0 & w123w_mean_employed!=.;
			lab var w123w_mean_hoursworked_cond "Average hours worked by woman over week 1 to 3, cond on employment";
			
*** Remuneration;			
		* missing stay 0 until the final labor income variable is created;
		
		* Remuneration daywork declared in diary;
			forval week=1/3 { /* Looping over weeks */;
				gen w`week'w_pay1 = 0;
				lab var w`week'w_pay1 "Pay per day woman week `week'";
			forval day=1/7 { /* Looping over days */;
				replace w`week'w_pay1 = w`week'w_pay1 + w`week'w_f4`day'_fdj if w`week'w_f4`day'_fdj>0 & w`week'w_f4`day'_fdj!=. ;
				recode w`week'w_f4`day'_fdj (-77=.) (-88=.) (-99=.);
				};
				egen w`week'w_missing_pay1=rowmiss(w`week'w_f4*_fdj);
					replace w`week'w_missing_pay1=0 if inrange(w`week'w_missing_pay1, 1, 6);
					recode w`week'w_missing_pay1 (7=1); 
				};
	
		* Self-employment activity: income over past 7 days;
			forval week=1/3 {;
				gen w`week'w_pay2=0;
					replace w`week'w_pay2 = w`week'w_f6 if w`week'w_f6 > 0 & w`week'w_f6!=.;
					lab var w`week'w_pay2 "Pay self-empl week `week' (7 days)";
					recode w`week'w_f6 (-77=.) (-88=.) (-99=.);
					egen w`week'w_missing_pay2=rowmiss(w`week'w_f6);
					};
					sum w*w_pay2;
								
		* Self-employment activities: income over past 30 days scaled to 7 days;
			forval week=1/3 {;
				gen w`week'w_pay3=0;
					replace w`week'w_pay3 = w`week'w_f7 if w`week'w_f7>0 & w`week'w_f7!=.;
					replace w`week'w_pay3 = w`week'w_pay3 / 4.35;
					lab var w`week'w_pay3 "Pay self-empl week `week' (30 days)";
					recode w`week'w_f7 (-77=.) (-88=.) (-99=.);
					egen w`week'w_missing_pay3=rowmiss(w`week'w_f7);
					};
					sum w*w_pay3;
				
		* Salaried Pay; 
			forval week=1/3 {;
				gen w`week'w_pay4=0;
					replace w`week'w_pay4 = w`week'w_f9 if w`week'w_f9>0 & w`week'w_f9!=.;
					replace w`week'w_pay4= w`week'w_pay4 / 2 if w`week'w_f8==2;
					replace w`week'w_pay4 = w`week'w_pay4 / 4.35 if w`week'w_f8==3;
					* f8 = 4 is just a check - no data on daily income here;
					lab var w`week'w_pay4 "Pay salaried week `week' (month, bi-monthy or weekly)";
					recode w`week'w_f9 (-77=.) (-88=.) (-99=.);
					egen w`week'w_missing_pay4=rowmiss(w`week'w_f9);
					};
					sum w*w_pay4;
		
		
		** Labor income per week;
		* Note: now going to use pay1, pay2 and pay4 to get overall renumeration per week. For self employment, Pay 3 (not Pay 2), income over the past month (scaled to 7 days) is used;
			
		* We first check for women that do only have a self-employment activity that income is not double counted and we check ralationship between weekly and monthly income declaration;
			foreach week in 1 2 3 {;
				gen w`week'w_onlyself = (w`week'w_employed_daywork==0 & w`week'w_employed_salaried==0 & w`week'w_employed_selfempl==1 & w`week'w_employed_gw==0 & w`week'w_employed_other==0);
				gen w`week'w_self_2remun = 1 if w`week'w_onlyself==1 & w`week'w_pay1>0 & w`week'w_pay1!=. & w`week'w_pay3>0 & w`week'w_pay3!=.;
				assert w`week'w_pay4==0 | w`week'w_pay4==. if w`week'w_self_2remun == 1;  
				
				gen w`week'w_mwremun_7days = w`week'w_pay3 / w`week'w_pay1 if w`week'w_pay3!=0 ;
				};
				
				
				*edit id8 endline_n w1w_f4*_fdj w1w_f6 w1w_f7 w1w_f9 w1w_f4* w1w_pay1 w1w_pay3 w1w_pay4 if w1w_self_2remun==1;
				*edit id8 endline_n w_id9 w1w_mwremun_7days w1w_onlyself w1w_f4*_fdj w1w_f6 w1w_f7 w1w_f9 w1w_pay1 w1w_pay2 w1w_pay3 w1w_pay4 if w1w_mwremun_7days!=.; 
				*edit id8 endline_n w_id9 w2w_mwremun_7days w2w_onlyself w2w_f4*_fdj w2w_f6 w2w_f7 w2w_f9 w2w_pay1 w2w_pay2 w2w_pay3 w2w_pay4 if w2w_mwremun_7days!=.; 				
				*edit id8 endline_n w_id9 w3w_mwremun_7days w3w_onlyself w3w_f4*_fdj w3w_f6 w3w_f7 w3w_f9 w3w_pay1 w3w_pay2 w3w_pay3 w3w_pay4 if w3w_mwremun_7days!=.; 				
				
				
				* FL: it is clear in many cases women are only self-employed, they earn income daily, but since it is self-employment we also ask them about weekly and monthly income (f6 & f7)
				* We correct next computation in order to not double count income;
				
				
		* missing;
		foreach week in w1 w2 w3 {;
			egen `week'w_missing_pay = rowtotal(`week'w_missing_pay1 `week'w_missing_pay3 `week'w_missing_pay4);
				recode `week'w_missing_pay (2=0) (1=0) (3=1); 
				};
			
		* total labor income per week ;
		foreach week in w1 w2 w3 {;
			egen `week'w_remun = rowtotal(`week'w_pay1 `week'w_pay3 `week'w_pay4);
			
			* We take in account cases fo woman self-employed that declared income both daily and monthly;
			egen `week'w_remun_temp = rowtotal(`week'w_pay3 `week'w_pay4) if `week'w_self_2remun ==1 ;
			replace `week'w_remun = `week'w_remun_temp if `week'w_self_2remun ==1 ; 
										drop `week'w_remun_temp;
										
			replace `week'w_remun = . if `week'w_missing_pay==1 & (`week'w_employed==1 | (`week'w_employed==. & `week'w_remun==0));
			label var `week'w_remun "Remuneration woman `week'"; 
			
			replace `week'w_pay1=. if `week'w_remun==.;
			replace `week'w_pay2=. if `week'w_remun==.;
			replace `week'w_pay3=. if `week'w_remun==.;
			replace `week'w_pay4=. if `week'w_remun==.;
			
			sum `week'w_pay1 `week'w_pay3 `week'w_pay4 `week'w_remun;
			};
										
		
			sum w1w_remun w2w_remun w3w_remun ;
			
			tab w1w_remun w1w_employed, miss;
			tab w2w_remun w2w_employed, miss;
			tab w3w_remun w3w_employed, miss;
			
			* we check high weekly remunerations;
				* edit id8 endline_n w1w_remun w1w_f4*_fdj w1w_f6 w1w_f7 w1w_f9 w1w_employed_daywork w1w_employed_salaried w1w_employed_selfempl w1w_employed_gw w1w_employed_himo w1w_employed_other w1w_f4* if inrange( w1w_remun, 20000, 150000);
				* most of it comes from double counting self-employment income - corrected in formula now - see "replace `week'w_remun";
				
			* we check discrepancies between weekly and monthly;  	
				* edit id8 endline_n w_id9 w2w_mwremun_7days w2w_onlyself w2w_f4*_fdj w2w_f6 w2w_f7 w2w_f9 w2w_pay1 w2w_pay2 w2w_pay3 w2w_pay4 if w2w_mwremun_7days!=.;
				* We looked and corrected these cases by hand (begining or cleaning do file);
				
			drop w1w_pay1- w3w_missing_pay;
			
			
		* Average labor income over 3 weeks;
			egen w123w_mean_remun = rowmean(w1w_remun w2w_remun w3w_remun);
				lab var w123w_mean_remun "Average remuneration woman over week 1 to 3";
			
				sum w1w_remun w2w_remun w3w_remun w123w_mean_remun; 	
		
				gen w123w_mean_remun_cond = w123w_mean_remun if w123w_mean_employed>0 & w123w_mean_employed!=.;
				lab var w123w_mean_remun_cond "Average remuneration woman over week 1 to 3, cond on employment";
		
		
		************************************************;
		* Type self-employment activity;
			
			foreach act in street shop transp hand serv other {;
				gen w_self_`act' = 0 if w123w_mean_employed!=.;
				};
			
				foreach week in 1 2 3{;
					replace w_self_street =  w_self_street + 1 if w`week'w_f17_actprop == 1;
					replace w_self_shop = w_self_shop + 1 if w`week'w_f17_actprop == 2;
					replace w_self_transp = w_self_transp + 1 if w`week'w_f17_actprop == 3;
					replace w_self_hand = w_self_hand + 1 if w`week'w_f17_actprop == 4;
					replace w_self_serv = w_self_serv + 1 if w`week'w_f17_actprop == 5;
					replace w_self_other = w_self_other + 1 if w`week'w_f17_actprop == 6;
					};
		
				* We correct misreporting;
				replace w_self_street = 1 if w_self_street >0 & w_self_shop >0 & (w_self_street > w_self_shop);
				replace w_self_shop = 0 if w_self_street >0 & w_self_shop >0 & (w_self_street > w_self_shop);
		
				replace w_self_street = 0 if w_self_street >0 & w_self_shop >0 & (w_self_street < w_self_shop);
				replace w_self_shop = 1 if w_self_street >0 & w_self_shop >0 & (w_self_street < w_self_shop);
		
				recode w_self_street w_self_shop w_self_transp w_self_hand w_self_serv w_self_other (3=1) (2=1);
				
				sum w_self_street w_self_shop w_self_transp w_self_hand w_self_serv w_self_other; 
		
		
		** Reasons woman has not worked over the past week;
			* Conditional on not employed;
		
			foreach week in w1 w2 w3 {;
				foreach reason in cannotfind family looking other {;
					gen `week'w_reasnowork_`reason'_c = 0 if `week'w_employed==0;
					};
					
					label var `week'w_reasnowork_cannotfind_c "Woman did not work bc could not find a job `week'";
					label var `week'w_reasnowork_family_c  "Woman did not work due to family obligations `week'";
					label var `week'w_reasnowork_looking_c "Woman did not work bc work just finished and looking for a job `week'";
					label var `week'w_reasnowork_other_c "Woman did not work due to another reason `week'";
						
				foreach i of numlist 0/11 {;
					replace `week'w_reasnowork_cannotfind_c = 1 if `week'w_employed==0 & `week'w_fs1_`i'==1 ;
					replace `week'w_reasnowork_family_c = 1 if `week'w_employed==0 & `week'w_fs1_`i'==4;
					replace `week'w_reasnowork_looking_c = 1 if `week'w_employed==0 & `week'w_fs1_`i'==9;
					replace `week'w_reasnowork_other_c = 1 if `week'w_employed==0 & (`week'w_fs1_`i'==2 | `week'w_fs1_`i'==3 | `week'w_fs1_`i'==5 | `week'w_fs1_`i'==6 | `week'w_fs1_`i'==7 | `week'w_fs1_`i'==8 | `week'w_fs1_`i'==10 | `week'w_fs1_`i'==11);
					* we correct cases where women say they "just finished a job and are looking for a new one" but then they say they did not take concrete to look for a job;  
					replace `week'w_reasnowork_other_c = 1 if `week'w_reasnowork_looking ==1 & `week'w_employed==0 & `week'w_unemployed==0;
					replace `week'w_reasnowork_looking_c = 0 if `week'w_reasnowork_looking ==1 & `week'w_employed==0 & `week'w_unemployed==0;
					};
				};
			
				egen w123w_reasnowork_cannotfind_c = rowmean(w1w_reasnowork_cannotfind_c w2w_reasnowork_cannotfind_c w3w_reasnowork_cannotfind_c);
					label var w123w_reasnowork_cannotfind_c "Woman did not work bc could not find a job (average week 1 to 3), cond no job";
				
				egen w123w_reasnowork_family_c = rowmean(w1w_reasnowork_family_c w2w_reasnowork_family_c w3w_reasnowork_family_c);
					label var w123w_reasnowork_family_c "Woman did not work due to family obligations (average week 1 to 3), cond no job";
				
				egen w123w_reasnowork_looking_c = rowmean(w1w_reasnowork_looking_c w2w_reasnowork_looking_c w3w_reasnowork_looking_c);
					label var w123w_reasnowork_looking_c "Woman did not work bc work just finished and looking for a job (average week 1 to 3), cond no job";
				
								egen w123w_reasnowork_other_c = rowmean(w1w_reasnowork_other_c w2w_reasnowork_other_c w3w_reasnowork_other_c);
					label var w123w_reasnowork_other_c "Woman did not work due to another reason(average week 1 to 3), cond no job";
		
		
			* Not conditional;
			
			foreach week in w1 w2 w3 {;
				foreach reason in cannotfind family looking other {;
					gen `week'w_reasnowork_`reason' = `week'w_reasnowork_`reason'_c;
					replace `week'w_reasnowork_`reason'=0 if `week'w_employed==1 & `week'w_reasnowork_`reason'==.; 
					};
					
					label var `week'w_reasnowork_cannotfind "Woman did not work bc could not find a job `week'";
					label var `week'w_reasnowork_family  "Woman did not work due to family obligations `week'";
					label var `week'w_reasnowork_looking "Woman did not work bc work just finished and looking for a job `week'";
					label var `week'w_reasnowork_other "Woman did not work due to another reason `week'";
				};
				
				egen w123w_reasnowork_cannotfind = rowmean (w1w_reasnowork_cannotfind w2w_reasnowork_cannotfind w3w_reasnowork_cannotfind);
					label var w123w_reasnowork_cannotfind "Woman did not work bc could not find a job (average week 1 to 3)";
				
				egen w123w_reasnowork_family = rowmean (w1w_reasnowork_family w2w_reasnowork_family w3w_reasnowork_family);
					label var w123w_reasnowork_family "Woman did not work due to family obligations (average week 1 to 3)";
				
				egen w123w_reasnowork_looking = rowmean (w1w_reasnowork_looking w2w_reasnowork_looking w3w_reasnowork_looking);
					label var w123w_reasnowork_looking "Woman did not work bc work just finished and looking for a job (average week 1 to 3)";
				
				egen w123w_reasnowork_other = rowmean (w1w_reasnowork_other w2w_reasnowork_other w3w_reasnowork_other);
					label var w123w_reasnowork_other "Woman did not work due to another reason(average week 1 to 3)";
					
								
		* Will look for a job or for a new job (cond on not employed and not conditional) ;
		
		foreach week in w1 w2 w3 {;
			gen `week'w_willookjob_6m_cond = 0 if `week'w_employed==0;
				replace `week'w_willookjob_6m_cond = 1 if `week'w_employed==0 & (`week'w_fs2_6m==1 | `week'w_fs2_change ==1);
				
				label var `week'w_willookjob_6m_cond "Woman will look for a job or start a self-empl act in the next 6 months `week' cond";
				};
				
				
			egen w123w_willlookjob_6m_cond = rowmean (w1w_willookjob_6m_cond w2w_willookjob_6m_cond w3w_willookjob_6m_cond);
				label var w123w_willlookjob_6m_cond  "Woman will look for a job/start a self-empl act next 6 months (av week 1 to 3) cond";
		
		
		foreach week in w1 w2 w3 {;
			gen `week'w_willookjob_6m = 0 if `week'w_employed!=.;
				replace `week'w_willookjob_6m = 1 if `week'w_employed==0 & (`week'w_fs2_6m==1 | `week'w_fs2_change ==1);
				
				label var `week'w_willookjob_6m "Woman will look for a job or start a self-empl act in the next 6 months `week'";
				};
				
				
			egen w123w_willlookjob_6m = rowmean (w1w_willookjob_6m w2w_willookjob_6m w3w_willookjob_6m);
				label var w123w_willlookjob_6m  "Woman will look for a job/start a self-empl act next 6 months (av week 1 to 3)";
		
		*** Lee Bounds;
			* We need to trim top and bottom 4.4% of the control group (450 obs * 0.04 = 20 obs);
			sum w123w_mean_inactive if treatment==0;
			return list;
			
			sort treatment w123w_mean_inactive;			
		gen bound1_w123w_mean_inactive = w123w_mean_inactive;
			replace bound1_w123w_mean_inactive =. if _n>=1 & _n<=20;
		gen bound2_w123w_mean_inactive = w123w_mean_inactive;	
			replace bound2_w123w_mean_inactive =. if _n>=431 & _n<=450;
				
		sort treatment w123w_mean_unemployed;			
		gen bound1_w123w_mean_unemployed = w123w_mean_unemployed;
			replace bound1_w123w_mean_unemployed =. if _n>=1 & _n<=20;
		gen bound2_w123w_mean_unemployed = w123w_mean_unemployed;	
			replace bound2_w123w_mean_unemployed =. if _n>=431 & _n<=450;
		
		gsort treatment -w123w_mean_employed;			
		gen bound1_w123w_mean_employed = w123w_mean_employed;
			replace bound1_w123w_mean_employed =. if _n>=1 & _n<=20;
		gen bound2_w123w_mean_employed = w123w_mean_employed;	
			replace bound2_w123w_mean_employed =. if _n>=441 & _n<=460;
			
		label var bound1_w123w_mean_inactive "Bound 1: bottom trimmed of average woman inactive status: week 1 to 3";
		label var bound2_w123w_mean_inactive "Bound 2: top trimmed of average woman inactive status: week 1 to 3";
		label var bound1_w123w_mean_unemployed "Bound 1: bottom trimmed of average woman unemployed status: week 1 to 3";
		label var bound2_w123w_mean_unemployed "Bound 2: top trimmed of average woman unemployed status: week 1 to 3";
		label var bound1_w123w_mean_employed "Bound 1: bottom trimmed of average woman employed status: week 1 to 3";
		label var bound2_w123w_mean_employed "Bound 2: top trimmed of average woman employed status: week 1 to 3";
		
		
		
************;			
* Husband;
************;
	* Employment PER DAY (temp);
	* Employed at all;
		forval week=1/3 { /* Looping over weeks */;	
		forval day=1/7 { /* Looping over days */;
			gen w`week'm_employed_`day'=0 if w`week'm_f1`day'_0!=.;
			lab var w`week'm_employed_`day' "Employed week `week', day `day'";
			forval mult=0/8 { /* Looping over multiple responses */;
			replace w`week'm_employed_`day'=1 if w`week'm_f1`day'_`mult'>0 & w`week'm_f1`day'_`mult'<=9 & w`week'm_f1`day'_`mult' != .;
			};
			};
		* Generating missing dummy;
		gen w`week'm_missing= missing(w`week'm_f17_0, w`week'm_f16_0, w`week'm_f15_0, w`week'm_f14_0, w`week'm_f13_0, w`week'm_f12_0, w`week'm_f11_0);
			replace w`week'm_missing=1 if w`week'm_f17_0==0 & w`week'm_f16_0==0 & w`week'm_f15_0==0 & w`week'm_f14_0==0 & w`week'm_f13_0==0 & w`week'm_f12_0==0 & w`week'm_f11_0==0 & (w`week'm_fs0==1 | w`week'm_fs0==.) /* correcting for inconsistent answers */;  
			};

	* Employed in day work;
		forval week=1/3 { /* Looping over weeks */;	
		forval day=1/7 { /* Looping over days */;
			gen w`week'm_employed_daywork_`day'=0 if w`week'm_f1`day'_0!=.;
			forval mult=0/8 { /* Looping over multiple responses */;
			replace w`week'm_employed_daywork_`day'=1 if w`week'm_f1`day'_`mult'==6 | w`week'm_f1`day'_`mult'==8;
			};
			};
			};
	
	* Salaried;
		forval week=1/3 { /* Looping over weeks */;	
		forval day=1/7 { /* Looping over days */;
			gen w`week'm_employed_salaried_`day'=0 if w`week'm_f1`day'_0!=.;
			forval mult=0/8 { /* Looping over multiple responses */;
			replace w`week'm_employed_salaried_`day'=1 if w`week'm_f1`day'_`mult'==4 | w`week'm_f1`day'_`mult'==5;
			};
			};
			};
			
	* Self-employed;
		forval week=1/3 { /* Looping over weeks */;	
		forval day=1/7 { /* Looping over days */;
			gen w`week'm_employed_selfempl_`day'=0 if w`week'm_f1`day'_0!=.;
			forval mult=0/8 { /* Looping over multiple responses */;
			replace w`week'm_employed_selfempl_`day'=1 if w`week'm_f1`day'_`mult'==1 | w`week'm_f1`day'_`mult'==3 | w`week'm_f1`day'_`mult'==2;
			};
			};
			};	
	
	* Government works;
		forval week=1/3 { /* Looping over weeks */;	
		forval day=1/7 { /* Looping over days */;
			gen w`week'm_employed_gw_`day'=0 if w`week'm_f1`day'_0!=.;
			forval mult=0/8 { /* Looping over multiple responses */;
			replace w`week'm_employed_gw_`day'=1 if w`week'm_f1`day'_`mult'==7;
			};
			};
			};	

	* HIMO;
		forval week=1/3 { /* Looping over weeks */;	
		forval day=1/7 { /* Looping over days */;
			gen w`week'm_employed_himo_`day'=0 if w`week'm_f1`day'_0!=.;
			forval mult=0/8 { /* Looping over multiple responses */;
			replace w`week'm_employed_himo_`day'=1 if w`week'm_f1`day'_`mult'==7 & w`week'm_f1`day'_himo==1;
			};
			};
			};	
			
	* Other employement;
		* Only unpaid apprenticeship;
		forval week=1/3 { /* Looping over weeks */;	
		forval day=1/7 { /* Looping over days */;
			gen w`week'm_employed_other_`day'=0 if w`week'm_f1`day'_0!=.;
			forval mult=0/8 { /* Looping over multiple responses */;
			replace w`week'm_employed_other_`day'=1 if w`week'm_f1`day'_`mult'==9;
			};
			};
			};	

			
* Employment per week: number of days and dummy for each type of employment;

	foreach x in employed employed_daywork employed_salaried employed_selfempl employed_gw employed_himo employed_other {;
	forval week=1/3 {;
		egen w`week'm_`x'_ndays=rsum(w`week'm_`x'_1-w`week'm_`x'_7);
			replace w`week'm_`x'_ndays = . if w`week'm_missing==1;
			label var w`week'm_`x'_ndays "Number of days husband was `x' in week `week'";
			
		gen w`week'm_`x' = 0 if w`week'm_`x'_ndays!=.;
			replace w`week'm_`x' = 1 if inrange(w`week'm_`x'_ndays, 1, 7); 
			label var w`week'm_`x' "1 if husband `x' in week `week'";
		
		drop w`week'm_`x'_1-w`week'm_`x'_7;
		};
		};

* Unemployment per week;
	tab1 w*_fs0, m;
	tab1 w*_fs2, m;

forval week=1/3 {;
	gen w`week'm_unemployed=.;
		replace w`week'm_unemployed=1 if w`week'm_employed==0 & w`week'm_fs0==2 & w`week'm_fs2==1;
		lab var w`week'm_unemployed "1 if husband unemployed in week `week'";
		replace w`week'm_unemployed=0 if w`week'm_employed==1 | (w`week'm_employed==0 & w`week'm_fs2==2);
		};

* Inactive per week;
	forval week=1/3 {;
	gen w`week'm_inactive=.;
		replace w`week'm_inactive=1 if w`week'm_employed==0 & w`week'm_fs0==2 & w`week'm_fs2==2;
		lab var w`week'm_inactive "1 if husband inactive in week `week'";
		replace w`week'm_inactive=0 if w`week'm_employed==1 | w`week'm_unemployed==1;
		};				
		
* Average employment & unemployment over 3 weeks: number of days and dummy for each type of employment;

foreach x in employed employed_daywork employed_salaried employed_selfempl employed_gw employed_himo employed_other unemployed inactive{;
	egen w123m_mean_`x' = rowmean(w1m_`x' w2m_`x' w3m_`x');
		lab var w123m_mean_`x' "Average husband `x' status: week 1 to 3";
		};

foreach x in employed employed_daywork employed_salaried employed_selfempl employed_gw employed_himo employed_other {;
	egen w123m_mean_`x'_n = rowmean(w1m_`x'_ndays w2m_`x'_ndays w3m_`x'_ndays);
		lab var w123m_mean_`x'_n "Average number of days husband was `x': week 1 to 3";
		};		


			
*** Hours worked;
	* Per week;
	forval week=1/3 { /* Looping over weeks */;
			gen w`week'm_hoursworked=0;
			lab var w`week'm_hoursworked "Hours worked by man in week `week'";
	forval day=1/7 { /* Looping over days */;
			replace w`week'm_f3`day' = . if w`week'm_f3`day'<0;
			replace w`week'm_hoursworked = w`week'm_hoursworked + w`week'm_f3`day' if w`week'm_f3`day' > 0 & w`week'm_f3`day'!=. ;
			};
			egen w`week'm_missing_hours=rowmiss(w`week'm_f3*);
			replace w`week'm_hoursworked = . if w`week'm_hoursworked==0 & (w`week'm_missing == 1 | (w`week'm_missing_hours==7 & w`week'm_employed==1));
			};
			
			sum w1m_hoursworked w2m_hoursworked w3m_hoursworked;
			tab w1m_hoursworked w1m_employed, miss;
			tab w2m_hoursworked w2m_employed, miss;
			tab w3m_hoursworked w3m_employed, miss;
			
			
			*edit id8 m_id9 endline_n w1m_hoursworked w1m_employed w1m_employed_ndays w1m_f3* w1m_f4*_fdj w1m_f6 w1m_f7 w1m_f9 if w1m_hoursworked>125 & w1m_hoursworked!=.;
			*edit id8 m_id9 endline_n w2m_hoursworked w2m_employed w2m_employed_ndays w2m_f3* w2m_f4*_fdj w2m_f6 w2m_f7 w2m_f9 if w2m_hoursworked>125 & w2m_hoursworked!=.; 
			*edit id8 m_id9 endline_n w3m_hoursworked w3m_employed w3m_employed_ndays w3m_f3* w3m_f4*_fdj w3m_f6 w3m_f7 w3m_f9 if w3m_hoursworked>125 & w3m_hoursworked!=.;
						
			drop w1m_missing_hours w2m_missing_hours w3m_missing_hours;
	
	* Average over 3 weeks;
		egen w123m_mean_hoursworked = rowmean(w1m_hoursworked w2m_hoursworked w3m_hoursworked);
			lab var w123m_mean_hoursworked "Average hours worked by husband over week 1 to 3";
		
		gen w123m_mean_hoursworked_cond = w123m_mean_hoursworked if w123m_mean_employed>0 & w123m_mean_employed!=.;
			lab var w123m_mean_hoursworked_cond "Average hours worked by husband over week 1 to 3, cond on employment";
			
*** Remuneration;			
		* missing stay 0 until the final labor income variable is created;
		
		* Remuneration daywork declared in diary;
			forval week=1/3 { /* Looping over weeks */;
				gen w`week'm_pay1 = 0;
				lab var w`week'm_pay1 "Pay per day woman week `week'";
			forval day=1/7 { /* Looping over days */;
				replace w`week'm_pay1 = w`week'm_pay1 + w`week'm_f4`day'_fdj if w`week'm_f4`day'_fdj>0 & w`week'm_f4`day'_fdj!=. ;
				recode w`week'm_f4`day'_fdj (-77=.) (-88=.) (-99=.);
				};
				egen w`week'm_missing_pay1=rowmiss(w`week'm_f4*_fdj);
					replace w`week'm_missing_pay1=0 if inrange(w`week'm_missing_pay1, 1, 6);
					recode w`week'm_missing_pay1 (7=1); 
				};
	
		* Self-employment activity: income over past 7 days;
			forval week=1/3 {;
				gen w`week'm_pay2=0;
					replace w`week'm_pay2 = w`week'm_f6 if w`week'm_f6 > 0 & w`week'm_f6!=.;
					lab var w`week'm_pay2 "Pay self-empl week `week' (7 days)";
					recode w`week'm_f6 (-77=.) (-88=.) (-99=.);
					egen w`week'm_missing_pay2=rowmiss(w`week'm_f6);
					};
					sum w*m_pay2;
								
		* Self-employment activities: income over past 30 days scaled to 7 days;
			forval week=1/3 {;
				gen w`week'm_pay3=0;
					replace w`week'm_pay3 = w`week'm_f7 if w`week'm_f7>0 & w`week'm_f7!=.;
					replace w`week'm_pay3 = w`week'm_pay3 / 4.35;
					lab var w`week'm_pay3 "Pay self-empl week `week' (30 days)";
					recode w`week'm_f7 (-77=.) (-88=.) (-99=.);
					egen w`week'm_missing_pay3=rowmiss(w`week'm_f7);
					};
					sum w*m_pay3;
				
		* Salaried Pay; 
			forval week=1/3 {;
				gen w`week'm_pay4=0;
					replace w`week'm_pay4 = w`week'm_f9 if w`week'm_f9>0 & w`week'm_f9!=.;
					replace w`week'm_pay4= w`week'm_pay4 / 2 if w`week'm_f8==2;
					replace w`week'm_pay4 = w`week'm_pay4 / 4.35 if w`week'm_f8==3;
					* f8 = 4 is just a check - no data on daily income here;
					lab var w`week'm_pay4 "Pay salaried week `week' (month, bi-monthy or weekly)";
					recode w`week'm_f9 (-77=.) (-88=.) (-99=.);
					egen w`week'm_missing_pay4=rowmiss(w`week'm_f9);
					};
					sum w*m_pay4;
		
		
		** Labor income per week;
		* Note: Now going to use pay1, pay2 and pay4 to get overall renumeration per week. For self employment, Pay 3 (not Pay 2), income over the past month (scaled to 7 days) is used;
		
			* We first check for men that do only have a self-employment activity that income is not double counted and we check ralationship between weekly and monthly income declaration;
				foreach week in 1 2 3 {;
				gen w`week'm_onlyself = (w`week'm_employed_daywork==0 & w`week'm_employed_salaried==0 & w`week'm_employed_selfempl==1 & w`week'm_employed_gw==0 & w`week'm_employed_other==0);
				gen w`week'm_self_2remun = 1 if w`week'm_onlyself==1 & w`week'm_pay1>0 & w`week'm_pay1!=. & w`week'm_pay3>0 & w`week'm_pay3!=.;
				assert w`week'm_pay4==0 | w`week'm_pay4==. if w`week'm_self_2remun == 1;  
				
				gen w`week'm_mwremun_7days = w`week'm_pay3 / w`week'm_pay1 if w`week'm_pay3!=0 ;
				
				gen w`week'm_onlysalaried = (w`week'm_employed_daywork==0 & w`week'm_employed_salaried==1 & w`week'm_employed_selfempl==0 & w`week'm_employed_gw==0 & w`week'm_employed_other==0);
				gen w`week'm_sala_2remun = 1 if w`week'm_onlysalaried==1 & w`week'm_pay1>0 & w`week'm_pay1!=. & w`week'm_pay4>0 & w`week'm_pay4!=.;
				assert (w`week'm_pay3==0 | w`week'm_pay3==.) & (w`week'm_pay2==0 | w`week'm_pay2==.) if w`week'm_sala_2remun == 1;  
				};
				
		* missing;
		foreach week in w1 w2 w3 {;
			egen `week'm_missing_pay = rowtotal(`week'm_missing_pay1 `week'm_missing_pay3 `week'm_missing_pay4);
				recode `week'm_missing_pay (2=0) (1=0) (3=1); 
				};
			
		* total labor income per week ;
		foreach week in w1 w2 w3 {;
			egen `week'm_remun = rowtotal(`week'm_pay1 `week'm_pay3 `week'm_pay4);
			
			* We take in account cases for man self-employed that declared income both daily and monthly;
			egen `week'm_remun_temp = rowtotal(`week'm_pay3 `week'm_pay4) if `week'm_self_2remun ==1 ;
			replace `week'm_remun = `week'm_remun_temp if `week'm_self_2remun ==1 ; 
										drop `week'm_remun_temp;
			
			* We take in account cases for man salaried that declared income both daily and monthly;
			replace `week'm_remun = `week'm_pay4 if `week'm_sala_2remun ==1 ; 
															
			
			replace `week'm_remun = . if `week'm_missing_pay==1 & (`week'm_employed==1 | (`week'm_employed==. & `week'm_remun==0));
			label var `week'm_remun "Remuneration man `week'"; 
			
			* We take in account cases where they declared weekly self-employment income but not monthly;
			replace `week'm_remun = `week'm_remun + `week'm_pay2 if `week'm_pay3 == 0 & `week'm_pay2 > 0 & `week'm_pay2 !=. & `week'm_remun!=.; 
			replace `week'm_remun = `week'm_pay2 if `week'm_pay3 == 0 & `week'm_pay2 > 0 & `week'm_pay2 !=. & `week'm_remun==.;
			
			replace `week'm_pay1=. if `week'm_remun==.;
			replace `week'm_pay2=. if `week'm_remun==.;
			replace `week'm_pay3=. if `week'm_remun==.;
			replace `week'm_pay4=. if `week'm_remun==.;
			
			sum `week'm_pay1 `week'm_pay3 `week'm_pay4 `week'm_remun;
			};
										
			sum w1m_remun w2m_remun w3m_remun ;
			
			tab w1m_remun w1m_employed, miss;
			tab w2m_remun w2m_employed, miss;
			tab w3m_remun w3m_employed, miss;
			
			drop w1m_pay1- w3m_missing_pay;
			
		* average labor income over 3 weeks;
		egen w123m_mean_remun = rowmean(w1m_remun w2m_remun w3m_remun);
			lab var w123m_mean_remun "Average remuneration husband over week 1 to 3";
			
		sum w1m_remun w2m_remun w3m_remun w123m_mean_remun; 	
				
		gen w123m_mean_remun_cond = w123m_mean_remun if w123m_mean_employed>0 & w123m_mean_employed!=.;
			lab var w123m_mean_remun_cond "Average remuneration husband over week 1 to 3, cond on employment";
	
			* Reasons husband has not worked (not conditional);
						
			foreach week in w1 w2 w3 {;
				foreach reason in cannotfind looking sick other {;
					gen `week'm_reasnowork_`reason' = 0 if `week'm_employed!=.;
					};
					
					label var `week'm_reasnowork_cannotfind "Husband did not work bc could not find a job `week'";
					label var `week'm_reasnowork_looking "Husband did not work bc work just finished and looking for a job `week'";
					label var `week'm_reasnowork_sick "Husband did not work bc he was sick `week'";
					label var `week'm_reasnowork_other "Husband did not work due to another reason `week'";
						
				foreach i of numlist 0/11 {;
					replace `week'm_reasnowork_cannotfind = 1 if `week'm_employed==0 & `week'm_fs1_`i'==1 ;
					replace `week'm_reasnowork_looking = 1 if `week'm_employed==0 & `week'm_fs1_`i'==9;
					replace `week'm_reasnowork_sick = 1 if `week'm_employed==0 & `week'm_fs1_`i'==6;
					replace `week'm_reasnowork_other = 1 if `week'm_employed==0 & (`week'm_fs1_`i'==2 | `week'm_fs1_`i'==3 | `week'm_fs1_`i'==4 | `week'm_fs1_`i'==5 | `week'm_fs1_`i'==7 | `week'm_fs1_`i'==8 | `week'm_fs1_`i'==10 | `week'm_fs1_`i'==11);
					* we correct cases where men are inactive but say they are looking for a job;
					replace `week'm_reasnowork_other = 1 if `week'w_reasnowork_looking ==1 & `week'w_employed==0 & `week'w_unemployed==0;
					replace `week'm_reasnowork_looking = 0 if `week'w_reasnowork_looking ==1 & `week'w_employed==0 & `week'w_unemployed==0;
					};
			};
			
			egen w123m_reasnowork_cannotfind = rowmean (w1m_reasnowork_cannotfind w2m_reasnowork_cannotfind w3m_reasnowork_cannotfind);
				label var w123m_reasnowork_cannotfind "Husband did not work bc could not find a job (average week 1 to 3)";
							
			egen w123m_reasnowork_looking = rowmean (w1m_reasnowork_looking w2m_reasnowork_looking w3m_reasnowork_looking);
				label var w123m_reasnowork_looking "Husband did not work bc work just finished and looking for a job (average week 1 to 3)";
				
			egen w123m_reasnowork_sick = rowmean (w1m_reasnowork_sick w2m_reasnowork_sick w3m_reasnowork_sick);
				label var w123m_reasnowork_sick "Husband did not work bc she was sick (average week 1 to 3)";
				
			egen w123m_reasnowork_other = rowmean (w1m_reasnowork_other w2m_reasnowork_other w3m_reasnowork_other);
					label var w123m_reasnowork_other "Husband did not work due to another reason(average week 1 to 3)";
			
						
		* Will look for a job or for a new job (cond on not employed and not cond);
		
		foreach week in w1 w2 w3 {;
			gen `week'm_willookjob_6m_cond = 0 if `week'm_employed==0;
				replace `week'm_willookjob_6m_cond = 1 if `week'm_employed==0 & (`week'm_fs2_6m==1 | `week'm_fs2_change ==1);
								
				label var `week'm_willookjob_6m_cond "Husband will look for a job or start a self-empl act in the next 6 months `week'";
				};
				
				
			egen w123m_willlookjob_6m_cond = rowmean (w1m_willookjob_6m_cond w2m_willookjob_6m_cond w3m_willookjob_6m_cond);
				label var w123m_willlookjob_6m_cond  "Husband will look for a job/start a self-empl act next 6 months (av week 1 to 3), cond on not employed";
	
		
		foreach week in w1 w2 w3 {;
			gen `week'm_willookjob_6m = 0 if `week'm_employed!=.;
				replace `week'm_willookjob_6m = 1 if `week'm_employed==0 & (`week'm_fs2_6m==1 | `week'm_fs2_change ==1);
								
				label var `week'm_willookjob_6m "Husband will look for a job or start a self-empl act in the next 6 months `week'";
				};
				
				
			egen w123m_willlookjob_6m = rowmean (w1m_willookjob_6m w2m_willookjob_6m w3m_willookjob_6m);
				label var w123m_willlookjob_6m  "Husband will look for a job/start a self-empl act next 6 months (av week 1 to 3)";
	
***************************************************;			
* Work from roster: all HH members except the woman;
****************************************************;
* Label variables;
* Time worked;
* Earnings;

#delimit ;
	foreach week in w1 w2 w3 {;
	egen `week'_hhemploymiss = rowmiss(`week'w_h1a_*);
		};
		
		replace w1_hhemploymiss=0 if w1_hhemploymiss<41;
		replace w1_hhemploymiss=1 if w1_hhemploymiss==41;
		replace w2_hhemploymiss=0 if w2_hhemploymiss<48;
		replace w2_hhemploymiss=1 if w2_hhemploymiss==48;
		replace w3_hhemploymiss=0 if w3_hhemploymiss<48;
		replace w3_hhemploymiss=1 if w3_hhemploymiss==48;
		
		
	* Number of adults;
	foreach week in w1 w2 w3 {;
		gen `week'_nothadults = 0;
		gen `week'_noinfo = 0;
		foreach i of numlist 1/24 {;
			replace `week'_nothadults  = `week'_nothadults  + 1 if ((`week'w_h5_`i'>=15 & `week'w_h5_`i'!=.) | `week'w_h5_`i'<0) & `week'w_h1a_`i'==1 /* & `week'_h3_`i'==2 */;
			replace `week'_noinfo  = `week'_noinfo  + 1 if ((`week'w_h5_`i'>=15 & `week'w_h5_`i'!=.) | `week'w_h5_`i'<0) & `week'w_h1a_`i'==1 & `week'w_h3_`i'==1;
			};
			tab `week'_nothadults `week'_noinfo;
			replace `week'_hhemploymiss = 1 if (`week'_noinfo> 2 & `week'_noinfo!=.) | (`week'_nothadults == 2 & `week'_noinfo==2);
			replace `week'_nothadults = . if `week'_hhemploymiss==1 ;
			replace `week'_nothadults = `week'_nothadults - 1 if `week'_noinfo > 0 ;
			label var `week'_nothadults "Number of adults besides woman beneficiary" ;			
			};
							
						
		* Number of adults who worked;
			foreach week in w1 w2 w3 {;
			foreach i of numlist 1/24 {;
				gen `week'oth_worked_`i' = 0 if `week'w_h1a_`i'==1 & `week'w_h3_`i'==2 ;
				foreach j of numlist 6/13 {;
					replace `week'oth_worked_`i'  = 1 if `week'w_h`j'_`i'==1;
					};
					};		
					};
			
		* Number of adults unemployed;
			/* missing variable */ /*gen w1_h22_16 = .*/;
			foreach week in w1 w2 w3 {;
			foreach i of numlist 1/24 {;
				gen `week'oth_unemployed_`i' = 0 if `week'w_h1a_`i'==1 & `week'w_h3_`i'==2 ;
					replace `week'oth_unemployed_`i'  = 1 if `week'w_h22_`i'==1;
					};		
					};
	
		* Number of adults inactive;
			foreach week in w1 w2 w3 {;
			foreach i of numlist 1/24 {;
				gen `week'oth_inactive_`i' = 0 if `week'w_h1a_`i'==1;
					replace `week'oth_inactive_`i'  = 1 if `week'oth_worked_`i'==0 & `week'oth_unemployed_`i'==0;
					};		
					};	
					
		* Sum per week;
			foreach status in worked unemployed inactive {;
			foreach week in w1 w2 w3 {;
				egen `week'oth_`status'_n = rowtotal(`week'oth_`status'_1-`week'oth_`status'_24) ;
				replace `week'oth_`status'_n = .  if `week'_hhemploymiss==1; 
				};
				};	
			drop w1oth_worked_1- w3oth_inactive_24;		
				
		
	* Employment by type of activity; 	
		* Employed in day work;
			foreach week in w1 w2 w3 {;
			foreach i of numlist 1/24 {;
				gen `week'oth_daywork_`i' = 0 if `week'w_h1a_`i'==1 & `week'w_h3_`i'==2 ;
				replace `week'oth_daywork_`i'  = 1 if `week'w_h9_`i'==1 | `week'w_h13_`i'==1;
				};		
				};
	
			foreach week in w1 w2 w3 {;
				egen `week'oth_daywork_n = rowtotal(`week'oth_daywork_1-`week'oth_daywork_24) ;
				replace `week'oth_daywork_n = .  if `week'_hhemploymiss==1; 
				};
				
				drop w1oth_daywork_1-w3oth_daywork_24;
	 
		* Salaried;
			foreach week in w1 w2 w3 {;
			foreach i of numlist 1/24 {;
				gen `week'oth_salaried_`i' = 0 if `week'w_h1a_`i'==1 & `week'w_h3_`i'==2 ;
				replace `week'oth_salaried_`i'  = 1 if `week'w_h10_`i'==1 | `week'w_h11_`i'==1;
				};		
				};
	
			foreach week in w1 w2 w3 {;
				egen `week'oth_salaried_n = rowtotal(`week'oth_salaried_1-`week'oth_salaried_24) ;
				replace `week'oth_salaried_n = .  if `week'_hhemploymiss==1; 
				};
				
				drop w1oth_salaried_1-w3oth_salaried_24;
	 
	 	* Self-employed;
			foreach week in w1 w2 w3 {;
			foreach i of numlist 1/24 {;
				gen `week'oth_self_`i' = 0 if `week'w_h1a_`i'==1 & `week'w_h3_`i'==2 ;
				replace `week'oth_self_`i'  = 1 if `week'w_h6_`i'==1 | `week'w_h8_`i'==1 | `week'w_h7_`i'==1;
				};		
				};
	
			foreach week in w1 w2 w3 {;
				egen `week'oth_self_n = rowtotal(`week'oth_self_1-`week'oth_self_24) ;
				replace `week'oth_self_n = .  if `week'_hhemploymiss==1; 
				};
				
				drop w1oth_self_1-w3oth_self_24;
	 
	 	 
	 	* Gov works;
			foreach week in w1 w2 w3 {;
			foreach i of numlist 1/24 {;
				gen `week'oth_gov_`i' = 0 if `week'w_h1a_`i'==1 & `week'w_h3_`i'==2 ;
				replace `week'oth_gov_`i'  = 1 if `week'w_h12_`i'==1;
				};		
				};
	
			foreach week in w1 w2 w3 {;
				egen `week'oth_gov_n = rowtotal(`week'oth_gov_1-`week'oth_gov_24) ;
				replace `week'oth_gov_n = .  if `week'_hhemploymiss==1; 
				};
				
				drop w1oth_gov_1-w3oth_gov_24;
	 
	 * PW;
			foreach week in w1 w2 w3 {;
			foreach i of numlist 1/24 {;
				gen `week'oth_himo_`i' = 0 if `week'w_h1a_`i'==1 & `week'w_h3_`i'==2 ;
				replace `week'oth_himo_`i'  = 1 if `week'w_h12_himo_`i'==1;
				};		
				};
	
			foreach week in w1 w2 w3 {;
				egen `week'oth_himo_n = rowtotal(`week'oth_himo_1-`week'oth_himo_24) ;
				replace `week'oth_himo_n = .  if `week'_hhemploymiss==1; 
				};
				
				drop w1oth_himo_1-w3oth_himo_24;
	 
	 
	 * Other;
		* no other;
			foreach week in w1 w2 w3 {;
			foreach i of numlist 1/24 {;
				gen `week'oth_othjob_`i' = 0 if `week'w_h1a_`i'==1 & `week'w_h3_`i'==2 ;
				};		
				};
	
			foreach week in w1 w2 w3 {;
				egen `week'oth_othjob_n = rowtotal(`week'oth_othjob_1-`week'oth_othjob_24) ;
				replace `week'oth_othjob_n = .  if `week'_hhemploymiss==1; 
				};
				
				drop w1oth_othjob_1-w3oth_othjob_24;
	 	 
	 
	* Share of adults who worked;
		foreach status in worked unemployed inactive daywork salaried self gov himo othjob {;
		foreach week in w1 w2 w3 {;
				gen `week'oth_`status'_sh = `week'oth_`status'_n / `week'_nothadults;
					* we put to 0 households where there is no other hh member besides the woman;
					replace `week'oth_`status'_sh = 0 if `week'_nothadults == 0 & `week'_hhemploymiss==0;
				};
				};
	 
	 	 
	 * Average number of adults other than the woman;
	 egen w123oth_mean_nothadults = rowmean(w1_nothadults w2_nothadults w3_nothadults);
	 
	 lab var w123oth_mean_nothadults "Number of other HH members than woman (average week 1 to 3)";	
	 
	 *** Hours worked;
	* Per week;
		foreach week in w1 w2 w3 {; 
				gen `week'oth_hoursworked=0;
				lab var `week'oth_hoursworked "Hours worked by other HH members than woman in week `week'";
		foreach i of numlist 1/24 {;
				replace `week'oth_hoursworked = `week'oth_hoursworked + `week'w_h16_`i' if `week'w_h16_`i'>0 & `week'w_h16_`i'<168;
				};
				replace `week'oth_hoursworked = . if `week'_hhemploymiss==1;
				};
				
				
*** Remuneration;			
		* missing stay 0 until the final labor income variable is created;
		foreach week in w1 w2 w3 {; 
				gen `week'oth_income_labor=0;
				lab var `week'oth_income_labor "Hours worked by other HH members than woman in week `week'";
		foreach i of numlist 1/24 {;
				replace `week'oth_income_labor = `week'oth_hoursworked + `week'w_h18_`i' if `week'w_h18_`i'>0 & `week'w_h18_`i'!=. & `week'w_h17_`i'==2;
				replace `week'oth_income_labor = `week'oth_hoursworked + `week'w_h20_`i' if `week'w_h20_`i'>0 & `week'w_h20_`i'!=. & (`week'w_h17_`i'==1 | `week'w_h17_`i'==4 | `week'w_h17_`i'==6) & `week'w_h19_`i'==1;
				replace `week'oth_income_labor = `week'oth_hoursworked + (`week'w_h20_`i'/2) if `week'w_h20_`i'>0 & `week'w_h20_`i'!=. & (`week'w_h17_`i'==1 | `week'w_h17_`i'==4 | `week'w_h17_`i'==6) & `week'w_h19_`i'==2;
				replace `week'oth_income_labor = `week'oth_hoursworked + (`week'w_h20_`i'/4.3) if `week'w_h20_`i'>0 & `week'w_h20_`i'!=. & (`week'w_h17_`i'==1 | `week'w_h17_`i'==4 | `week'w_h17_`i'==6) & `week'w_h19_`i'==3;
				replace `week'oth_income_labor = `week'oth_hoursworked + (`week'w_h21_`i'/4.3) if `week'w_h21_`i'>0 & `week'w_h21_`i'!=. & `week'w_h17_`i'==3;
				};
				replace `week'oth_income_labor = . if `week'_hhemploymiss==1;
				};
		
	 
	* Average employment & unemployment over 3 weeks: number of adults and share of adults;
		foreach status in worked unemployed inactive daywork salaried self gov himo othjob {;
				egen w123oth_mean_`status'_n = rowmean(w1oth_`status'_n w2oth_`status'_n w3oth_`status'_n);
				egen w123oth_mean_`status'_sh = rowmean(w1oth_`status'_sh w2oth_`status'_sh w3oth_`status'_sh);
				
				label var w123oth_mean_`status'_n "Number of other HH members than woman: `status' (average week 1 to 3)";
				label var w123oth_mean_`status'_sh "Share of other HH members than woman: `status' (average week 1 to 3";
				};
		
				lab var w123oth_mean_worked_n 		"Average number of HH members other than woman employed status: over week 1 to 3";	
				lab var w123oth_mean_worked_sh 		"Average share of HH members other than woman employed status: over week 1 to 3";
				lab var w123oth_mean_unemployed_n 	"Average number of HH members other than woman unemployed status: over week 1 to 3";
				lab var w123oth_mean_unemployed_sh 	"Average share of HH members other than woman unemployed status: over week 1 to 3";
				lab var w123oth_mean_inactive_n 	"Average number of HH members other than woman inactive status: over week 1 to 3";
				lab var w123oth_mean_inactive_sh 	"Average share of HH members other than woman inactive status: over week 1 to 3";
				lab var w123oth_mean_daywork_n 		"Average number of HH members other than woman employed_daywork status: over week 1 to 3";
				lab var w123oth_mean_daywork_sh 	"Average share of HH members other than woman employed_daywork status: over week 1 to 3";
				lab var w123oth_mean_salaried_n 	"Average number of HH members other than woman employed_salaried status: over week 1 to 3";
				lab var w123oth_mean_salaried_sh 	"Average share of HH members other than woman employed_salaried status: over week 1 to 3";
				lab var w123oth_mean_self_n 		"Average number of HH members other than woman employed_self status: over week 1 to 3";
				lab var w123oth_mean_self_sh 		"Average share of HH members other than woman employed_self status: over week 1 to 3";
				lab var w123oth_mean_gov_n 			"Average number of HH members other than woman employed_gw status: over week 1 to 3";
				lab var w123oth_mean_gov_sh 		"Average share of HH members other than woman employed_gw status: over week 1 to 3";
				lab var w123oth_mean_himo_n 		"Average number of HH members other than woman employed_himo status: over week 1 to 3";
				lab var w123oth_mean_himo_sh 		"Average share of HH members other than woman employed_himo status: over week 1 to 3";
				lab var w123oth_mean_othjob_n 		"Average number of HH members other than woman employed_other status: over week 1 to 3";
				lab var w123oth_mean_othjob_sh		"Average share of HH members other than woman employed_other status: over week 1 to 3";
		foreach var in hoursworked income_labor {;		
		egen w123oth_mean_`var' = rowmean(w1oth_`var' w2oth_`var' w3oth_`var');
			};
			lab var w123oth_mean_hoursworked "Average hours worked, over the past 7 days, by other HH members than woman over week 1 to 3";		
			lab var w123oth_mean_income_labor "Average income from labor, over the past 7 days, by other HH members than woman over week 1 to 3";		
	
	****************;	
* Other income;
	#delimit;
	foreach week in w1 w2 w3 {;
		egen missotherincome`week'= rowmiss(`week'w_fs5 `week'w_fs6 `week'w_fs7 `week'w_fs8 `week'w_fs9 `week'w_fs10);
		
				replace missotherincome`week'=0 if inrange(missotherincome`week',0,5);
			replace missotherincome`week'=1 if inrange(missotherincome`week',6,6);
			
		
	gen otherincome_`week' = 0 if missotherincome`week'==0;
		label var otherincome_`week' "1 if HH received other income during `week'";
	gen otherincomeamt_`week' = 0 if missotherincome`week'==0;
		label var otherincomeamt_`week' "Amount (in FDJ) of other income received during `week'";
	foreach i of numlist 5/10 {;
		replace otherincome_`week' = 1 if `week'w_fs`i'==1;
		replace otherincomeamt_`week'  = otherincomeamt_`week'  + `week'w_fs`i'_fdj if `week'w_fs`i'_fdj>=0 & `week'w_fs`i'_fdj!=.;
		};
		};
		
	egen otherincome_w123 = rowmean(otherincome_w1 otherincome_w2 otherincome_w3);
		label var otherincome_w123 "1 if HH received other income (average week 1 to 3)";
	egen otherincomeamt_w123 = rowmean(otherincomeamt_w1 otherincomeamt_w2 otherincomeamt_w3);
		label var otherincomeamt_w123  "Average amount (in FDJ) of other income received week 1 to 3"; 	
	

* Total income;
	egen w123_mean_income_total = rowtotal(w123w_mean_remun w123oth_mean_income_labor otherincomeamt_w123);
		replace w123_mean_income_total = . if w123w_mean_remun==. & w123oth_mean_income_labor==. & otherincomeamt_w123==.;
		
		*_pctile w123_mean_income_total, p(99.5);
		
		foreach var in w123w_mean_remun w123oth_mean_income_labor otherincomeamt_w123 w123_mean_income_total {;
			*replace `var'=. if w123_mean_income_total>r(r1);
			};
		label var w123_mean_income_total "Average amount (in FDJ) of total income (week 1 to 3)";
			
	* ROBUSTNESS Total Income;
	
	
	foreach var in w123_mean_income_total w123w_mean_remun w123oth_mean_income_labor otherincomeamt_w123 w123m_mean_remun {;
		gen l`var'= ln(`var');
		};
		label var lw123_mean_income_total "ln of total average income past 7 days";
		label var lw123w_mean_remun "ln of woman average labor income past 7 days";
		label var lw123oth_mean_income_labor "ln of other hh members average labor income past 7 days";
		label var lotherincomeamt_w123 "ln of other non-labor income past 7 days";
		label var lw123m_mean_remun "ln of husband average labor income past 7 days";
	
	
	foreach var in w123w_mean_remun w123oth_mean_income_labor otherincomeamt_w123 w123m_mean_remun {;
			gen tr05_`var'=`var';
			_pctile `var', p(99.5);
			replace tr05_`var'=r(r1) if `var'>r(r1) & `var'!=.;
			};
				
		gen tr05_w123_mean_income_total = 0 if w123_mean_income_total!=.;
			foreach var in w123w_mean_remun w123oth_mean_income_labor otherincomeamt_w123 {;
				replace tr05_w123_mean_income_total = tr05_w123_mean_income_total + tr05_`var' if tr05_`var'>=0 & tr05_`var'!=.;
				};
	
	
	foreach var in w123w_mean_remun w123oth_mean_income_labor otherincomeamt_w123 w123m_mean_remun {;
			gen tr1_`var'=`var';
			_pctile `var', p(99);
			replace tr1_`var'=r(r1) if `var'>r(r1) & `var'!=.;
			};
				
		gen tr1_w123_mean_income_total = 0 if w123_mean_income_total!=.;
			foreach var in w123w_mean_remun w123oth_mean_income_labor otherincomeamt_w123 {;
				replace tr1_w123_mean_income_total = tr1_w123_mean_income_total + tr1_`var' if tr1_`var'>=0 & tr1_`var'!=.;
				};
	
	foreach var in w123w_mean_remun w123oth_mean_income_labor otherincomeamt_w123 w123m_mean_remun {;
			gen tr5_`var'=`var';
			_pctile `var', p(95);
			replace tr5_`var'=r(r1) if `var'>r(r1) & `var'!=.;
			};
				
		gen tr5_w123_mean_income_total = 0 if w123_mean_income_total!=.;
			foreach var in w123w_mean_remun w123oth_mean_income_labor otherincomeamt_w123 {;
				replace tr5_w123_mean_income_total = tr5_w123_mean_income_total + tr5_`var' if tr5_`var'>=0 & tr5_`var'!=.;
				};
				
			foreach i in 05 1 5 {;
				label var tr`i'_w123w_mean_remun "Average income from labor past 7 days by beneficiary (week 1-3) topcoded `i'%";
				label var tr`i'_w123oth_mean_income_labor "Average income from labor past 7 days by other HH members (week 1-3) topcoded `i'%";
				label var tr`i'_otherincomeamt_w123 "Average of other income (week 1-3) topcoded `i'%"; 
				label var tr`i'_w123_mean_income_total "Average amount (in FDJ) of total income (week 1-3) topcoded `i'%";
				label var tr`i'_w123m_mean_remun "Average income from labor past 7 days by husband (week 1-3) topcoded `i'%";
				};
			
			
* Transferts;
	foreach week in w1 w2 w3 {;
		egen misstransfers`week'= rowmiss(`week'w_fr1 `week'w_fr2 `week'w_fr3 `week'w_fr4);
			replace misstransfers`week'=0 if inrange(misstransfers`week',0,3);
			replace misstransfers`week'=1 if inrange(misstransfers`week',4,4);
					
	gen transfers_`week' = 0 if misstransfers`week'==0;
		label var transfers_`week' "1 if HH made a transfer `week'";
	gen transfersamt_`week' = 0 if misstransfers`week'==0;
		label var transfersamt_`week' "Amount (in FDJ) of transfers made `week'";
	foreach i of numlist 1/4 {;
		replace transfers_`week' = 1 if `week'w_fr`i'==1;
		replace transfersamt_`week' = transfersamt_`week' + `week'w_fr`i'_fdj if `week'w_fr`i'_fdj>=0 & `week'w_fr`i'_fdj!=.;
		};
		};
		
	egen transfers_w123 = rowmean(transfers_w1 transfers_w2 transfers_w3);
		label var transfers_w123 "1 if HH made a transfer (average week 1 to 3)";
	egen transfersamt_w123 = rowmean(transfersamt_w1 transfersamt_w2 transfersamt_w3);
		label var transfersamt_w123 "Average amount (in FDJ) of transfers week 1 to 3"; 	
		

* Intra-HH transfers;
	foreach week in w1 w2 w3 {;
		egen missintrahhtransf`week'= rowmiss(`week'w_ft1 `week'w_fu1 `week'w_fv1 `week'w_fw1);
			replace missintrahhtransf`week'=0 if inrange(missintrahhtransf`week',0,3);
			replace missintrahhtransf`week'=1 if inrange(missintrahhtransf`week',4,4);
	
	* Money from woman to husband;				
		gen intrahhcash_wh_`week' = 0 if missintrahhtransf`week'==0;
			replace intrahhcash_wh_`week' = 1 if `week'w_ft1==1; 
			label var intrahhcash_wh_`week' "1 if woman gave money to husband `week'";
		
		gen intrahhcash_wh_amt_`week' = 0 if missintrahhtransf`week'==0;
			replace intrahhcash_wh_amt_`week' = intrahhcash_wh_amt_`week' + `week'w_ft3 if `week'w_ft3>=0 & `week'w_ft3!=.;
			foreach i of numlist 1/7 {;
				replace intrahhcash_wh_amt_`week' = intrahhcash_wh_amt_`week' + `week'w_ft3_`i' if `week'w_ft3_`i'>=0 & `week'w_ft3_`i'!=.;
				};
				label var intrahhcash_wh_amt_`week' "Amount (in FDJ) of money woman gave to husband `week'";
		
	* Money from woman to other HH members;
		gen intrahhcash_woth_`week' = 0 if missintrahhtransf`week'==0;
			replace intrahhcash_woth_`week' = 1 if `week'w_fu1==1; 
			label var intrahhcash_woth_`week' "1 if woman gave money to other hh members (exc husband) `week'";
		
		gen intrahhcash_woth_amt_`week' = 0 if missintrahhtransf`week'==0;
			replace intrahhcash_woth_amt_`week' = intrahhcash_woth_amt_`week' + `week'w_fu3 if `week'w_fu3>=0 & `week'w_fu3!=.;
			foreach i of numlist 1/7 {;
				replace intrahhcash_woth_amt_`week' = intrahhcash_woth_amt_`week' + `week'w_fu3_`i' if `week'w_fu3_`i'>=0 & `week'w_fu3_`i'!=.;
				};
				label var intrahhcash_woth_amt_`week' "Amount (in FDJ) of money woman gave to other hh members (exc husband) `week'";
	
	* Money from Husband to woman (as declared by woman);
		gen intrahhcash_hw_`week' = 0 if missintrahhtransf`week'==0;
			replace intrahhcash_hw_`week' = 1 if `week'w_fv1==1; 
			label var intrahhcash_hw_`week' "1 if husband gave money to benef woman `week'";
		
		gen intrahhcash_hw_amt_`week' = 0 if missintrahhtransf`week'==0;
			replace intrahhcash_hw_amt_`week' = intrahhcash_hw_amt_`week' + `week'w_fv3 if `week'w_fv3>=0 & `week'w_fv3!=.;
			foreach i of numlist 1/7 {;
				replace intrahhcash_hw_amt_`week' = intrahhcash_hw_amt_`week' + `week'w_fv3_`i' if `week'w_fv3_`i'>=0 & `week'w_fv3_`i'!=.;
				};
				label var intrahhcash_hw_amt_`week' "Amount (in FDJ) of money husband gave money to benef woman `week'";

	* Money from Husband to other HH members (as declared by woman);
		gen intrahhcash_hoth_`week' = 0 if missintrahhtransf`week'==0;
			replace intrahhcash_hoth_`week' = 1 if `week'w_fw1==1; 
			label var intrahhcash_hoth_`week' "1 if husband gave money to other HH members `week'";
		
		gen intrahhcash_hoth_amt_`week' = 0 if missintrahhtransf`week'==0;
			replace intrahhcash_hoth_amt_`week' = intrahhcash_hoth_amt_`week' + `week'w_fw3 if `week'w_fw3>=0 & `week'w_fw3!=.;
			foreach i of numlist 1/7 {;
				replace intrahhcash_hoth_amt_`week' = intrahhcash_hoth_amt_`week' + `week'w_fw3_`i' if `week'w_fw3_`i'>=0 & `week'w_fw3_`i'!=.;
				};
				label var intrahhcash_hoth_amt_`week' "Amount (in FDJ) of money husband gave money to other HH members `week'";	
				
		};
	

	egen intrahhcash_wh_w123 = rowmean(intrahhcash_wh_w1 intrahhcash_wh_w2 intrahhcash_wh_w3);
		label var intrahhcash_wh_w123 "1 if woman gave money to husband (average week 1 to 3)";
	egen intrahhcash_wh_amt_w123 = rowmean(intrahhcash_wh_amt_w1 intrahhcash_wh_amt_w2 intrahhcash_wh_amt_w3);
		label var intrahhcash_wh_amt_w123 "Average amount (in FDJ) of money woman gave to husband week 1 to 3"; 	
				
	egen intrahhcash_woth_w123 = rowmean(intrahhcash_woth_w1 intrahhcash_woth_w2 intrahhcash_woth_w3);
		label var intrahhcash_woth_w123 "1 if woman gave money to other HH members (average week 1 to 3)";
	egen intrahhcash_woth_amt_w123 = rowmean(intrahhcash_woth_amt_w1 intrahhcash_woth_amt_w2 intrahhcash_woth_amt_w3);
		label var intrahhcash_woth_amt_w123 "Average amount (in FDJ) of money woman gave to other HH members week 1 to 3"; 	
	
	egen intrahhcash_hw_w123 = rowmean(intrahhcash_hw_w1 intrahhcash_hw_w2 intrahhcash_hw_w3);
		label var intrahhcash_hw_w123 "1 if husband gave money to benef woman (average week 1 to 3)";
	egen intrahhcash_hw_amt_w123 = rowmean(intrahhcash_hw_amt_w1 intrahhcash_hw_amt_w2 intrahhcash_hw_amt_w3);
		label var intrahhcash_hw_amt_w123 "Average amount (in FDJ) of money husband gave benef woman week 1 to 3"; 	
	
	egen intrahhcash_hoth_w123 = rowmean(intrahhcash_hoth_w1 intrahhcash_hoth_w2 intrahhcash_hoth_w3);
		label var intrahhcash_hoth_w123 "1 if husband gave money to other HH members (average week 1 to 3)";
	egen intrahhcash_hoth_amt_w123 = rowmean(intrahhcash_hoth_amt_w1 intrahhcash_hoth_amt_w2 intrahhcash_hoth_amt_w3);
		label var intrahhcash_hoth_amt_w123 "Average amount (in FDJ) of money husband gave to other HH members week 1 to 3";

**************************************************;
	* Savings & Debt;
	
	foreach week in w1 w2 w3 {;
		recode `week'w_fs4 `week'w_fs42 `week'w_fs48 `week'w_fs55 `week'w_fl1 (88=.) (77=.) (-88=.0) (-77=.);
		recode `week'w_fs44 `week'w_fs52 `week'w_fs56 (88=.) (-88=.);
			
	* Savings over the past 7 days;				
		* Woman;
		gen w_saved_past7d_`week' = 0 if `week'w_fs4!=.;
			replace w_saved_past7d_`week' = 1 if `week'w_fs4==1; 
			label var w_saved_past7d_`week' "1 if woman saved over the past 7 days `week'";
			
		gen w_saved_past7d_amt_`week' = 0 if `week'w_fs4!=.;
				replace w_saved_past7d_amt_`week' = `week'w_fs4_fdj if `week'w_fs4_fdj>=0 & `week'w_fs4_fdj!=.; 
				label var w_saved_past7d_amt_`week' "Amount in fdj woman saved over the past 7 days `week'";
		
		* Man;
			gen m_saved_past7d_`week' = 0 if `week'm_fs4!=.;
				replace m_saved_past7d_`week' = 1 if `week'm_fs4==1; 
				label var m_saved_past7d_`week' "1 if husband saved over the past 7 days `week'";	
			
			gen m_saved_past7d_amt_`week' = 0 if `week'm_fs4!=.;
				replace m_saved_past7d_amt_`week' = `week'm_fs4_fdj if `week'm_fs4_fdj>=0 & `week'm_fs4_fdj!=.; 
				label var m_saved_past7d_amt_`week' "Amount in fdj husband saved over the past 7 days `week'";	
		
		
	* Tontine;				
		gen hh_tontine_`week' = 0 if `week'w_fs42!=.;
			replace hh_tontine_`week' = 1 if `week'w_fs42==1; 
			label var hh_tontine_`week' "1 if a hh member participates in a tontine `week'";
					
		gen hh_tontine_weekly_`week' = 0 if hh_tontine_`week'!=.;
			replace hh_tontine_weekly_`week' = 1 if `week'w_fs44==1;
			replace hh_tontine_weekly_`week' = . if hh_tontine_`week'==1 & `week'w_fs44==.;
			label var hh_tontine_weekly_`week' "1 if weekly contributions to the tontine `week'";

		gen hh_tontine_monthly_`week' = 0 if hh_tontine_`week'!=.;
			replace hh_tontine_monthly_`week' = 1 if `week'w_fs44==2;
			replace hh_tontine_monthly_`week' = . if hh_tontine_`week'==1 & `week'w_fs44==.;
			label var hh_tontine_monthly_`week' "1 if monthly contributions to the tontine `week'";
			
		gen hh_tontine_lastcontr_days_`week' = 0 if hh_tontine_`week'!=.;
			replace hh_tontine_lastcontr_days_`week' = `week'w_interviewdatenum - `week'_date_deposit_tontine_num if `week'w_interviewdatenum > 0 & `week'w_interviewdatenum!=. & `week'_date_deposit_tontine_num >0 & `week'_date_deposit_tontine_num!=.;
			replace hh_tontine_lastcontr_days_`week' = . if hh_tontine_`week'==1 & (`week'w_interviewdatenum == . | `week'_date_deposit_tontine_num == . | (`week'w_interviewdatenum < `week'_date_deposit_tontine_num));  
			label var hh_tontine_lastcontr_days_`week' "Days since last contribution to the tontine `week'";
						
		gen hh_tontine_lastcontr_amt_`week' = 0 if hh_tontine_`week'!=.;
			replace hh_tontine_lastcontr_amt_`week' = `week'w_fs46 if `week'w_fs46 > 0 & `week'w_fs46!=.;
			replace hh_tontine_lastcontr_amt_`week' = . if hh_tontine_`week'==1 & `week'w_fs46==.;
			label var hh_tontine_lastcontr_amt_`week' "Amount of last contribution in FDJ to the tontine `week'";	
	
	
	* Informal insurance;				
		gen hh_insurance_`week' = 0 if `week'w_fs48!=.;
			replace hh_insurance_`week' = 1 if `week'w_fs48==1; 
			label var hh_insurance_`week' "1 if a hh member participates in an informal insurance system `week'";
		
		gen hh_insurance_lastcontr_days_`week' = 0 if hh_insurance_`week'!=.;
			replace hh_insurance_lastcontr_days_`week' = `week'w_interviewdatenum - `week'_date_deposit_insurance_num if `week'w_interviewdatenum > 0 & `week'w_interviewdatenum!=. & `week'_date_deposit_insurance_num > 0 & `week'_date_deposit_insurance_num!=.;
			replace hh_insurance_lastcontr_days_`week' = . if hh_insurance_`week'==1 & (`week'w_interviewdatenum == . | `week'_date_deposit_insurance_num == . | (`week'w_interviewdatenum < `week'_date_deposit_insurance_num));  
			label var hh_insurance_lastcontr_days_`week' "Days since last contribution to informal insurance `week'";
		
		gen hh_insurance_lastcontr_amt_`week' = 0 if hh_insurance_`week'!=.;
			replace hh_insurance_lastcontr_amt_`week' = `week'w_fs51 if `week'w_fs51 > 0 & `week'w_fs51!=.;
			replace hh_insurance_lastcontr_amt_`week' = . if hh_insurance_`week'==1 & `week'w_fs51==.;
			label var hh_insurance_lastcontr_amt_`week' "Amount of last contribution in FDJ to informal insurance `week'";

			* no hh got money from insurance (w3_fs52-54);	
		
	* Has savings;				
		gen hh_savings_`week' = 0 if `week'w_fs55!=.;
			replace hh_savings_`week' = 1 if `week'w_fs55==1; 
			label var hh_savings_`week' "1 if a hh member has savings `week'";
					
		gen hh_savings_amt_`week' = 0 if hh_savings_`week'!=.;
			replace hh_savings_amt_`week' = `week'w_fs56 if `week'w_fs56 > 0 & `week'w_fs56!=.;
			replace hh_savings_amt_`week' = . if hh_savings_`week'==1 & `week'w_fs56==.;
			label var hh_savings_amt_`week' "Amount of hh savings in FDJ `week'";	
	
	* Has savings or tontine or informal insurance;
		gen hh_anysavings_insurance_`week' = 0 if w_saved_past7d_`week'!=. | m_saved_past7d_`week'!=. | hh_tontine_`week'!=. | hh_insurance_`week'!=. | hh_savings_`week'!=.;
			replace hh_anysavings_insurance_`week' = 1 if w_saved_past7d_`week'==1 | m_saved_past7d_`week'==1 | hh_tontine_`week'==1 | hh_insurance_`week'==1 | hh_savings_`week'==1;  
			label var hh_anysavings_insurance_`week' "1 if hh has any savings or insurance `week'";
				
	* Grocery store loans;				
		gen loan_grocery_`week' = 0 if `week'w_fl1!=.;
			replace loan_grocery_`week' = 1 if `week'w_fl1==1; 
			label var loan_grocery_`week' "1 if the hh buys at the grocery store at credit `week'";
		
		gen loan_grocery_amt_`week' = 0 if loan_grocery_`week' == 0;
			replace loan_grocery_amt_`week' = `week'w_fl2 if `week'w_fl2>0 & `week'w_fl2!=.; 
			label var loan_grocery_amt_`week' "Amount owed to the grocery store `week'";
			
	* Loans;				
		gen loan_`week' = 0 if `week'w_fl3!=.;
			replace loan_`week' = 1 if `week'w_fl3==1; 
			label var loan_`week' "1 if a hh has an outstanding loan `week'";
		
		gen loan_amt_`week' = 0 if loan_`week' == 0;
			replace loan_amt_`week' = `week'w_fl4 if `week'w_fl4>0 & `week'w_fl4!=.; 
			label var loan_amt_`week' "Amount of outstanding loans `week'";
			
	};	
	
	
		foreach var in w_saved_past7d w_saved_past7d_amt m_saved_past7d m_saved_past7d_amt
					hh_tontine hh_tontine_weekly hh_tontine_monthly hh_tontine_lastcontr_days hh_tontine_lastcontr_amt
					hh_insurance hh_insurance_lastcontr_days hh_insurance_lastcontr_amt 
					hh_savings hh_savings_amt hh_anysavings_insurance
					loan_grocery loan_grocery_amt loan loan_amt {;
										
			egen `var'_w123 = rowmean(`var'_w1 `var'_w2 `var'_w3);
			};
		
		
			label var w_saved_past7d_w123 "1 if woman saved in last 7 days (average week 1 to 3)";
			label var w_saved_past7d_amt_w123 "Amount in fdj woman saved in last 7 days (average week 1 to 3)";
			label var m_saved_past7d_w123 "1 if husband saved in last 7 days (average week 1 to 3)";		
			label var m_saved_past7d_amt_w123 "Amount in fdj husband saved in last 7 days (average week 1 to 3)";
			
			label var hh_tontine_w123 "1 if a hh member participates in a tontine (average week 1 to 3)";
			label var hh_tontine_weekly_w123 "1 if weekly contributions to the tontine (average week 1 to 3)";
			label var hh_tontine_monthly_w123 "1 if monthly contributions to the tontine (average week 1 to 3)";
			label var hh_tontine_lastcontr_days_w123 "Days since last contribution to the tontine (average week 1 to 3)";
			label var hh_tontine_lastcontr_amt_w123 "Amount of last contribution in FDJ to the tontine (average week 1 to 3)";	
					
			label var hh_insurance_w123 "1 if a hh member participates in an informal insurance system (average week 1 to 3)";
			label var hh_insurance_lastcontr_days_w123 "Days since last contribution to informal insurance (average week 1 to 3)";
			label var hh_insurance_lastcontr_amt_w123 "Amount of last contribution in FDJ to informal insurance (average week 1 to 3)";
						
			label var hh_savings_w123 "1 if a hh member has savings (average week 1 to 3)";
			label var hh_savings_amt_w123 "Amount of hh savings in FDJ (average week 1 to 3)";	
			
			label var hh_anysavings_insurance_w123 "1 if hh has any savings or insurance (average week 1 to 3)";
						
			label var loan_grocery_w123 "1 if the hh buys at the grocery store at credit (average week 1 to 3)";
			label var loan_grocery_amt_w123 "Amount owed to the grocery store (average week 1 to 3)";
			label var loan_w123 "1 if a hh has an outstanding loan (average week 1 to 3)";
			label var loan_amt_w123 "Amount of outstanding loans (average week 1 to 3)";
			
			drop w_saved_past7d_w1-loan_amt_w3;
	
	* Loan reimbursements (from expenditure section of husband questionnaire);
		recode m_he27 m_he28 (-77=.) (-88=.) (-99=.); 
		
		* Loans other than housing;
		gen loan_reimb = 0 if mmiss_expenses==0;
			replace loan_reimb = 1 if m_he28>0 & m_he28> 0!=.;
			replace loan_reimb = . if m_he28==.;
			lab var loan_reimb "1 if hh reimbursed a loan in last 30 days";	
			
		gen loan_reimb_amt = 0 if loan_reimb != . ;
			replace loan_reimb_amt = m_he28 if m_he28>0 & m_he28!=.;  
			lab var loan_reimb_amt "Amount of loan reimbursements in last 30 days (in FDJ)";
		
		* Mortgages and housing loans;
	
		gen loan_reimb_whousing = 0 if mmiss_expenses==0;
			replace loan_reimb_whousing = 1 if m_he27> 0 & m_he27> 0!=.;
			replace loan_reimb_whousing = . if m_he27==. ;
			lab var loan_reimb_whousing "1 if hh reimbursed a housing loan in last 30 days";	
			
		gen loan_reimb_amt_whousing = 0 if loan_reimb_whousing != . ;
			replace loan_reimb_amt_whousing = m_he27 if m_he27!=. & m_he27 >= 0;  
			lab var loan_reimb_amt_whousing "Amount of housing loan reimbursements in last 30 days (in FDJ)";		
			
			sum loan_reimb*, detail;
			** no outliers in loan_reimb_amount, but here are some outliers in loan_reimb_amt_whousing in the treatment group;
		
*******************************************;
* School participation (Woman's HH survey questionnaire);
	gen nkids615 = 0 if miss_roster==0;
	gen share_inschoolkids615 = 0 if miss_roster==0;
	
	gen nkids611 = 0 if miss_roster==0;
	gen share_inschoolkids611 = 0 if miss_roster==0;
	
	gen nkids1215 = 0 if miss_roster==0;
	gen share_inschoolkids1215 = 0 if miss_roster==0;
		
	gen ngirls615 = 0 if miss_roster==0;
	gen share_inschoolgirls615 = 0 if miss_roster==0;
	
	gen nboys615 = 0 if miss_roster==0;
	gen share_inschoolboys615 = 0 if miss_roster==0;
	
		forval i=1/22 {;
			replace nkids615 = nkids615 + 1 if inrange(w_h5_`i', 6, 15) & w_h7_`i'==1; 
			replace share_inschoolkids615 = share_inschoolkids615 + 1 if inrange(w_h5_`i', 6, 15) & w_h25_`i'==1 & w_h7_`i'==1; 
			replace nkids611 = nkids611 + 1 if inrange(w_h5_`i', 6, 11) & w_h7_`i'==1; 
			replace share_inschoolkids611 = share_inschoolkids611 + 1 if inrange(w_h5_`i', 6, 11) & w_h25_`i'==1 & w_h7_`i'==1; 
			replace nkids1215 = nkids1215 + 1 if inrange(w_h5_`i', 12, 15) & w_h7_`i'==1; 
			replace share_inschoolkids1215 = share_inschoolkids1215 + 1 if inrange(w_h5_`i', 12, 15) & w_h25_`i'==1 & w_h7_`i'==1; 
			replace ngirls615 = ngirls615 + 1 if inrange(w_h5_`i', 6, 15) & w_h7_`i'==1 & w_h4_`i'==2 ; 
			replace share_inschoolgirls615 = share_inschoolgirls615 + 1 if inrange(w_h5_`i', 6, 15) & w_h25_`i'==1 & w_h7_`i'==1 & w_h4_`i'==2 ; 
			replace nboys615 = nboys615 + 1 if inrange(w_h5_`i', 6, 15) & w_h7_`i'==1 & w_h4_`i'==1 ; 
			replace share_inschoolboys615 = share_inschoolboys615 + 1 if inrange(w_h5_`i', 6, 15) & w_h25_`i'==1 & w_h7_`i'==1 & w_h4_`i'==1 ;	
			};

		foreach group in kids615 kids611 kids1215 girls615 boys615 {;
			replace share_inschool`group' = share_inschool`group' / n`group' ;
			
			label var share_inschool`group' "share of `group' in school";
			label var n`group' "number of `group'";  
			};
******************************************;
* Time use;
	 * TO BE DECIDED: how do we compute sec activ? Not included by the time being;
	 * At endline we have this section only once at the main HH Questionnaire (not week 1 and 3 as at follow-up);

	*** Beneficiary woman;
	
	foreach week in w {;
		* we replace by missing when secondary acivity = main act and negative missing codes;
			forval i=0/19 {;
				replace `week'_ls_`i'=. if `week'_ls_`i'==`week'_lp_`i';
				recode `week'_lp_`i' `week'_ls_`i'  `week'_le1_`i'  `week'_le2_`i' (-88=.) (-77=.);
				};
				
		* We identify missing time use sections;
			egen misstime`week' = rowmiss(`week'_lp_0-`week'_la2_19);
			tab misstime`week';
			replace misstime`week' = 0 if misstime`week'<80;
			replace misstime`week' = 1 if misstime`week'>=80;
			label var misstime`week' "1 if non response to woman time use module"; 
	
		* We compute time per category;
		foreach group in own study chores care work social other {;
			gen timewo_`group'_`week'= 0 if misstime`week'==0;
			};

		foreach group in benef adultwo girl neighbor manadult other {;
			gen timeychbs_`group'_`week'= 0 if misstime`week'==0;
			};
			
		gen `week'_newych = (`week'_l0e==1); 	
		
		foreach group in benef adultwo girl neighbor manadult other {;
			gen timeychto_`group'_`week'= 0 if misstime`week'==0 & `week'_newych==1;
			};
			
			
			forval i=0/19 {;
			
				if `i'==0 {;
					local j 300;
					} ; 
				if `i'>0 {;
					local j 60;
					} ; 
					
				replace timewo_own_`week' 	= timewo_own_`week' + `j' if  misstime`week'==0 & inrange(`week'_lp_`i',11,13);
				replace timewo_study_`week' = timewo_study_`week' + `j' if  misstime`week'==0 & inrange(`week'_lp_`i',21,23);
				replace timewo_chores_`week' = timewo_chores_`week' + `j' if  misstime`week'==0 & inrange(`week'_lp_`i',31,39);
				replace timewo_care_`week' 	= timewo_care_`week' + `j' if  misstime`week'==0 & inrange(`week'_lp_`i',51,52);
				replace timewo_work_`week' 	= timewo_work_`week' + `j' if  misstime`week'==0 & inrange(`week'_lp_`i',60,75);
				replace timewo_social_`week' = timewo_social_`week' + `j' if  misstime`week'==0 & inrange(`week'_lp_`i',81,89);
				replace timewo_other_`week' = timewo_other_`week' + `j' if  misstime`week'==0 & inrange(`week'_lp_`i', 91,93);
				
				/*;
				0 Elle-même
				1 Mari
				2 Grand-mère /Belle mère
				3 Femme adulte membre du ménage
				4 Homme adulte membre du ménage
				5 Fille (<16 ans) membre du ménage
				6 Garçon (< 16 ans) membre du ménage
				7 Voisine
				8 Autre parent non membre du ménage
				9 Personne qui s’occupe de lui garder en échange d’une rémunération
				10 Garderie / école gratuite
				11 Garderie / école payée
				12 Autre
				-99 La femme n'a pas d'enfant
				*/;
		replace timeychbs_benef_`week' = timeychbs_benef_`week' + `j' if misstime`week'==0 & `week'_le1_`i'==0;
		replace timeychbs_adultwo_`week' = timeychbs_adultwo_`week' + `j' if misstime`week'==0 & (`week'_le1_`i'==2 | `week'_le1_`i'==3);
		replace timeychbs_girl_`week' = timeychbs_girl_`week' + `j' if misstime`week'==0 & `week'_le1_`i'==5;
		replace timeychbs_neighbor_`week' = timeychbs_neighbor_`week' + `j' if misstime`week'==0 & `week'_le1_`i'==7;
		replace timeychbs_manadult_`week' = timeychbs_manadult_`week' + `j' if misstime`week'==0 & (`week'_le1_`i'==1|`week'_le1_`i'==4|`week'_le1_`i'==6);
		replace timeychbs_other_`week' = timeychbs_other_`week' + `j' if misstime`week'==0 & inrange(`week'_le1_`i', 8, 12);
			
		replace timeychto_benef_`week' = timeychto_benef_`week' + `j' if misstime`week'==0 & `week'_le2_`i'==0;
		replace timeychto_adultwo_`week' = timeychto_adultwo_`week' + `j' if misstime`week'==0 & (`week'_le2_`i'==2 | `week'_le2_`i'==3);
		replace timeychto_girl_`week' = timeychto_girl_`week' + `j' if misstime`week'==0 & `week'_le2_`i'==5;
		replace timeychto_neighbor_`week' = timeychto_neighbor_`week' + `j' if misstime`week'==0 & `week'_le2_`i'==7;
		replace timeychto_manadult_`week' = timeychto_manadult_`week' + `j' if misstime`week'==0 & (`week'_le2_`i'==1|`week'_le2_`i'==4|`week'_le2_`i'==6);
		replace timeychto_other_`week' = timeychto_other_`week' + `j' if misstime`week'==0 & inrange(`week'_le2_`i', 8, 12);
				};
					
				* We turn to 0 youngest child (baseline) older than 5 years old;	
				foreach group in benef adultwo girl neighbor manadult other {;
					replace timeychbs_`group'_`week'= 0 if (`week'_c2c>=5 | `week'_c2c<0) & misstime`week'==0;
					};
				* We complete caregiver for youngest child today;
				foreach group in benef adultwo girl neighbor manadult other {;
					replace timeychto_`group'_`week'= timeychbs_`group'_`week' if timeychbs_`group'_`week'!=. & timeychto_`group'_`week'==.;
					};
				sum timeychbs_benef_`week'-timeychto_other_`week';
				foreach group in own study chores care work social other {;
					label var timewo_`group'_`week' "Time spent by beneficiary woman in `group' in previous day";
					};
				foreach group in benef adultwo girl neighbor manadult other {;
					label var timeychbs_`group'_`week' "Time of youngest child (baseline) care done by `group' in previous day";
					label var timeychto_`group'_`week' "Time of youngest child (today) care done by `group' in previous day";
					};
					drop `week'_newych;
			};
		*** Husband;
		foreach week in m {;
		* We replace by missing when secondary acivity = main act;
			forval i=0/19 {;
				replace `week'_ls_`i'=. if `week'_ls_`i'==`week'_lp_`i';
				};
				recode `week'_lp_0-`week'_ls_19 (-88=.) (-77=.);	
				
		* We identify missing time use sections;
			egen misstime`week'm = rowmiss(`week'_lp_0-`week'_ls_19);
			tab misstime`week'm;
			replace misstime`week'm = 0 if misstime`week'm<=20;
			replace misstime`week'm = 1 if misstime`week'm>20;
			label var misstime`week'm "1 if non response to man time use module"; 
			
		* We compute time per category;
		foreach group in own study chores care work social other {;
			gen timeman_`group'_`week'= 0 if misstime`week'm==0;
			};

			forval i=0/19 {;
			
				if `i'==0 {;
					local j 300;
					} ; 
				if `i'>0 {;
					local j 60;
					} ; 
			replace timeman_own_`week' = timeman_own_`week' + `j' if  misstime`week'm==0 & inrange(`week'_lp_`i',11,13);
			replace timeman_study_`week' = timeman_study_`week' + `j' if  misstime`week'm==0 & inrange(`week'_lp_`i',21,23);
			replace timeman_chores_`week' = timeman_chores_`week' + `j' if  misstime`week'm==0 & inrange(`week'_lp_`i',31,39);
			replace timeman_care_`week' = timeman_care_`week' + `j' if  misstime`week'm==0 & inrange(`week'_lp_`i',51,52);
			replace timeman_work_`week' = timeman_work_`week' + `j' if  misstime`week'm==0 & inrange(`week'_lp_`i',60,75);
			replace timeman_social_`week' = timeman_social_`week' + `j' if  misstime`week'm==0 & inrange(`week'_lp_`i',81,89);
			replace timeman_other_`week' = timeman_other_`week' + `j' if  misstime`week'm==0 & inrange(`week'_lp_`i', 91,93);
			};
						
			foreach group in own study chores care work social other {;
				label var timeman_`group'_`week' "Time spent by husband in `group' in previous day";
				};
		};
**********************************;
* We identify women that participated of the nutrition sessions;
	* If not participating currently, date of last time they did;
		gen date_lastfoyer = substr(w_o17, 1, 10);
			replace date_lastfoyer = subinstr(date_lastfoyer,".","",.);
			replace date_lastfoyer = subinstr(date_lastfoyer," 1","",.);			
						
			codebook date_lastfoyer;
			label var date_lastfoyer "Interview date";
			
			gen date_lastfoyer_num = date(date_lastfoyer,"MDY", 2020);
				codebook date_lastfoyer_num ;
				label var date_lastfoyer_num  "Date of last foyer (numeric)";
				
			gen months_lfoyer_int = (w_interviewdatenum - date_lastfoyer_num) / 30.42 ;
				label var months_lfoyer_int "Months between participation to last foyer and interview";
			
	* Participated during last pregnancy;
		* we assume they did if they are currently participating to a foyer;
		* if not, we look at the pregnancy period and at the date they last participated; 
		gen pfoyer_lastpregnancy = 0;
			replace pfoyer_lastpregnancy = 1 if w_o16==1;
			replace pfoyer_lastpregnancy = 1 if w_o16==2 & months_lfoyer_int<(end_agemonths_ych_end+9) & months_lfoyer_int>end_agemonths_ych_end;
			replace pfoyer_lastpregnancy = 1 if w_o16==2 & months_lfoyer_int<(end_agemonths_ych2_end+9) & months_lfoyer_int>end_agemonths_ych2_end;
			
			label var pfoyer_lastpregnancy "1 if participated to a nutrition session during last pregnancy";
			
	* Participated during first 6 months of youngest child (6-59 at the time of the survey);
		gen pfoyer_6months = 0;
			replace pfoyer_6months = 1 if end_agemonths_ych_end>=6 & end_agemonths_ych_end<=59 & w_o16==1;
			replace pfoyer_6months = 1 if end_agemonths_ych2_end>=6 & end_agemonths_ych2_end<=59 & w_o16==1;
			replace pfoyer_6months = 1 if end_agemonths_ych_end>=6 & end_agemonths_ych_end<=59 & w_o16==2 & (months_lfoyer_int-end_agemonths_ych_end>0);
			replace pfoyer_6months = 1 if end_agemonths_ych2_end>=6 & end_agemonths_ych2_end<=59 & w_o16==2 & (months_lfoyer_int-end_agemonths_ych2_end>0);
			
			label var pfoyer_6months "1 if participated to a nutrition session during first 6 months of youngest child";
	
	* Participated during 0-23 months of youngest child (6-23 months at the time of the survey);
		gen pfoyer_023 = 0;
			replace pfoyer_023 = 1 if end_agemonths_ych_end>=6 & end_agemonths_ych_end<=23 & w_o16==1;
			replace pfoyer_023 = 1 if end_agemonths_ych2_end>=6 & end_agemonths_ych2_end<=23 & w_o16==1;
			replace pfoyer_023 = 1 if end_agemonths_ych_end>=6 & end_agemonths_ych_end<=23 & w_o16==2 & (months_lfoyer_int-end_agemonths_ych_end>0);
			replace pfoyer_023 = 1 if end_agemonths_ych2_end>=6 & end_agemonths_ych2_end<=23 & w_o16==2 & (months_lfoyer_int-end_agemonths_ych2_end>0);
			
			label var pfoyer_023 "1 if participated to a nutrition session (women with children 6-23 months old)";		
**********************************;
* Prenatal visits: for last pregnancy - INDIC STEF;
		
gen pnc4=0 if miss_indic==0 & w_c6_r!=. & w_c5==2;
	replace pnc4=1 if w_c6_nbre_r>=4 & w_c6_nbre_r!=. & w_c5==2;
	replace pnc4=. if (w_c6_nbre_r==. | w_c6_nbre_r==-88) & w_c6_r==1 & w_c5==2;
	
	label var pnc4 "Indicator for at least 4 prenatal consultations during last pregnancy";

gen pnc3=0 if miss_indic==0 & w_c6_r!=. & w_c5==2;
	replace pnc3=1 if w_c6_nbre_r>=3 & w_c6_nbre_r!=. & w_c5==2;
	replace pnc3=. if (w_c6_nbre_r==. | w_c6_nbre_r==-88) & w_c6_r==1 & w_c5==2;
	
	label var pnc3 "Indicator for at least 3 prenatal consultations during last pregnancy";

gen pnc3_cond = pnc3;
	replace pnc3_cond=. if pfoyer_lastpregnancy==0;
	label var pnc3_cond "Indicator for at least 3 prenatal consultations during last pregnancy, cond on part to nutrition sessions";
*********************************;
* Continued breastfeeding (children 12 to 24 months old);
 
gen breastfeed_continued = 0 if  w_c1==1  & ((end_agemonths_ych_end>=12 & end_agemonths_ych_end<24));
	replace breastfeed_continued = 1 if w_c3==1 & (end_agemonths_ych_end>=12 & end_agemonths_ych_end<24); 
	replace breastfeed_continued = 0 if w_c3_e2==2  & (end_agemonths_ych2_end>=12 & end_agemonths_ych2_end<24) & breastfeed_continued ==.;
	replace breastfeed_continued = 1 if w_c3_e2==1 & (end_agemonths_ych2_end>=12 & end_agemonths_ych2_end<24) & breastfeed_continued ==.; 
	
	label var breastfeed_continued "kids 12-23 months who still receive breast milk";
	
* Exclusive breastfeeding children currently 0 to 6 months old;
gen breastfeed_exclusive_06=0 if ((end_agemonths_ych_end>=0 & end_agemonths_ych_end<6) | (end_agemonths_ych2_end>=0 & end_agemonths_ych2_end<6)) & (w_c3!=. | w_c3_e2!=.);
		replace breastfeed_exclusive_06=1 if w_c30a==0 & w_c30b==0 & w_c30c==0 & w_c30d==0 & w_c30e==0 & (end_agemonths_ych_end>=0 & end_agemonths_ych_end<6) ;
		replace breastfeed_exclusive_06=1 if w_c30a_e2==0 & w_c30b_e2==0 & w_c30c_e2==0 & w_c30d_e2==0 & w_c30e_e2==0 & (end_agemonths_ych2_end>=0 & end_agemonths_ych2_end<6) ;
		lab var breastfeed_exclusive_06 "Child exclusively breastfed in the past 24 hrs (children 0-6 months old)";
* Exclusive breastfeeding (def INDIC STEF);
gen breastfeed_exclusive_659 = 0 if ((end_agemonths_ych_end>=6 & end_agemonths_ych_end<=59) | (end_agemonths_ych2_end>=6 & end_agemonths_ych2_end<=59)) & (w_c20a!=. | w_c20a_e2!=.);
	replace breastfeed_exclusive_659 = 1 if end_agemonths_ych_end>=6 & end_agemonths_ych_end<=59 & (w_c20a==2 | (w_c20a==1 & w_c20b >=6 & w_c20b!=.)) & w_c21_0==1 & w_c21_1==. & w_c21_2==. & w_c21_3==. & w_c21_4==.;  
	replace breastfeed_exclusive_659 = 1 if end_agemonths_ych2_end>=6 & end_agemonths_ych2_end<=59 & (w_c20a_e2==2 | (w_c20a_e2==1 & w_c20b_e2 >=6 & w_c20b_e2!=.)) & w_c21_e2_0==1 & w_c21_e2_1==. & w_c21_e2_2==. & w_c21_e2_3==. & w_c21_e2_4==.;
	
	label var breastfeed_exclusive_659 "Share of kids 6–59 months who were fed exclusively with breast milk during the first 6 months";

	gen breastfeed_exclusive_659_cond = breastfeed_exclusive_659;
		replace breastfeed_exclusive_659_cond = . if pfoyer_6months==0;  
		label var breastfeed_exclusive_659_cond "Share of kids 6–59 months who were fed exclusively with breast milk during the first 6 months (cond nutriton sessions)";
#delimit cr
**********************************************
* YOUNGEST CHILD AT BASELINE (we follow here the group of youngest child identified at baseline)
	recode w_c7e* (-99=.) (-88=.) (-77=.)

	egen miss_childfood = rowmiss(w_c7e_*)
		tab miss_childfood
		replace miss_childfood = 0 if miss_childfood<10 
		recode miss_childfood (10=1)
		tab miss_childfood
	
	* We define 7 food groups
	gen graintubers_24hch = ((w_c7e_1>0 & w_c7e_1!=.) | (w_c7e_2>0 & w_c7e_2!=.))
	gen va_fruitveg_24hch = ((w_c7e_8>0 & w_c7e_8!=.) | (w_c7e_9>0 & w_c7e_9!=.))
	gen othfruitveg_24hch = ((w_c7e_10>0 &w_c7e_10!=.)) 
	gen meat_24hch = ((w_c7e_5>0 & w_c7e_5!=.) | (w_c7e_6>0 & w_c7e_6!=.))
	gen eggs_24hch = (w_c7e_7>0 & w_c7e_7!=.)
	gen legumesnts_24hch = (w_c7e_3>0 & w_c7e_3!=.)
	gen milkprod_24hch = (w_c7e_4>0 & w_c7e_4!=.)
			
	* Children 6-59;
	egen child_divers659 = rowtotal(graintubers_24hch-milkprod_24h) if end_agemonths_ych_end>=6 & end_agemonths_ych_end<=59 & miss_childfood==0
	gen ichild_divers659 = 0 if child_divers659!=.
		replace ichild_divers659 = 1 if inrange(child_divers659,4,7) | (inrange(child_divers659,3,7) & w_c3==1) 
	gen child_animal659 = (meat_24hch==1 | eggs_24hch==1 | milkprod_24hch==1) if end_agemonths_ych_end>=6 & end_agemonths_ych_end<=59 & miss_childfood==0
	gen child_vitafood659 = (va_fruitveg_24hch==1 | (w_c7e_2>0 & w_c7e_2!=.)) if end_agemonths_ych_end>=6 & end_agemonths_ych_end<=59 & miss_childfood==0

	* Children 6-23;	
	egen child_divers623 = rowtotal(graintubers_24hch-milkprod_24h) if end_agemonths_ych_end>=6 & end_agemonths_ych_end<24 & miss_childfood==0
	gen ichild_divers623 = 0 if child_divers623!=.
		replace ichild_divers623 = 1 if inrange(child_divers623,4,7) | ( (inrange(child_divers623,3,7)) & w_c3==1)
	gen child_animal623 = (meat_24hch==1 | eggs_24hch==1 | milkprod_24hch==1) if end_agemonths_ych_end>=6 & end_agemonths_ych_end<24 & miss_childfood==0
	gen child_vitafood623 = (va_fruitveg_24hch==1 | (w_c7e_2>0 & w_c7e_2!=.)) if end_agemonths_ych_end>=6 & end_agemonths_ych_end<24 & miss_childfood==0
	
	* Children 24-59;
	egen child_divers2459 = rowtotal(graintubers_24hch-milkprod_24h) if end_agemonths_ych_end>=24 & end_agemonths_ych_end<=59 & miss_childfood==0
	gen ichild_divers2459 = 0 if child_divers2459!=.
		replace ichild_divers2459 = 1 if inrange(child_divers2459,4,7) | (inrange(child_divers2459,3,7) & w_c3==1) 
	gen child_animal2459 = (meat_24hch==1 | eggs_24hch==1 | milkprod_24hch==1) if end_agemonths_ych_end>=24 & end_agemonths_ych_end<=59 & miss_childfood==0
	gen child_vitafood2459 = (va_fruitveg_24hch==1 | (w_c7e_2>0 & w_c7e_2!=.)) if end_agemonths_ych_end>=24 & end_agemonths_ych_end<=59 & miss_childfood==0

	
	sum child_divers659-child_vitafood2459 
		
	label var child_divers659 "Index of food diversity in last 24h: youngest child aged 6-59 months"
	label var ichild_divers659 "Indicator for youngest child aged 6-59 months has a diversified diet"
	label var child_animal659 "Indicator for youngest child aged 6-59 months ate food rich in proteins in last 24h"
	label var child_vitafood659 "Indicator for youngest child aged 6-59 months ate food rich in vitamins in last 24h"
	label var child_divers623 "Index of food diversity in last 24h: youngest child aged 6-23 months"
	label var ichild_divers623 "Indicator for youngest child aged 6-23 months has a diversified diet"
	label var child_animal623 "Indicator for youngest child aged 6-23 months ate food rich in proteins in last 24h"
	label var child_vitafood623 "Indicator for youngest child aged 6-23 months ate food rich in vitamins in last 24h"
	label var child_divers2459 "Index of food diversity in last 24h: youngest child aged 24-59 months"
	label var ichild_divers2459 "Indicator for youngest child aged 24-59 months has a diversified diet"
	label var child_animal2459 "Indicator for youngest child aged 24-59 months ate food rich in proteins in last 24h"
	label var child_vitafood2459 "Indicator for youngest child aged 24-59 months ate food rich in vitamins in last 24h"

	drop  graintubers_24hch- milkprod_24hch  

	
* YOUNGEST CHILD NEW and CURRENT
	* first we compute variables for the "new" youngest child (newborns by follow up or endline) and we then combine both to get a single variable for the current youngest child in the hh

	egen miss_childfood_ych2 = rowmiss(w_c7e2_*)
		tab miss_childfood_ych2
		replace miss_childfood_ych2 = 0 if miss_childfood_ych2<10 
		recode miss_childfood_ych2 (10=1)
		tab miss_childfood_ych2
	
	gen newych_food = (end_agemonths_ych2_end>=6 & end_agemonths_ych2_end<=59 & miss_childfood_ych2==0)
		
	* We define 7 food groups
	gen graintubers_24hch = ((w_c7e2_1>0 & w_c7e2_1!=.) | (w_c7e2_2>0 & w_c7e2_2!=.))
	gen va_fruitveg_24hch = ((w_c7e2_8>0 & w_c7e2_8!=.) | (w_c7e2_9>0 & w_c7e2_9!=.))
	gen othfruitveg_24hch = ((w_c7e2_10>0 &w_c7e2_10!=.)) 
	gen meat_24hch = ((w_c7e2_5>0 & w_c7e2_5!=.) | (w_c7e2_6>0 & w_c7e2_6!=.))
	gen eggs_24hch = (w_c7e2_7>0 & w_c7e2_7!=.)
	gen legumesnts_24hch = (w_c7e2_3>0 & w_c7e2_3!=.)
	gen milkprod_24hch = (w_c7e2_4>0 & w_c7e2_4!=.)
	* Children 6-59;	
	egen child_divers659_ych2 = rowtotal(graintubers_24hch-milkprod_24h) if end_agemonths_ych2_end>=6 & end_agemonths_ych2_end<=59 & miss_childfood_ych2==0
	gen ichild_divers659_ych2 = 0 if child_divers659_ych2!=.
		replace ichild_divers659_ych2 = 1 if inrange(child_divers659_ych2,4,7) | (inrange(child_divers659_ych2,3,7) & w_c3==1) 
	gen child_animal659_ych2 = (meat_24hch==1 | eggs_24hch==1 | milkprod_24hch==1) if end_agemonths_ych2_end>=6 & end_agemonths_ych2_end<=59 & miss_childfood_ych2==0
	gen child_vitafood659_ych2 = (va_fruitveg_24hch==1 | (w_c7e2_2>0 & w_c7e2_2!=.)) if end_agemonths_ych2_end>=6 & end_agemonths_ych2_end<=59 & miss_childfood_ych2==0
	* Children 6-23;
	egen child_divers623_ych2 = rowtotal(graintubers_24hch-milkprod_24h) if end_agemonths_ych2_end>=6 & end_agemonths_ych2_end<24 & miss_childfood_ych2==0
	gen ichild_divers623_ych2 = 0 if child_divers623_ych2!=.
		replace ichild_divers623_ych2 = 1 if inrange(child_divers623_ych2,4,7) | ( (inrange(child_divers623_ych2,3,7)) & w_c3==1)
	gen child_animal623_ych2 = (meat_24hch==1 | eggs_24hch==1 | milkprod_24hch==1) if end_agemonths_ych2_end>=6 & end_agemonths_ych2_end<24 & miss_childfood_ych2==0
	gen child_vitafood623_ych2 = (va_fruitveg_24hch==1 | (w_c7e2_2>0 & w_c7e2_2!=.)) if end_agemonths_ych2_end>=6 & end_agemonths_ych2_end<24 & miss_childfood_ych2==0
	* Children 24-59;
	egen child_divers2459_ych2 = rowtotal(graintubers_24hch-milkprod_24h) if end_agemonths_ych2_end>=24 & end_agemonths_ych2_end<=59 & miss_childfood_ych2==0
	gen ichild_divers2459_ych2 = 0 if child_divers2459_ych2!=.
		replace ichild_divers2459_ych2 = 1 if inrange(child_divers2459_ych2,4,7) | (inrange(child_divers2459_ych2,3,7) & w_c3==1) 
	gen child_animal2459_ych2 = (meat_24hch==1 | eggs_24hch==1 | milkprod_24hch==1) if end_agemonths_ych2_end>=24 & end_agemonths_ych2_end<=59 & miss_childfood_ych2==0
	gen child_vitafood2459_ych2 = (va_fruitveg_24hch==1 | (w_c7e2_2>0 & w_c7e2_2!=.)) if end_agemonths_ych2_end>=24 & end_agemonths_ych2_end<=59 & miss_childfood_ych2==0
	
	sum child_divers659_ych2-child_vitafood2459_ych2 
		
	label var child_divers659_ych2 "Index of food diversity in last 24h: new youngest child aged 6-59 months"
	label var ichild_divers659_ych2 "Indicator for new youngest child aged 6-59 months has a diversified diet"
	label var child_animal659_ych2 "Indicator for new youngest child aged 6-59 months ate food rich in proteins in last 24h"
	label var child_vitafood659_ych2 "Indicator for new youngest child aged 6-59 months ate food rich in vitamins in last 24h"

	label var child_divers623_ych2 "Index of food diversity in last 24h: new youngest child aged 6-23 months"
	label var ichild_divers623_ych2 "Indicator for new youngest child aged 6-23 months has a diversified diet"
	label var child_animal623_ych2 "Indicator for new youngest child aged 6-23 months ate food rich in proteins in last 24h"
	label var child_vitafood623_ych2 "Indicator for new youngest child aged 6-23 months ate food rich in vitamins in last 24h"
	
	label var child_divers2459_ych2 "Index of food diversity in last 24h: new youngest child aged 24-59 months"
	label var ichild_divers2459_ych2 "Indicator for new youngest child aged 24-59 months has a diversified diet"
	label var child_animal2459_ych2 "Indicator for new youngest child aged 24-59 months ate food rich in proteins in last 24h"
	label var child_vitafood2459_ych2 "Indicator for new youngest child aged 24-59 months ate food rich in vitamins in last 24h"
	drop  graintubers_24hch- milkprod_24hch  
	foreach var in child_divers659 ichild_divers659 child_animal659 child_vitafood659 child_divers623 ichild_divers623 child_animal623 child_vitafood623 child_divers2459 ichild_divers2459 child_animal2459 child_vitafood2459 { 
		gen `var'_ychcurrent = `var'_ych2
		replace `var'_ychcurrent = `var' if `var'!=. & newych_food==0
		}
	label var child_divers659_ychcurrent "Index of food diversity in last 24h: current youngest child aged 6-59 months"
	label var ichild_divers659_ychcurrent "Indicator for current youngest child aged 6-59 months has a diversified diet"
	label var child_animal659_ychcurrent "Indicator for current youngest child aged 6-59 months ate food rich in proteins in last 24h"
	label var child_vitafood659_ychcurrent "Indicator for current youngest child aged 6-59 months ate food rich in vitamins in last 24h"

	label var child_divers623_ychcurrent "Index of food diversity in last 24h: current youngest child aged 6-23 months"
	label var ichild_divers623_ychcurrent "Indicator for current youngest child aged 6-23 months has a diversified diet"
	label var child_animal623_ychcurrent "Indicator for current youngest child aged 6-23 months ate food rich in proteins in last 24h"
	label var child_vitafood623_ychcurrent "Indicator for current youngest child aged 6-23 months ate food rich in vitamins in last 24h"

	label var child_divers2459_ychcurrent "Index of food diversity in last 24h: current youngest child aged 24-59 months"
	label var ichild_divers2459_ychcurrent "Indicator for current youngest child aged 24-59 months has a diversified diet"
	label var child_animal2459_ychcurrent "Indicator for current youngest child aged 24-59 months ate food rich in proteins in last 24h"
	label var child_vitafood2459_ychcurrent "Indicator for current youngest child aged 24-59 months ate food rich in vitamins in last 24h"
	* We look at Food Diversity for the CURRENT youngest child by food category
	local i 1
	foreach group in grain tubers legumesnts milkprod meat giblets eggs vitamina vegetables othfruitveg {
			* we start by the new youngest child
		gen `group'_659 = 0 if end_agemonths_ych2_end>=6 & end_agemonths_ych2_end<=59 & miss_childfood_ych2==0
				replace `group'_659 = 1 if w_c7e2_`i'>0 & w_c7e2_`i'!=. & end_agemonths_ych2_end>=6 & end_agemonths_ych2_end<=59
				* we complete with the baseline youngest child if needed
				replace `group'_659 = 0 if end_agemonths_ych_end>=6 & end_agemonths_ych_end<=59 & miss_childfood==0 & newych_food==0
				replace `group'_659 = 1 if w_c7e_`i'>0 & w_c7e_`i'!=. & end_agemonths_ych_end>=6 & end_agemonths_ych_end<=59 & newych_food==0
			label var `group'_659 "Indicator for current youngest child aged 6-59 months ate `group' in last 24h"
		gen `group'_623 = 0 if end_agemonths_ych2_end>=6 & end_agemonths_ych2_end<=23 & miss_childfood_ych2==0
				replace `group'_623 = 1 if w_c7e2_`i'>0 & w_c7e2_`i'!=. & end_agemonths_ych2_end>=6 & end_agemonths_ych2_end<=23
				
				replace `group'_623 = 0 if end_agemonths_ych_end>=6 & end_agemonths_ych_end<=23 & miss_childfood==0 & newych_food==0
				replace `group'_623 = 1 if w_c7e_`i'>0 & w_c7e_`i'!=. & end_agemonths_ych_end>=6 & end_agemonths_ych_end<=23 & newych_food==0
				label var `group'_623 "Indicator for youngest child aged 6-23 months ate `group' in last 24h"
			local i = `i' +1
			} 
**********************************************
* Women
gen woman=0
replace woman=1 if (w_c3 == 1) | (w_c5 == 1)
tab woman	
label var woman "Indicator for pregnant or lactating woman in Section C"

gen pregnant=0
replace pregnant=1 if (w_c5 == 1)
tab pregnant	
label var pregnant "Indicator for pregnant woman in Section C"

recode w_c7f_* (-99=.) (-88=.) (-77=.) 
egen miss_wofood = rowmiss(w_c7f_*)
tab miss_wofood
	replace miss_wofood = 0 if miss_wofood<10 
	recode miss_wofood (10=1)
	tab miss_wofood
	
	* We define 7 food groups
	gen graintubers_24hw = ((w_c7f_1>0 & w_c7f_1!=.) | (w_c7f_2>0 & w_c7f_2!=.)) 
	gen va_fruitveg_24hw = ((w_c7f_8>0 & w_c7f_8!=.) | (w_c7f_9>0 & w_c7f_9!=.))
	gen othfruitveg_24hw = ((w_c7f_10>0 &w_c7f_10!=.)) 
	gen meat_24hw = ((w_c7f_5>0 & w_c7f_5!=.) | (w_c7f_6>0 & w_c7f_6!=.))
	gen eggs_24hw = (w_c7f_7>0 & w_c7f_7!=.)
	gen legumesnts_24hw = (w_c7f_3>0 & w_c7f_3!=.)
	gen milkprod_24hw = (w_c7f_4>0 & w_c7f_4!=.)
	
	egen woman_divers = rowtotal(graintubers_24hw - milkprod_24hw) if woman==1 & miss_wofood==0 
	gen iwoman_divers = 0 if woman_divers!=.
		replace iwoman_divers = 1 if inrange(woman_divers,4,7)

	gen woman_animal = (meat_24hw==1 | eggs_24hw==1 | milkprod_24hw==1) if woman==1 & miss_wofood==0
	gen woman_vitafood = (va_fruitveg_24hw==1 | (w_c7f_2>0 & w_c7f_2!=.)) if woman==1 & miss_wofood==0
	
	drop graintubers_24hw - milkprod_24hw
	sum woman_divers - woman_vitafood
	
	label var woman_divers "Index of food diversity in last 24h: pregnant or lactating woman"
	label var iwoman_divers "Indicator for pregnant or lactating woman has a diversified diet"
	label var woman_animal "Indicator for pregnant or lactating woman ate food rich in proteins in last 24h"
	label var woman_vitafood "Indicator for pregnant or lactating woman ate food rich in vitamins in last 24h"


****************************************
****************************************
* FOOD DIVERSITY: 4 out of 10 categories (Clara's do file definition)
*** Children

	* we define dummies for each food group
	forval x=1/10 {
		gen d`x'=(w_c7e_`x'>0 & w_c7e_`x'!=.)
		}

	egen child_divers659_10 = rowtotal(d1-d10) if miss_childfood==0 & end_agemonths_ych_end>=6 & end_agemonths_ych_end<=59
	gen ichild_divers659_10 = 0 if child_divers659_10!=.
		replace ichild_divers659_10 = 1 if (inrange(child_divers659_10,3,10) & w_c3==1) | inrange(child_divers659_10,4,10)
	
	
	egen child_divers623_10 = rowtotal(d1 - d10) if miss_childfood==0 & end_agemonths_ych_end>=6 & end_agemonths_ych_end<24
	gen ichild_divers623_10 = 0 if child_divers623_10!=.
		replace ichild_divers623_10 = 1 if (inrange(child_divers623_10, 3, 10) & w_c3==1) | inrange(child_divers623_10, 4, 10)

	label var child_divers659_10 "Index of food diversity in last 24h (10 food categories): youngest child aged 6-59 months"
	label var ichild_divers659_10 "Indicator for youngest child aged 6-59m has a diversified diet (4/10)"
	label var child_divers623_10 "Index of food diversity in last 24h (10 food categories): youngest child aged 6-23 months"
	label var ichild_divers623_10 "Indicator for youngest child aged 6-23m has a diversified diet (4/10)"
		
	drop d1-d10

*** Woman
	forval x=1/10 {
		gen dw`x'=(w_c7f_`x'>0 & w_c7f_`x'!=.)
		}

	egen woman_divers_10 = rowtotal(dw1-dw10) if woman==1 & miss_wofood==0 
	gen iwoman_divers_10 = 0 if woman_divers_10!=.
		replace iwoman_divers_10 = 1 if inrange(woman_divers_10,4,10)

	label var woman_divers_10 "Index of food diversity in last 24h (10 food categories): pregnant or lactating woman"
	label var iwoman_divers_10 "Indicator for pregnant or lactating woman has a diversified diet (4/10)"

	drop dw1-dw10

*** Conditional on foyer participation
	gen ichild_divers623_10_cond = ichild_divers623_10
		replace ichild_divers623_10_cond = . if pfoyer_023==0
		label var ichild_divers623_10_cond "Cond on foyer part: index of food diversity in last 24h (10 food categories): youngest child aged 6-23 months"
		
	gen iwoman_divers_10_cond = iwoman_divers_10
		replace iwoman_divers_10_cond =. if w_o16==2 
		label var iwoman_divers_10_cond "Cond on foyer part: indicator for pregnant or lactating woman has a diversified diet (4/10)"
		
****************************************	
* FOOD SECURITY - from baseline definition

/*
h2 au cours de 7 derniers jours, vous ou quelquun de votre mnage a du... compter su
h3 au cours de 7 derniers jours, vous ou quelquun de votre mnage a du... limiter la
h4 au cours de 7 derniers jours, vous ou quelquun de votre mnage a du... rduire le
h5 au cours de 7 derniers jours, vous ou quelquun de votre mnage a du... limiter la
h6 au cours de 7 derniers jours, vous ou quelquun de votre mnage a du... emprunter

compter sur des aliments moins appréciés et / ou moins chers?
limiter la taille des portions à l’heure des repas ?
réduire le nombre de repas consommés dans une journée?
limiter la consommation des adultes pour que les enfants en bas-âge aillent manger?
emprunter la nourriture, ou compter sur l'aide d'un ami ou d'un parent?

*/
for num 1/6: recode w_dX 2=0
egen miss_fs = rowmiss(w_d1 w_d2 w_d3 w_d4 w_d5 w_d6)
	replace miss_fs = 0 if miss_fs<6
	replace miss_fs = 1 if miss_fs==6
	

gen notenoughfood = (w_d1==1)
	label var notenoughfood "Indicator for being concerned about not having enough food in last 7 days"

gen fs_worsequality = (w_d2==1)
gen fs_smallerportions = (w_d3==1)
gen fs_fewermeals = (w_d4==1)
gen fs_lessfoodadults = (w_d5==1)
gen fs_borrowfood = (w_d6==1) 
egen foodinsecurity = rowtotal(fs_worsequality fs_smallerportions fs_fewermeals fs_lessfoodadults fs_borrowfood)
	label var foodinsecurity "Index of food insecurity in last 7 days"
foreach var in notenoughfood foodinsecurity {
	replace `var'=. if miss_fs==1
	}
	drop miss_fs fs_worsequality- fs_borrowfood
	// coping strategy index as per p 10 of 
// http://documents.wfp.org/stellent/groups/public/documents/ena/wfp253658.pdf
for num 2/6: recode w_dXj .=0 if w_dX==0 & w_dX!=.
gen foodCopingStrat = w_d2j + w_d3j + w_d4j + 3 * w_d5j + 2 * w_d6j
lab var foodCopingStrat "coping strategy index for food security as per WFP"
tab foodCopingStrat, m
	
# delimit ;
**********************************;
* Household decisions;
	* Individual outcomes;
		foreach i of numlist 1/10 {;
			gen w_gaveopinion_`i' = 0 if miss_decision==0;
				replace w_gaveopinion_`i' = 1 if w_i1_`i'==1;
			gen w_tookdecision_`i' = 0 if miss_decision==0;
				replace w_tookdecision_`i'= 1 if w_i2_`i'==2;
			gen w_partdecision_`i' = 0 if miss_decision==0;
				replace w_partdecision_`i'= 1 if (w_i2_`i'==2 | w_i2_`i'==3);
			gen w_partdecisionoth_`i' = 0 if miss_decision==0;
				replace w_partdecisionoth_`i'= 1 if (w_i2_`i'==3);	
			** ADD OUTCOME=1 IF WOMAN BOUGHT IT;		
			};
		
		* For index "Woman Takes decisions"; 
			foreach i of numlist 1/10 {;
				gen wtakesdecisions_`i' = 0 if miss_decision==0;
				replace wtakesdecisions_`i'= 2 if w_i2_`i'==2;
				replace wtakesdecisions_`i'= 1 if (w_i2_`i'==3);
				replace wtakesdecisions_`i'= 0 if (w_i2_`i'==1 | w_i2_`i'==6 | w_i2_`i'==7);
				};
		* Indexes of woman barganing power;
		* Gave her opinion;
		foreach i of numlist 1/10 {;
			sum w_gaveopinion_`i', detail; 
				local mean = r(mean); 
				local std_s = r(sd); 
				gen outcome`i' = (w_gaveopinion_`i'-`mean')/`std_s'; 
			}; 

		egen w_gaveopinion_index = rowtotal(outcome1-outcome10);
			replace w_gaveopinion_index = . if miss_decision==1;  
			label var w_gaveopinion_index "Index of woman bargaining power: gave opinion on HH decisions";
			drop outcome1-outcome10;
		* Took decisions alone;
		foreach i of numlist 1/10 {;
			sum w_tookdecision_`i', detail; 
				local mean = r(mean); 
				local std_s = r(sd); 
			gen outcome`i' = (w_tookdecision_`i'-`mean')/`std_s'; 
			}; 
		egen w_tookdecision_index = rowtotal(outcome1-outcome10);
			replace w_tookdecision_index = . if miss_decision==1;  
			label var w_tookdecision_index "Index of woman bargaining power: took decisions alone";
			drop outcome1-outcome10;
		* Participates in decisions;
		foreach i of numlist 1/10 {;
			sum w_partdecision_`i', detail; 
				local mean = r(mean); 
				local std_s = r(sd); 
			gen outcome`i' = (w_partdecision_`i'-`mean')/`std_s'; 
			}; 

		egen w_partdecision_index = rowtotal(outcome1-outcome10);
			replace w_partdecision_index = . if miss_decision==1;  
			label var w_partdecision_index "Index of woman bargaining power: participated in HH decisions";
			drop outcome1-outcome10;
		
		* Participates in decisions with others;
		foreach i of numlist 1/10 {;
			sum w_partdecisionoth_`i', detail; 
				local mean = r(mean); 
				local std_s = r(sd); 
			gen outcome`i' = (w_partdecisionoth_`i'-`mean')/`std_s'; 
			}; 

		egen w_partdecisionoth_index = rowtotal(outcome1-outcome10);
			replace w_partdecisionoth_index = . if miss_decision==1;  
			label var w_partdecisionoth_index "Index of woman bargaining power: took HH decisions jointly with other member ";
			drop outcome1-outcome10;
		
		foreach var in w_gaveopinion_index w_tookdecision_index w_partdecision_index w_partdecisionoth_index {;
			sum `var' if treatment==0, detail; 
				local mean = r(mean); 
				local std_s = r(sd); 
			replace `var' = (`var'-`mean')/`std_s'; 
			}; 
			
#delimit cr
// 	* Decision Index 3: factor analysis using polychoric correlation matrix;
//				 
//		polychoric wtakesdecisions_1 wtakesdecisions_2 wtakesdecisions_3 wtakesdecisions_4 wtakesdecisions_5 wtakesdecisions_6 wtakesdecisions_7 //wtakesdecisions_8 wtakesdecisions_9 wtakesdecisions_10;
//		display r(sum_w);
//		global N = r(sum_w);
//		matrix r = r(R);
//		factormat r, n($N) factors(1);
//				
//		foreach i of numlist 1/10 {;
//			sum wtakesdecisions_`i', detail; 
//				local mean = r(mean); 
//				local std_s = r(sd); 
//			replace wtakesdecisions_`i' = (wtakesdecisions_`i'-`mean')/`std_s'; 
//			}; 
//		* With 1 factor retained we do not need to rotate (the rotation allows to account for the correlationa cross factors);
//		predict f1; 
//		hist f1;
//		rename f1 index_womendecision_fa ;
//		label var index_womendecision_fa "Index of Woman's decision making - factor analysis";	
#delimit ;
**********************************;
* Personality and well-being;
	* For the next two indicators we follow Emanuela's coding from Madagascar;

	
	* Rosenberg self-esteem;
		foreach person in w m {;	
		
		* Standard coding;
				foreach i of numlist 1 2 4 6 7  {;
					gen selfesteem`i'_`person' = `person'_k1_`i';
						recode selfesteem`i'_`person' 1=10 2=20 3=30 4=40 -77=.;
						recode selfesteem`i'_`person' 10=3 20=2 30=1 40=0 ;
						label var selfesteem`i'_`person' "item `i' rosenberg self-esteem score `person'";
						};

		* Reverse coding;
				foreach i of numlist 3 5 8 9 10  {;
					gen selfesteem`i'_`person' = `person'_k1_`i';
						recode selfesteem`i'_`person' 1=10 2=20 3=30 4=40 -77=.;
						recode selfesteem`i'_`person' 10=0 20=1 30=2 40=3 ;
						label var selfesteem`i'_`person' "item `i' rosenberg self-esteem score `person'";
						};
		egen selfesteem_miss_`person' = rowmiss(selfesteem1_`person' - selfesteem10_`person');
		egen `person'_selfesteem = rowtotal(selfesteem1_`person' - selfesteem10_`person') if selfesteem_miss_`person'<= 1;
		alpha selfesteem1_`person' - selfesteem10_`person', asis;
				
		gen `person'_low_selfesteem = (`person'_selfesteem < 15) if `person'_selfesteem!=.;
		
		drop selfesteem_miss_`person' selfesteem1_`person' - selfesteem10_`person';
		};
	
		label var w_selfesteem "Indicator for self-esteem, beneficiary woman";
		label var w_low_selfesteem  "1 if beneficiary woman has low self-esteem";
		label var m_selfesteem "Indicator for self-esteem, husband";
		label var m_low_selfesteem  "1 if husband has low self-esteem";
	* Mental Health;
		foreach person in w m {;	
		* Standard coding;
				foreach i of numlist 1 2 {;
					gen mentalh`i'_`person' = `person'_sm`i';
						recode mentalh`i'_`person' 1=10 2=20 3=30 4=40 5=50 -77=. -88=.;
						recode mentalh`i'_`person' 10=4 20=3 30=2 40=1 50=0;
						label var mentalh`i'_`person' "item `i' mental health score `person'";
						};
		* Reverse coding;
				foreach i of numlist 3 4 5 {;
					gen mentalh`i'_`person' = `person'_sm`i';
						recode mentalh`i'_`person' 1=10 2=20 3=30 4=40 5=50 -77=. -88=.;
						recode mentalh`i'_`person' 10=0 20=1 30=2 40=3 50=4;
						label var mentalh`i'_`person' "item `i' mental health score `person'";
						};
	egen mentalhealth_miss_`person' = rowmiss(mentalh1_`person' - mentalh5_`person');
		egen `person'_mentalhealth = rowtotal(mentalh1_`person' - mentalh5_`person') if mentalhealth_miss_`person'<= 1;
		alpha mentalh1_`person' - mentalh5_`person', asis;
		
		drop mentalhealth_miss_`person' mentalh1_`person' - mentalh5_`person';
		};
		label var w_mentalhealth "Indicator of mental health, beneficiary woman";
		label var m_mentalhealth  "Indicator of mental health, husband";
	* K5 Depression;
	* FL: i've defined the following standard coding
			* we only have this section for women
			0,1	Jamais ou rarement 0
			2,3	Pendant peu de temps ou ocassionnellement 1
			4,5 Quelques fois ou la moitie du temps 2
			6,7, + La plupart du temps 3;
	
				
		foreach person in w {;	
	
		* Standard coding;
				foreach i of numlist 1 2 4 5 6 7 8 9 {;
					gen depression`i'_`person' = `person'_k5_`i';
						recode depression`i'_`person' 0=0 1=0 2=1 3=1 4=2 5=2 6=3 7=3 8=3 77=. -77=. -88=. -78=. -89=.;
						label var depression`i'_`person' "item `i' depression score `person'";
						};

		* Reverse coding;
				foreach i of numlist 3 10 {;
					gen depression`i'_`person' = `person'_k5_`i';
						recode depression`i'_`person' 0=30 1=30 2=20 3=20 4=10 5=10 6=0 7=0 8=0 77=. -77=. -88=. -78=. -89=.;
						recode depression`i'_`person' 30=3 20=2 10=1 0=0 ;
						label var depression`i'_`person' "item `i' depression score `person'";
						};
		egen depression_miss_`person' = rowmiss(depression1_`person' - depression10_`person');
		egen `person'_depression = rowtotal(depression1_`person' - depression10_`person') if depression_miss_`person'<= 1;
		alpha depression1_`person' - depression10_`person', asis;
		drop depression_miss_`person' depression1_`person' - depression10_`person';
		};
		label var w_depression "Indicator for depression, beneficiary woman";
***************************
* PMT ;
	* we merge with pmt database;
		merge 1:1 id8 using "$path\data_original\pmt.dta";
				assert _merge==3;
				drop _merge;
	* we classify the sample by EDAM's quintiles;
	gen quint_pmtedam = .;
		replace quint_pmtedam = 1 if pmt<57632;
		replace quint_pmtedam = 2 if pmt>=57632 & pmt<100239;
		replace quint_pmtedam = 3 if pmt>=100239 & pmt<164234;
		replace quint_pmtedam = 45 if pmt>=164234 & pmt<278562;
		replace quint_pmtedam = 45 if pmt>=278562 & pmt!=.;
		label var quint_pmtedam "PMT quintiles from EDAM survey - all sample";
	gen quint_pmtedam_urban = .;
		replace quint_pmtedam_urban = 1 if pmt<103003;
		replace quint_pmtedam_urban = 2 if pmt>=103003 & pmt<156755;
		replace quint_pmtedam_urban = 3 if pmt>=156755 & pmt<223106;
		replace quint_pmtedam_urban = 45 if pmt>=223106 & pmt<345841;
		replace quint_pmtedam_urban = 45 if pmt>=345841 & pmt!=.;
		label var quint_pmtedam_urban "PMT quintiles from EDAM survey - urban sample";
	* Above and below the median pmt;
		gen pmt_upper50 = 0 if pmt!=.;
			sum pmt, detail;
			replace pmt_upper50 = 1 if pmt > r(p50) & pmt!=.;
		label var pmt_upper50 "1 if household above the median pmt score";
	* Tertiles Above and below the median pmt;
		xtile pmt_tertiale = pmt, nq(3);
	* Quartiles and quintiles;
		xtile pmt_quart = pmt, nq(4);
		xtile pmt_quint = pmt, nq(5);
		
*********************************;
* Attrition, take-up & delegation (as declared by women);

	* Attrition: we use actual responses to and to labor supply section;
	
	gen w_attrhh = (w_missinterview==1); 
		label var w_attrhh "1 if woman did not answered hh survey at endline"; 
	
	gen m_attrhh = (m_missinterview==1);   
		label var m_attrhh "1 if husband did not answered hh survey at endline";
		
	gen attrition_hhsurvey = (w_attrhh==1 & m_attrhh==1);
		label var attrition_hhsurvey  "1 if woman and husband did not answered hh survey at endline";
		
	
	gen w_attrlabor = (w123w_mean_employed==.); 
		label var w_attrlabor "1 if woman did not answered labor diary at endline"; 
	
	gen m_attrlabor = (w123m_mean_employed==.);  
		label var m_attrlabor "1 if husband did not answered labor diary at endline";
		
	gen attrition_labor = (w_attrlabor==1 & m_attrlabor==1);
		label var attrition_labor  "1 if woman and husband did not answered labor diary at endline";
	
	gen w_surveyed_endline = (w_attrhh ==0 | w_attrlabor ==0);
		label var w_surveyed_endline "1 if woman answerered the hh or the labor surveys at endline";
		
	gen w_attrition_endline = (w_attrhh ==1 | w_attrlabor ==1);
		label var w_attrition_endline "1 if woman did not answer either the hh or the labor surveys at endline"; 
		
	gen w_attrition_onlyhh = (w_attrhh ==1 & w_attrlabor ==0);
		label var w_attrition_onlyhh "1 if woman answered the labor survey but did not the hh survey, at endline"; 
		
		

	foreach week in w1 w2 w3 {;
		gen `week'w_wlabor_nonresp_absent = (`week'w_id12 == 2 & `week'w_missing==1);
		gen `week'w_wlabor_nonresp_travel = (`week'w_id12 == 3 & `week'w_missing==1);
		gen `week'w_wlabor_nonresp_refuse = (`week'w_id12 == 4 & `week'w_missing==1);
		gen `week'w_wlabor_nonresp_moved = (`week'w_id12 == 5 & `week'w_missing==1);
		gen `week'w_wlabor_nonresp_nonident = ((`week'w_id12 == 6 | `week'w_id12 == 7) & `week'w_missing==1);
		gen `week'w_wlabor_nonresp_other = (`week'w_id12 == 8 & `week'w_missing==1);
		};
		
		* we reclassiy others;
		* week 1;
		replace w1w_wlabor_nonresp_moved = 1 if w1w_id12 == 8 & w1w_id12a=="dÃ©mÃ©nagÃ©" & w1w_missing==1;
		replace w1w_wlabor_nonresp_travel = 1 if w1w_id12 == 8 & w1w_id12a=="le menage est en voyage au somali" & w1w_missing==1;
		replace w1w_wlabor_nonresp_travel = 1 if w1w_id12 == 8 & w1w_id12a=="le mÃ©nage est dÃ©placÃ© en Ethiopie depuis le mois de Janvier" & w1w_missing==1;
		replace w1w_wlabor_nonresp_travel = 1 if w1w_id12 == 8 & w1w_id12a=="mÃ©nage en voyage" & w1w_missing==1;
		replace w1w_wlabor_nonresp_travel = 1 if w1w_id12 == 8 & w1w_id12a=="vacances" & w1w_missing==1;
		replace w1w_wlabor_nonresp_travel = 1 if w1w_id12 == 8 & w1w_id12a=="voyagÃ©" & w1w_missing==1;
		replace w1w_wlabor_nonresp_nonident = 1 if w1w_id12 == 8 & w1w_id12a=="non localiser" & w1w_missing==1;
		replace w1w_wlabor_nonresp_nonident = 1 if w1w_id12 == 8 & w1w_id12a=="non localiser le mÃ©nage" & w1w_missing==1;
		
		replace w1w_wlabor_nonresp_other = 0 if w1w_id12 == 8 & w1w_missing==1 & (w1w_id12a=="dÃ©mÃ©nagÃ©" |
		w1w_id12a=="le menage est en voyage au somali" | 
		w1w_id12a=="le mÃ©nage est dÃ©placÃ© en Ethiopie depuis le mois de Janvier" |
		w1w_id12a=="mÃ©nage en voyage" |
		w1w_id12a=="vacances" |
		w1w_id12a=="voyagÃ©" |
		w1w_id12a=="non localiser" |
		w1w_id12a=="non localiser le mÃ©nage");
		
		
		replace w2w_wlabor_nonresp_moved = 1 if w2w_id12 == 8 & w2w_id12a=="dÃ©mÃ©nager" & w2w_missing==1;
		replace w2w_wlabor_nonresp_moved = 1 if w2w_id12 == 8 & w2w_id12a=="dÃ©mÃ©nagÃ©" & w2w_missing==1;
		replace w2w_wlabor_nonresp_travel = 1 if w2w_id12 == 8 & w2w_id12a=="en voyage." & w2w_missing==1;
		replace w2w_wlabor_nonresp_travel = 1 if w2w_id12 == 8 & w2w_id12a=="la femme est en voyage au borama pendant 2ans" & w2w_missing==1;
		replace w2w_wlabor_nonresp_travel = 1 if w2w_id12 == 8 & w2w_id12a=="vacances" & w2w_missing==1;
		replace w2w_wlabor_nonresp_travel = 1 if w2w_id12 == 8 & w2w_id12a=="voyage" & w2w_missing==1;
		replace w2w_wlabor_nonresp_travel = 1 if w2w_id12 == 8 & w2w_id12a=="voyagÃ© a l'Ã©tranger" & w2w_missing==1;
		replace w2w_wlabor_nonresp_nonident = 1 if w2w_id12 == 8 & w2w_id12a=="no identifiÃ©" & w2w_missing==1;
			
		replace w2w_wlabor_nonresp_other = 0 if w2w_id12 == 8 & w2w_missing==1 & (
			w2w_id12a=="dÃ©mÃ©nager" | 
			w2w_id12a=="dÃ©mÃ©nagÃ©" |
			w2w_id12a=="en voyage." |
			w2w_id12a=="la femme est en voyage au borama pendant 2ans" |
			w2w_id12a=="vacances" |
			w2w_id12a=="voyage" |
			w2w_id12a=="voyagÃ© a l'Ã©tranger" |
			w2w_id12a=="no identifiÃ©" );
		replace w3w_wlabor_nonresp_moved = 1 if w3w_id12 == 8 & w3w_id12a=="DÃ©mÃ©nagÃ©" & w3w_missing==1;
		replace w3w_wlabor_nonresp_moved = 1 if w3w_id12 == 8 & w3w_id12a=="demenage" & w3w_missing==1;
		replace w3w_wlabor_nonresp_travel = 1 if w3w_id12 == 8 & w3w_id12a=="mÃ©nage voyagÃ©." & w3w_missing==1;
		replace w3w_wlabor_nonresp_travel = 1 if w3w_id12 == 8 & w3w_id12a=="elle est en voyage au somali pendant 2ans" & w3w_missing==1;
		replace w3w_wlabor_nonresp_travel = 1 if w3w_id12 == 8 & w3w_id12a=="vacances" & w3w_missing==1;
		replace w3w_wlabor_nonresp_travel = 1 if w3w_id12 == 8 & w3w_id12a=="voyage." & w3w_missing==1;
		replace w3w_wlabor_nonresp_travel = 1 if w3w_id12 == 8 & w3w_id12a=="voyagÃ©" & w3w_missing==1;
		replace w3w_wlabor_nonresp_nonident = 1 if w3w_id12 == 8 & w3w_id12a=="menage no identifiÃ©" & w3w_missing==1;
					
		replace w3w_wlabor_nonresp_other = 0 if w3w_id12 == 8 & w3w_missing==1 & (
			w3w_id12a=="DÃ©mÃ©nagÃ©" |
			w3w_id12a=="demenage" |
			w3w_id12a=="mÃ©nage voyagÃ©." |
			w3w_id12a=="elle est en voyage au somali pendant 2ans" |
			w3w_id12a=="vacances" |
			w3w_id12a=="voyage." |
			w3w_id12a=="voyagÃ©" |
			w3w_id12a=="menage no identifiÃ©");
		foreach reason in absent travel refus moved nonident other{;
			egen w123w_labor_nonresp_`reason' = rowmean(w1w_wlabor_nonresp_`reason' w2w_wlabor_nonresp_`reason' w3w_wlabor_nonresp_`reason') if w1w_missing==1 & w2w_missing==1 & w3w_missing==1;
				replace w123w_labor_nonresp_`reason' = 0 if w123w_labor_nonresp_`reason'==.;
				label var w123w_labor_nonresp_`reason' "Reason non response woman labor diary: `reason'";
				};
		drop w1w_wlabor_nonresp_absent- w3w_wlabor_nonresp_other;
*********************************;
* Take-up & delegation (as declared by women);
	egen miss_sectiono = rowmiss(w_o*);
		tab miss_sectiono;
		replace miss_sectiono=0 if miss_sectiono<=65;
		replace miss_sectiono=1 if miss_sectiono>=70;
		tab miss_sectiono;
		label var miss_sectiono "1 if Section O missing";
	* Heard about the program;
		gen knowsprogram = 0 if miss_sectiono==0 & w_o1!=. ;
			replace knowsprogram = 1 if w_o1==1;
			label var knowsprogram "1 if have heard about the program";
	* Got offered the program;	
		gen gotprgoffer = 0 if miss_sectiono==0;
			replace gotprgoffer = 1 if w_o2==1;
			replace gotprgoffer = . if w_o2==. & w_o1==.;
			label var gotprgoffer "1 if got the program offered";
	* Take-up;	
		gen hhtakeup = 0 if miss_sectiono==0;
			replace hhtakeup = 1 if w_o4==1;  
			replace hhtakeup = . if w_o2==1 & w_o4==.;
			label var hhtakeup "1 if hh participated in the program"; 
	* Delegation;
		gen delegated = 0 if miss_sectiono==0;
			replace delegated  = 1 if w_o4a==2 | w_o4a==3;  
			replace delegated = . if w_o4==1 & w_o4a==.;
	gen delegated_person = 0 if miss_sectiono==0;
			replace delegated_person = 1 if w_o5==2;
			replace delegated_person = 2 if w_o5==1 | w_o5==3;
			replace delegated_person = 3 if w_o5a==1 | w_o5a==3;
			replace delegated_person = 4 if w_o5a==2 | w_o5a==4;
			replace delegated_person = . if (w_o4a==2 | w_o4a==3) & w_o5==. & w_o5a==.;
			label var delegated "1 if woman delegated public works";
			gen delegated_woman = 0 if delegated_person!=.;
				replace delegated_woman = 1 if delegated_person == 1 | delegated_person == 3;
				label var delegated_woman "1 if delegated public works to a woman"; 
			gen delegated_man = 0 if delegated_person!=.;
				replace delegated_man = 1 if delegated_person == 2 | delegated_person == 4;
				label var delegated_man "1 if delegated public works to a man"; 
			gen delegated_womanhh = 0 if delegated_person!=.;
				replace delegated_womanhh = 1 if delegated_person == 1;
				label var delegated_womanhh "1 if delegated public works to a female HH member"; 
			gen delegated_manhh = 0 if delegated_person!=.;
				replace delegated_manhh = 1 if delegated_person == 2;
				label var delegated_manhh "1 if delegated public works to a male HH member"; 
			gen delegated_womanout = 0 if delegated_person!=.;
				replace delegated_womanout = 1 if delegated_person == 3;
				label var delegated_womanout "1 if delegated public works to a female non-HH member"; 
			gen delegated_manout = 0 if delegated_person!=.;
				replace delegated_manout = 1 if delegated_person == 4;
				label var delegated_manout "1 if delegated public works to a male non-HH member"; 
		* Reasons delegation;
			gen deleg_reason = 0;
				replace deleg_reason = 1 if w_o6_raison == 3 | w_o6_raison == 4;
				replace deleg_reason = 2 if w_o6_raison == 1 | w_o6_raison == 2;
				replace deleg_reason = 3 if w_o6_raison == 5 | w_o6_raison == 6 | w_o6_raison == 7;
				replace deleg_reason = 4 if w_o6_raison == 8;
				replace deleg_reason = 5 if w_o6_raison == 9 | w_o6_raison == 10;
				replace deleg_reason = 6 if w_o6_raison == 11 | w_o6_raison == 12;
				replace deleg_reason = . if delegated ==1 & (w_o6_raison==. | w_o6_raison==88);
				replace deleg_reason = . if delegated ==1 & deleg_reason==0;
				local j 1;
				foreach reason in mandatory pregnant12 childcare woill otherill other {;
					gen deleg_reas_`reason' = 0 if deleg_reason!=.;
					replace deleg_reas_`reason'= 1 if deleg_reason == `j';
					local j = `j'+ 1;
					};
			drop delegated_person deleg_reason;
			label var deleg_reas_mandatory "1 if delegated bc 3rd trimester or child 0-40 days";
			label var deleg_reas_pregnant12 "1 if delegated bc pregnant 1st or 2nd trimester"; 
			label var deleg_reas_childcare "1 if delageted bc had to care children (above 40 days)"; 
			label var deleg_reas_woill "1 if delegated bc she was ill";  
			label var deleg_reas_otherill "1 if delegated bc other HH member was ill"; 
			label var deleg_reas_other "1 if delegated bc of other reason"; 
		
		* Receiving an HIMO offer in the future (this question exist for endline 2 to 4);
			gen newhimoffer = 0 if miss_sectiono==0 & endline_n!=1; 	
				replace newhimoffer = 1 if w_o40==1;
				replace newhimoffer = . if w_o1==1 & w_o40==. & endline_n!=1; 
				label var newhimoffer "1 if woman thinks she will be offered to participate in the HIMO in the future";
			gen newhimo_3m = 0 if newhimoffer!=.; 	
				replace newhimo_3m = 1 if w_o42==1; 
				replace newhimo_3m = . if w_o42==. & w_o40==1;
				label var newhimo_3m  "1 if woman thinks she will be offered to participate in the HIMO within 3 months";
			gen newhimo_6m = 0 if newhimoffer!=.; 	
				replace newhimo_6m = 1 if w_o42==2; 
				replace newhimo_6m = . if w_o42==. & w_o40==1;
				label var newhimo_6m  "1 if woman thinks she will be offered to participate in the HIMO within 6 months";
			gen newhimo_6more = 0 if newhimoffer!=.; 	
				replace newhimo_6more = 1 if (w_o42==3 | w_o42==4); 
				replace newhimo_6more = . if w_o42==. & w_o40==1;
				label var newhimo_6more  "1 if woman thinks she will be offered to participate in the HIMO in 6 months or more";
****************************************;
#delimit;
gen var = "";
		gen obs2=.;
		gen mean=.;
		
		local i 1;
		foreach var in breastfeed_exclusive_659 pnc4 pnc3 ichild_divers623_ychcurrent ichild_divers623_10 iwoman_divers iwoman_divers_10 
						breastfeed_exclusive_659_cond pnc3_cond ichild_divers623_10_cond iwoman_divers_10_cond {;
			
			local x : variable label `var';
			replace var="`x'" if _n==`i';
						
			sum `var';
			replace obs2=r(N) if _n==`i';
			replace mean=r(mean) if _n==`i';
			
			local i=`i'+1;
			};
				
		drop var obs mean;						

* We create a dummy variable for the top quintile of baseline per capita food expenditures;
	
	gen bs_quint5_exppc_food = 0 if bs_exppc_food!=.;
		_pctile bs_exppc_food, p(80);
		replace bs_quint5_exppc_food = 1 if bs_exppc_food >r(r1) & bs_exppc_food!=.;
		tab bs_quint5_exppc_food treatment;
		label var bs_quint5_exppc_food "1 if quintile 5 of baseline food per capita expenditures";

	gen bs_income_nonlabor = 0 if (bs_income_pension!=. | bs_income_govngo!=. | bs_income_transfert!=. | bs_income_other!=. );
	replace bs_income_nonlabor = 1 if (bs_income_pension==1 | bs_income_govngo==1 | bs_income_transfert==1 | bs_income_other==1);
	label var bs_income_nonlabor "Indicator for HH had non-labor income in last 12 months";
	
	xtile bs_top20_exppc_food = bs_exppc_food, nq(5);
		recode bs_top20_exppc_food (4=0) (3=0) (2=0) (1=0) (5=1);
		label var bs_top20_exppc_food "1 if top 20% of BS per capita exp distribution";
	xtile bs_top10_exppc_food = bs_exppc_food, nq(10);
		replace bs_top10_exppc_food = 0 if bs_top10_exppc_food<=9;
		recode bs_top10_exppc_food (10=1);
		label var bs_top10_exppc_food "1 if top 10% of BS per capita exp distribution";
	xtile bs_top5_exppc_food = bs_exppc_food, nq(20);
		replace bs_top5_exppc_food = 0 if bs_top5_exppc_food<=19;
		recode bs_top5_exppc_food (20=1);
		label var bs_top5_exppc_food "1 if top 5% of BS per capita exp distribution";
	xtile f_top20_exppc_food = f_exppc_food, nq(5);
		recode f_top20_exppc_food (4=0) (3=0) (2=0) (1=0) (5=1);
		label var f_top20_exppc_food "1 if top 20% of FU per capita exp distribution";
	xtile top20_exppc_food = exppc_food, nq(5);
		recode top20_exppc_food (4=0) (3=0) (2=0) (1=0) (5=1);
		label var top20_exppc_food "1 if top 20% of END per capita exp distribution";	
	save $path\data_analysis\endline_analysis, replace;
